default current_profile = 0

default old_profile = 0



screen mf:

    modal True

    add "images/mf/background.jpg"

    hbox ypos 115 xalign 0.5:

        xminimum 1080

        spacing 780

        imagebutton xalign 0.5:
            idle "images/mf/options.png"
            hover im.MatrixColor("images/mf/options.png", im.matrix.tint(1.5, 1.1, 0.1))
            action NullAction()

        
        imagebutton xalign 0.5 ypos 10:
            if current_mf_menu == 0:
                idle "images/mf/chats.png"
                hover im.MatrixColor("images/mf/chats.png", im.matrix.tint(1.5, 1.1, 0.1))
                
                action SetVariable('current_mf_menu', 1)
            else:
                idle "images/mf/main.png"
                hover im.MatrixColor("images/mf/main.png", im.matrix.tint(1.5, 1.1, 0.1))
                
                action SetVariable('current_mf_menu', 0)


    if current_mf_menu == 0:

        use mf_old

        add "images/mf/light.png" yalign 1.0

        add "images/mf/bottom.png" yalign 1.0


        vbox ypos 1680: 
            spacing 5
            hbox xpos 50:
                spacing 30
                text mf_profiles[current_profile].name color "#fff" size 82
                text mf_profiles[current_profile].age color "#fff" size 60 yalign 0.9

            hbox ypos -10 xpos 50:
                spacing 10
                text "🟢" yalign 0.6 size 14
                text "Recently Active" color "#fff" size 36
            
            text mf_profiles[current_profile].text color "#fff" size 46 xmaximum 1040 ypos 15 text_align 0.5 xpos 20



        if mf_profiles[current_profile].liked == 0:
            hbox xalign 0.5 yalign 0.955:

                spacing 30

                imagebutton xalign 0.5:
                    idle "images/mf/cancel.png"
                    hover im.MatrixColor("images/mf/cancel.png", im.matrix.brightness(0.25))
                    if current_profile < len(mf_profiles) - 1:
                        action [Hide(screen="mf_old", transition=CropMove(time=0.3, mode='slideleft')), Function(setattr, mf_profiles[current_profile], "liked", 2), SetVariable('current_profile', current_profile+1)]
                    else:
                        action [Hide(screen="mf_old", transition=CropMove(time=0.3, mode='slideleft')), Function(setattr, mf_profiles[current_profile], "liked", 2), SetVariable('current_profile', 0)]

                imagebutton xalign 0.5:
                    idle "images/mf/like.png"
                    hover im.MatrixColor("images/mf/like.png", im.matrix.brightness(0.25))
                    if current_profile < len(mf_profiles) - 1:
                        action [Hide(screen="mf_old", transition=CropMove(time=0.3, mode='slideright')), Function(setattr, mf_profiles[current_profile], "liked", 1), SetVariable('current_profile', current_profile+1)]
                    else:
                        action [Hide(screen="mf_old", transition=CropMove(time=0.3, mode='slideright')), Function(setattr, mf_profiles[current_profile], "liked", 1), SetVariable('current_profile', 0)]


        elif mf_profiles[current_profile].liked == 1:
            imagebutton xalign 0.5 yalign 0.95:
                idle "images/mf/like.png"
                hover im.MatrixColor("images/mf/like.png", im.matrix.brightness(0.25))
                action [Function(setattr, mf_profiles[current_profile], "liked", 0)]

        else:
            imagebutton xalign 0.5 yalign 0.95:
                idle "images/mf/cancel.png"
                hover im.MatrixColor("images/mf/cancel.png", im.matrix.brightness(0.25))
                action [Function(setattr, mf_profiles[current_profile], "liked", 0)]


        hbox xalign 0.5 yalign 0.945:

            spacing 480
            
            imagebutton xalign 0.5:
                idle "images/mf/left.png"
                hover im.MatrixColor("images/mf/left.png", im.matrix.brightness(0.25))

                if current_profile > 0:
                    action [Hide(screen="mf_old", transition=CropMove(time=0.3, mode='wiperight')), SetVariable('current_profile', current_profile-1)]
                else:
                    action [Hide(screen="mf_old", transition=CropMove(time=0.3, mode='wiperight')), SetVariable('current_profile', len(mf_profiles) - 1)]
            
            key "K_LEFT":
                if current_profile > 0:
                    action [Hide(screen="mf_old", transition=CropMove(time=0.3, mode='wiperight')), SetVariable('current_profile', current_profile-1)]
                else:
                    action [Hide(screen="mf_old", transition=CropMove(time=0.3, mode='wiperight')), SetVariable('current_profile', len(mf_profiles) - 1)]


            
            imagebutton xalign 0.5:
                idle "images/mf/right.png"
                hover im.MatrixColor("images/mf/right.png", im.matrix.brightness(0.25))
                if current_profile < len(mf_profiles) - 1:
                    action [Hide(screen="mf_old", transition=CropMove(time=0.3, mode='wipeleft')), SetVariable('current_profile', current_profile+1)]
                else:
                    action [Hide(screen="mf_old", transition=CropMove(time=0.3, mode='wipeleft')), SetVariable('current_profile', 0)]


            key "K_RIGHT":

                if current_profile < len(mf_profiles) - 1:
                    action [Hide(screen="mf_old", transition=CropMove(time=0.3, mode='wipeleft')), SetVariable('current_profile', current_profile+1)]
                else:
                    action [Hide(screen="mf_old", transition=CropMove(time=0.3, mode='wipeleft')), SetVariable('current_profile', 0)]
                    

        imagebutton yalign 0.956:
            idle "gui/back.png" at shrink
            hover "gui/back_h.png"
            action Hide(screen="mf", transition=CropMove(time=0.1, mode='wipedown'))
        


        key "K_ESCAPE":
            action Hide(screen="mf", transition=CropMove(time=0.1, mode='wipedown'))




    elif current_mf_menu == 1:

        text "No new messages currently!" xalign 0.5 yalign 0.5 size 42 font "gui/TMR_Regular.ttf" color "#9a9a9a"


        imagebutton yalign 0.956:
            idle "gui/back.png" at shrink
            hover "gui/back_h.png"
            action SetVariable('current_mf_menu', 0)
        


        key "K_ESCAPE":
            action SetVariable('current_mf_menu', 0)



screen mf_old:

    add mf_profiles[current_profile].img ypos 230





