default tasks_current_category = 1

screen tasks_app:

    modal True


    add "images/whatsapp/background0.jpg"



    text "Dashboard" ypos 140 xpos 52 size 92 font "gui/TMR_Regular.ttf" color "#fff"
    
    $ todo_count = str(sum(1 for i in tasks_all if i.complited == 0))

    $ complited_count = str(sum(1 for i in tasks_all if i.complited == 1))

    hbox ypos 300 xminimum 1000 xalign 0.5: 

        spacing 20
        
        button xminimum 464 yminimum 130 xalign 0.5:

            action SetVariable('tasks_current_category', 0)
            background "images/tasks/frame_comp.png"
            hover_background "images/tasks/frame_comp_h.png"  # Серый фон при наведении
            vbox xpos 70 yalign 0.5 ymaximum 110:

                spacing 5
                
                text "Complited" size 36 font "gui/TMR.ttf" color "#fff"

                hbox xpos 100:
                    spacing 10
                    text complited_count size 58 font "gui/TMR.ttf" color "#fff"
                    text "Tasks" size 36 font "gui/TMR_Regular.ttf" color "#a0a0a0"
        
        button xminimum 464 yminimum 130 xalign 0.5:

            action SetVariable('tasks_current_category', 1)
            background "images/tasks/frame_todo.png"
            hover_background "images/tasks/frame_todo_h.png"  # Серый фон при наведении
            vbox xpos 70 yalign 0.5 ymaximum 110:

                spacing 5
                
                text "To do" size 36 font "gui/TMR.ttf" color "#fff"

                hbox xpos 100:
                    spacing 10
                    text todo_count size 58 font "gui/TMR.ttf" color "#fff"
                    text "Tasks" size 36 font "gui/TMR_Regular.ttf" color "#a0a0a0"

    


    vbox ypos 460:
        spacing 20
        add "images/whatsapp/delimeter.png" xalign 0.5
        add "images/tasks/task_banner_1.png" xalign 0.5
        add "images/whatsapp/delimeter.png" xalign 0.5


    text "Tasks" ypos 630 xpos 52 size 72 font "gui/TMR_Regular.ttf" color "#fff"




    window:
        background None
        area (0, 740, 1080, 1400)
        viewport:
            mousewheel True
            draggable True
            pagekeys True
            side_yfill True 

            vbox xalign 0.5 xminimum 1080:


                spacing 10

                for i in tasks_all:

                    if tasks_current_category == 1:

                        if i.complited == 0:

                            fixed xminimum 1004 yminimum 244 xmaximum 1004 ymaximum 244 xalign 0.5:

                                add "images/tasks/task_frame.png" xalign 0.5


                                vbox yalign 0.3 xpos 40:
                                    spacing 20
                                    # Первый текст
                                    text i.name size 48 color "#ffffff" font "gui/TMR_Regular.ttf"

                                    text i.text size 34 color "#fff" xmaximum 800 font "gui/TMR_Regular.ttf"


                                    # Изображение с динамической подсветкой
                                add i.avatar xalign 0.98 yalign 0.5

                                hbox xalign 0.75 yalign 0.96:

                                    spacing 10
                                    text "Reward" size 24 font "gui/TMR_Regular.ttf"
                                    text "$[i.reward:,]" size 34 color "#fff" font "gui/TMR_Regular.ttf"
                        
                        else:
                            pass

                    else:

                        if i.complited == 1:

                            fixed xminimum 1004 yminimum 244 xmaximum 1004 ymaximum 244 xalign 0.5:

                                add "images/tasks/task_frame_complited.png" xalign 0.5


                                vbox yalign 0.3 xpos 40:
                                    spacing 20
                                    # Первый текст
                                    text i.name size 48 color "#ffffff" font "gui/TMR_Regular.ttf"

                                    text i.text size 34 color "#fff" xmaximum 800 font "gui/TMR_Regular.ttf"


                                    # Изображение с динамической подсветкой
                                add i.avatar xalign 0.98 yalign 0.5

                                hbox xalign 0.75 yalign 0.96:

                                    spacing 10
                                    text "Reward" size 24 font "gui/TMR_Regular.ttf"
                                    text "$[i.reward:,]" size 34 color "#fff" font "gui/TMR_Regular.ttf"
                        
                        else:
                            pass





    imagebutton yalign 0.956:
        idle "gui/back.png" at shrink
        hover "gui/back_h.png"
        action [SetVariable('tasks_current_category', 1), Hide(screen="tasks_app", transition=CropMove(time=0.1, mode='wipedown'))]
    


    key "K_ESCAPE":
        action [SetVariable('tasks_current_category', 1), Hide(screen="tasks_app", transition=CropMove(time=0.1, mode='wipedown'))]
        

