default whatsapp_current_category = 0

screen whatsapp_app:

    modal True


    add "images/whatsapp/background0.jpg"



    text "Chats" ypos 140 xpos 52 size 92 font "gui/TMR_Regular.ttf" color "#fff"


    add "images/whatsapp/search.png" ypos 260 xalign 0.5
    

    hbox xpos 45 ypos 380:

        spacing 20
        
        
        if whatsapp_current_category == 0:
            imagebutton xalign 0.5:
                idle "images/whatsapp/all_sel.png" at shrink_big2

        else:
            imagebutton xalign 0.5:
                idle "images/whatsapp/all.png" at shrink_big2
                hover im.MatrixColor("images/whatsapp/all.png", im.matrix.brightness(0.05))
                action SetVariable('whatsapp_current_category', 0)
        

        if whatsapp_current_category == 1:
            imagebutton xalign 0.5:
                idle "images/whatsapp/unread_sel.png" at shrink_big2

        else:
            imagebutton xalign 0.5:
                idle "images/whatsapp/unread.png" at shrink_big2
                hover im.MatrixColor("images/whatsapp/unread.png", im.matrix.brightness(0.05))
                action SetVariable('whatsapp_current_category', 1)


    window:
        background None
        area (0, 500, 1080, 1700)
        viewport:
            mousewheel True
            draggable True
            pagekeys True
            side_yfill True 

            vbox xalign 0.5:

                if whatsapp_current_category == 0:
                        
                    $ seen_ids = set()

                    for i in globals().get(f"{current_phone}_chats", []):

                        if i.id in seen_ids:  # Проверяем, не был ли уже показан этот элемент
                            continue  # Если был, пропускаем этот элемент
                        

                        for j in storylines:
                            
                            python:
                                next_label = f"{j.name}_{j.step}"

                            if i.online == 1 and j.chat.id == i.id and i.id not in seen_ids and j.ready == 1 and renpy.has_label(next_label):
                                
                        
                                $ seen_ids.add(i.id)  # Добавляем id в множество

                                button xmaximum 1080:

                                    action [Hide('whatsapp_app'), SetVariable('current_chat', i), Call('whatsapp_chats')]
                                    background None
                                    hover_background "#3d3d3d"  # Серый фон при наведении
                                    vbox ypos 5:

                                        spacing 10

                                        hbox xpos 40:

                                            spacing 30

                                            # Изображение с динамической подсветкой
                                            add i.avatar


                                            vbox yalign 0.2:
                                                spacing 50
                                                # Первый текст
                                                text i.name size 48 color "#ffffff"

                                                hbox:


                                                    # Второй текст
                                                    text "You have a new message" size 30 color "#fff"

                                                    hbox xpos -360 ypos 14:

                                                            spacing 10
                                                            text "🟢" size 24
                                                            #text "Online" size 30 color "#fff"


                                        add "images/whatsapp/delimeter.png"
                        

                    for i in globals().get(f"{current_phone}_chats", []):

                        if i.online == 0:

                            button xmaximum 1080:

                                action NullAction()
                                background None
                                hover_background "#3d3d3d"  # Серый фон при наведении
                                vbox ypos 5:

                                    spacing 10
                                    hbox xpos 40:

                                        spacing 30

                                        # Изображение с динамической подсветкой
                                        add i.avatar


                                        vbox yalign 0.2:
                                            spacing 50
                                            # Первый текст
                                            text i.name size 48 color "#ffffff"

                                            hbox:

                                                # Второй текст
                                                text "No new messages" size 30 color "#aaaaaa"

                                                hbox xpos -275 ypos 14:

                                                    spacing 10
                                                    text "⚪" size 24
                                                    #text "Offline" size 30 color "#fff"


                                    add "images/whatsapp/delimeter.png"


                else:
                        
                    $ seen_ids = set()

                    for i in globals().get(f"{current_phone}_chats", []):

                        if i.id in seen_ids:  # Проверяем, не был ли уже показан этот элемент
                            continue  # Если был, пропускаем этот элемент

                        
                        for j in storylines:

                            python:
                                next_label = f"{j.name}_{j.step}"

                            if i.online == 1 and j.chat.id == i.id and i.id not in seen_ids and j.ready == 1 and renpy.has_label(next_label):
                                
                        
                                $ seen_ids.add(i.id)  # Добавляем id в множество

                                button xmaximum 1080:

                                    action [Hide('whatsapp_app'), SetVariable('current_chat', i), Call('whatsapp_chats')]
                                    background None
                                    hover_background "#3d3d3d"  # Серый фон при наведении
                                    vbox ypos 5:

                                        spacing 10
                                        hbox xpos 40:

                                            spacing 30

                                            # Изображение с динамической подсветкой
                                            add i.avatar


                                            vbox yalign 0.2:
                                                spacing 50
                                                # Первый текст
                                                text i.name size 48 color "#ffffff"

                                                hbox:


                                                    # Второй текст
                                                    text "You have a new message" size 30 color "#fff"

                                                    hbox xpos -360 ypos 14:

                                                        spacing 10
                                                        text "🟢" size 24
                                                        #text "Online" size 30 color "#fff"


                                        add "images/whatsapp/delimeter.png"















    imagebutton yalign 0.956:
        idle "gui/back.png" at shrink
        hover "gui/back_h.png"
        action Hide(screen="whatsapp_app", transition=CropMove(time=0.2, mode='wipedown'))
    


    key "K_ESCAPE":
        action Hide(screen="whatsapp_app", transition=CropMove(time=0.2, mode='wipedown'))



    