default current_wifespy_info = 1

default addictions_text = ""



screen wifespy_info:

    modal True


    add "images/wifespy/background0.jpg"



    text "Current Target" ypos 120 xpos 52 size 60 font "gui/TMR_Regular.ttf" color "#fff"


    add "images/whatsapp/delimeter.png" ypos 200 xalign 0.5



    hbox ypos 260 xpos 50:

        spacing 40

        add current_wifespy_user.big_avatar 

        vbox yalign 1.0 xsize 540:

            spacing 30

            text "{b}Name: {/b}[current_wifespy_user.name]" size 48 font "gui/TMR_Regular.ttf" color "#fff"

            text "{b}Age: {/b}[current_wifespy_user.age]" size 48 font "gui/TMR_Regular.ttf" color "#fff"

            text "{b}Relationship: {/b}[current_wifespy_user.who]" size 48 font "gui/TMR_Regular.ttf" color "#fff"
    


    add "images/wifespy/bottom_background.png" yalign 0.94 xalign 0.5


    hbox ypos 920 xalign 0.5:

        spacing 100


        hbox:
            text "🌀" size 34 ypos 12
            textbutton "Addictions" text_style "comments_text" text_size 42 action SetVariable('current_wifespy_info', 1)


        hbox:
            text "🔞" size 34 ypos 10

            textbutton "Sex activities" text_style "comments_text" text_size 42 action SetVariable('current_wifespy_info', 2)

    
    
    if current_wifespy_info == 1:
    
        hbox ypos 1040 xpos 50 xsize 1020: 

            spacing 50

            $ addictions_list = globals().get(f"{current_wifespy_user.tag}_addictions", [])

            if addictions_list:
                $ addictions_text = ""
                for i in addictions_list:
                    $ addictions_text += i + "    "
                text addictions_text style "comments_text" size 52
            else:
                text "None" style "comments_text" size 52


            

        imagebutton yalign 0.956:
            idle "gui/back.png" at shrink
            hover "gui/back_h.png"
            action Hide(screen="wifespy_info")
        


        key "K_ESCAPE":
            action Hide(screen="wifespy_info")


    else:

        use not_ready








screen not_ready:

    modal True

    imagebutton:
        idle "images/wifespy/in_process.png"
        action [SetVariable('current_wifespy_info', 1), Hide(screen="not_ready")]

    text "Not ready yet. It will be implemented in the future." style "comments_text" size 58 xalign 0.5 xmaximum 940 text_align 0.5 yalign 0.5

    

    key "K_ESCAPE":
        action [SetVariable('current_wifespy_info', 1), Hide(screen="not_ready")]






screen command_was_given:

    modal True

    imagebutton:
        idle "images/wifespy/in_process.png"
        action [Hide(screen="command_was_given")]

    text "🎯You have given your target a command.🎯\n\nWait for it to take effect." style "comments_text" size 58 xalign 0.5 xmaximum 980 text_align 0.5 yalign 0.5

    

    key "K_ESCAPE":
        action [Hide(screen="command_was_given")]




        





screen disconnect_screen:

    modal True

    imagebutton:
        idle "images/wifespy/in_process.png"
        action [Hide(screen="disconnect_screen")]

    text "No connection to the user's camera.\n\nPlease try again later." style "comments_text" size 58 xalign 0.5 xmaximum 980 text_align 0.5 yalign 0.5

    

    key "K_ESCAPE":
        action [Hide(screen="disconnect_screen")]


        





screen disconnect_screen_text:

    add "images/wifespy/in_process.png"

    text "No connection to the user's camera.\n\nPlease try again later." style "comments_text" size 58 xalign 0.5 xmaximum 980 text_align 0.5 yalign 0.5
