screen mc_buttons:

    modal True


    use mc_main_buttons_grid

    grid 5 3:  # 2 строки и 2 столбца

        xalign 0.5
        yalign 0.1
        xspacing 40
        yspacing 40

        


        imagebutton:
            idle "images/apps/map_icon.png" 
            hover "images/apps/map_icon_h.png"
            action Show('map', transition=CropMove(time=0.15, mode='wipeup'))


        imagebutton:
            idle "images/apps/browser_icon.png" 
            hover "images/apps/browser_icon_h.png" 
            action Show('browser', transition=CropMove(time=0.15, mode='wipeup'))
            


        imagebutton:
            if new_transaction_flag == 1:
                idle "images/apps/money_icon_n.png" 
                hover "images/apps/money_icon_n_h.png" 
            else:
                idle "images/apps/money_icon.png" 
                hover "images/apps/money_icon_h.png" 
            action Show('bank', transition=CropMove(time=0.15, mode='wipeup'))
            



        imagebutton:
            if new_task == 1:
                idle "images/apps/task_iconh.png" 
                hover "images/apps/task_iconh_h.png" 
            else:
                idle "images/apps/task_icon.png" 
                hover "images/apps/task_icon_h.png" 
            action SetVariable('new_task', 0), Show('tasks_app', transition=CropMove(time=0.15, mode='wipeup'))
            
            

        
        imagebutton:
            idle "images/apps/apps_icon.png"
            hover "images/apps/apps_icon_h.png" 
            action Show('not_ready')
            

        


        imagebutton:
            idle "images/apps/gallery_icon.png"
            hover "images/apps/gallery_icon_h.png" 
            action Show('gallery_screen', transition=CropMove(time=0.15, mode='wipeup'))
            


        
        imagebutton:
            idle "images/apps/mf_icon.png"
            hover "images/apps/mf_icon_h.png" 
            action Show('mf', transition=CropMove(time=0.15, mode='wipeup'))
            

        

    
        imagebutton:
            idle "images/apps/of_icon.png"
            hover "images/apps/of_icon_h.png" 
            action [Function(shuffle_of_to_home), Show('of', transition=CropMove(time=0.15, mode='wipeup'))]
            


        
        
    
        
        imagebutton:
            idle "images/apps/mb_icon.png"
            hover "images/apps/mb_icon_h.png" 
            action Show('not_ready')
            

        
        imagebutton:
            idle "images/apps/re_icon.png"
            hover "images/apps/re_icon_h.png" 
            action Show('re_app', transition=CropMove(time=0.15, mode='wipeup'))
            



        

        

        imagebutton:
            idle "images/apps/morning_icon.png" 
            hover "images/apps/morning_icon_h.png" 
            action [Hide('next_chat_delay'), Show('next_chat_delay')]
            


        imagebutton:
            idle "images/apps/camera_icon.png" 
            hover "images/apps/camera_icon_h.png" 
            action Show('not_ready')


        

        

        






        

    key "K_z":
        action NullAction()

    key "K_g":
        action NullAction()
    
    key "K_q":
        action NullAction()

    key "K_3":
        action NullAction()

    key "K_1":
        action NullAction()

    key "K_4":
        action NullAction()

    key "K_m":

        action NullAction()

    key "K_2":
        action NullAction()








default new_message_on = 0
default new_fuckstagram_message_on = 0
default new_action_on = 0
default new_wifespy_on = 0
default new_camera_on = 0 #2 - wife
default camera_jump = ""



screen mc_main_buttons_grid:

    modal True

    add "images/behind_btns.png" ypos 1950 xalign 0.5

    hbox ypos 1990 xalign 0.5:

        spacing 50

        $ new_message_on = any(i.online == 1 for i in globals().get(f"{current_phone}_chats", []))
        # $ new_message_on = any(

        #     i.online == 1 and any(
        #         j.chat.id == i.id and j.ready == 1 and renpy.has_label(f"{j.name}_{j.step}")
        #         for j in storylines
        #     )
        #     for i in globals().get(f"{current_phone}_chats", [])
        # )

        $ new_fuckstagram_message_on = any(i.online == 1 for i in globals().get(f"{current_phone}_fuckstagram_chats", []))

        imagebutton:

            if new_message_on == 1:
                idle "images/apps/messager_new_n.png" at shrink_big1
                hover "images/apps/messager_new_n_h.png"
            
            else:
                idle "images/apps/messager_new.png" at shrink_big1
                hover "images/apps/messager_new_h.png"
                
            action Show('whatsapp_app', transition=CropMove(time=0.15, mode='wipeup'))
            

        imagebutton:
            idle "images/apps/check_icon.png" at shrink_big1
            hover "images/apps/check_icon_h.png" 
            action Show('walkthrough_app', transition=CropMove(time=0.15, mode='wipeup'))
            

        imagebutton:
            if new_fuckstagram_message_on == 1 or fuckstagram_new_post == True:
                idle "images/apps/fuckstagram_new2.png" at shrink_big1
                hover "images/apps/fuckstagram_new2_h.png" 
            else:
                idle "images/apps/fuckstagram_new.png" at shrink_big1
                hover "images/apps/fuckstagram_new_h.png" 
            action [Function(update_fuckstagram_home_posts), Function(shuffle_posts_to_home), Show('fuckstagram_home', transition=CropMove(time=0.15, mode='wipeup'))]
            

        for i in wifespy_targets:

            $ i.status = 0

        
        $ new_camera_on_wife = any(r.event == 2 for r in storylines)

        for i in wifespy_targets:
            
            if i.phone == "mc_phone":
                pass
            else:

                $ a = i.phone.split("_phone")[0]

                $ new_action_on = any(x.online == 1 for x in globals().get(f"{a}_chats", []))

                for j in globals().get(f"{a}_chats", []):

                    if j.online == 1:

                        $ i.status = 1


                for j in globals().get(f"{a}_fuckstagram_chats", []):

                    if j.online == 1:

                        $ i.status = 1

                if i.new_command == 1:

                    $ i.status = 1

                if new_camera_on_wife == 1 and i.tag == "Wife":

                    $ i.status = 1

                
            




        $ new_wifespy_on = any(r.status == 1 for r in wifespy_targets)

        imagebutton:
            if new_wifespy_on == 1:
                idle "images/apps/wifespy_icon_n.png" at shrink_big1
                hover "images/apps/wifespy_icon_h_n.png" 

            else:
                idle "images/apps/wifespy_icon.png" at shrink_big1
                hover "images/apps/wifespy_icon_h.png" 
            action Show('wifespy_app', transition=CropMove(time=0.15, mode='wipeup'))
            
















screen mc_buttons_null:

    use mc_main_buttons_grid_chats
    
    grid 5 3:  # 2 строки и 2 столбца

        xalign 0.5
        yalign 0.1
        xspacing 40
        yspacing 40

        


        imagebutton:
            idle "images/apps/map_icon.png" 
            hover "images/apps/map_icon_h.png"
        


        imagebutton:
            idle "images/apps/browser_icon.png" 
            hover "images/apps/browser_icon_h.png" 
            
            


        imagebutton:
            idle "images/apps/money_icon.png" 
            hover "images/apps/money_icon_h.png" 
            
            



        imagebutton:
            idle "images/apps/task_icon.png" 
            hover "images/apps/task_icon_h.png" 
            
            
            

        
        imagebutton:
            idle "images/apps/apps_icon.png"
            hover "images/apps/apps_icon_h.png" 
            
            

        


        imagebutton:
            idle "images/apps/gallery_icon.png"
            hover "images/apps/gallery_icon_h.png" 
            
            


        
        imagebutton:
            idle "images/apps/mf_icon.png"
            hover "images/apps/mf_icon_h.png" 
            
            

        

    
        imagebutton:
            idle "images/apps/of_icon.png"
            hover "images/apps/of_icon_h.png" 
            
            


        
        
    
        
        imagebutton:
            idle "images/apps/mb_icon.png"
            hover "images/apps/mb_icon_h.png" 
            
            





        
        imagebutton:
            idle "images/apps/re_icon.png"
            hover "images/apps/re_icon_h.png" 
            
            



        

        

        imagebutton:
            idle "images/apps/morning_icon.png" 
            hover "images/apps/morning_icon_h.png" 
            
            

        imagebutton:
            idle "images/apps/camera_icon.png" 
            hover "images/apps/camera_icon_h.png" 

        

        

        












screen mc_main_buttons_grid_chats:

    hbox ypos 1990 xalign 0.5:

        spacing 50

        imagebutton:
            idle "images/apps/messager_new.png" at shrink_big1
            hover "images/apps/messager_new_h.png"
            
            

        imagebutton:
            idle "images/apps/check_icon.png" at shrink_big1
            hover "images/apps/check_icon_h.png" 
            
            

        imagebutton:
            idle "images/apps/fuckstagram_new.png" at shrink_big1
            hover "images/apps/fuckstagram_new_h.png" 
            
            

        imagebutton:
            idle "images/apps/wifespy_icon.png" at shrink_big1
            hover "images/apps/wifespy_icon_h.png" 
            
            











































screen wife_buttons:

    modal True


    use wife_main_buttons_grid

    grid 5 3:  # 2 строки и 2 столбца

        xalign 0.5
        yalign 0.1
        xspacing 40
        yspacing 40

            

        

    
        imagebutton:
            idle "images/apps/of_icon.png"
            hover "images/apps/of_icon_h.png" 
            action [Function(shuffle_of_to_home), Show('of', transition=CropMove(time=0.15, mode='wipeup'))]
        

        
        imagebutton:
            idle "images/apps/mf_icon.png"
            hover "images/apps/mf_icon_h.png" 
            action Show('mf', transition=CropMove(time=0.15, mode='wipeup'))


        imagebutton:
            idle "images/apps/gallery_icon.png"
            hover "images/apps/gallery_icon_h.png" 
            action Show('gallery_screen', transition=CropMove(time=0.15, mode='wipeup'))


        imagebutton:
            idle "images/apps/map_icon.png" 
            hover "images/apps/map_icon_h.png"
            action Show('map', transition=CropMove(time=0.15, mode='wipeup'))


        imagebutton:
            idle "images/apps/browser_icon.png" 
            hover "images/apps/browser_icon_h.png" 
            action Show('browser', transition=CropMove(time=0.15, mode='wipeup'))


        imagebutton:
            idle "images/apps/apps_icon.png"
            hover "images/apps/apps_icon_h.png" 
            action Show('not_ready')
            
            

        imagebutton:
            idle "images/apps/money_icon.png" 
            hover "images/apps/money_icon_h.png" 
            action NullAction()
            

        $ new_camera_on = any(r.event == 2 for r in storylines)
        
        if new_camera_on == 1:
            for i in storylines:
                if i.event == 2:
                    $ camera_jump = i
                    
            imagebutton:
                idle "images/apps/camera_icon_n.png" 
                hover "images/apps/camera_icon_n_h.png" 
                action Jump(camera_jump.chat.storyline)

        
        else:
                    
            imagebutton:
                idle "images/apps/camera_icon.png" 
                hover "images/apps/camera_icon_h.png" 
                action Show('disconnect_screen')
            



        imagebutton:
            idle "images/apps/task_icon.png" 
            hover "images/apps/task_icon_h.png" 
            action NullAction()



        imagebutton:
            idle "images/apps/morning_icon.png" 
            hover "images/apps/morning_icon_h.png" 
            action [Hide('next_chat_delay'), Show('next_chat_delay')]



        

    key "K_z":
        action NullAction()

    key "K_g":
        action NullAction()
    
    key "K_q":
        action NullAction()

    key "K_3":
        action NullAction()

    key "K_1":
        action NullAction()

    key "K_4":
        action NullAction()

    key "K_m":

        action NullAction()

    key "K_2":
        action NullAction()





screen wife_main_buttons_grid:

    modal True

    add "images/behind_btns.png" ypos 1950 xalign 0.5

    hbox ypos 1990 xalign 0.5:

        spacing 50

        $ new_message_on = any(i.online == 1 for i in globals().get(f"{current_phone}_chats", []))
        $ new_fuckstagram_message_on = any(i.online == 1 for i in globals().get(f"{current_phone}_fuckstagram_chats", []))

        imagebutton:

            if new_message_on == 1:
                idle "images/apps/messager_new_n.png" at shrink_big1
                hover "images/apps/messager_new_n_h.png"
            
            else:
                idle "images/apps/messager_new.png" at shrink_big1
                hover "images/apps/messager_new_h.png"
                
            action Show('whatsapp_app', transition=CropMove(time=0.15, mode='wipeup'))
            

        imagebutton:
            idle "images/apps/check_icon.png" at shrink_big1
            hover "images/apps/check_icon_h.png" 
            action Show('walkthrough_app', transition=CropMove(time=0.15, mode='wipeup'))
            

        imagebutton:
            if new_fuckstagram_message_on == 1:
                idle "images/apps/fuckstagram_new2.png" at shrink_big1
                hover "images/apps/fuckstagram_new2_h.png" 
            else:
                idle "images/apps/fuckstagram_new.png" at shrink_big1
                hover "images/apps/fuckstagram_new_h.png" 
            action [Function(update_fuckstagram_home_posts), Function(shuffle_posts_to_home), Show('fuckstagram_home', transition=CropMove(time=0.15, mode='wipeup'))]
            

        imagebutton:
            idle "images/apps/wifespy_icon.png" at shrink_big1
            hover "images/apps/wifespy_icon_h.png" 
            action Jump('mc_phone')
            
















screen wife_buttons_null:

    use wife_main_buttons_grid_chats
    
    grid 5 3:  # 2 строки и 2 столбца

        xalign 0.5
        yalign 0.1
        xspacing 40
        yspacing 40

            

        

    
        imagebutton:
            idle "images/apps/of_icon.png"
            hover "images/apps/of_icon_h.png" 
        

        
        imagebutton:
            idle "images/apps/mf_icon.png"
            hover "images/apps/mf_icon_h.png" 


        imagebutton:
            idle "images/apps/gallery_icon.png"
            hover "images/apps/gallery_icon_h.png" 


        imagebutton:
            idle "images/apps/map_icon.png" 
            hover "images/apps/map_icon_h.png"


        imagebutton:
            idle "images/apps/browser_icon.png" 
            hover "images/apps/browser_icon_h.png" 


        imagebutton:
            idle "images/apps/apps_icon.png"
            hover "images/apps/apps_icon_h.png" 
            
            

        imagebutton:
            idle "images/apps/money_icon.png" 
            hover "images/apps/money_icon_h.png" 
            


        imagebutton:
            idle "images/apps/camera_icon.png" 
            hover "images/apps/camera_icon_h.png" 
            



        imagebutton:
            idle "images/apps/task_icon.png" 
            hover "images/apps/task_icon_h.png" 



        imagebutton:
            idle "images/apps/morning_icon.png" 
            hover "images/apps/morning_icon_h.png" 



        









screen wife_main_buttons_grid_chats:

    hbox ypos 1990 xalign 0.5:

        spacing 50

        imagebutton:
            idle "images/apps/messager_new.png" at shrink_big1
            hover "images/apps/messager_new_h.png"
            
            

        imagebutton:
            idle "images/apps/check_icon.png" at shrink_big1
            hover "images/apps/check_icon_h.png" 
            
            

        imagebutton:
            idle "images/apps/fuckstagram_new.png" at shrink_big1
            hover "images/apps/fuckstagram_new_h.png" 
            
            

        imagebutton:
            idle "images/apps/wifespy_icon.png" at shrink_big1
            hover "images/apps/wifespy_icon_h.png" 








































screen sis_buttons:

    modal True


    use sis_main_buttons_grid

    grid 5 3:  # 2 строки и 2 столбца

        xalign 0.5
        yalign 0.1
        xspacing 40
        yspacing 40

            



        imagebutton:
            idle "images/apps/gallery_icon.png"
            hover "images/apps/gallery_icon_h.png" 
            action Show('gallery_screen', transition=CropMove(time=0.15, mode='wipeup'))
            
            

        imagebutton:
            idle "images/apps/money_icon.png" 
            hover "images/apps/money_icon_h.png" 
            action NullAction()
            
            


        imagebutton:
            idle "images/apps/camera_icon.png" 
            hover "images/apps/camera_icon_h.png" 
            action Show('disconnect_screen')
        

        
        imagebutton:
            idle "images/apps/mf_icon.png"
            hover "images/apps/mf_icon_h.png" 
            action Show('mf', transition=CropMove(time=0.15, mode='wipeup'))


        imagebutton:
            idle "images/apps/map_icon.png" 
            hover "images/apps/map_icon_h.png"
            action Show('map', transition=CropMove(time=0.15, mode='wipeup'))


        imagebutton:
            idle "images/apps/browser_icon.png" 
            hover "images/apps/browser_icon_h.png" 
            action Show('browser', transition=CropMove(time=0.15, mode='wipeup'))


        imagebutton:
            idle "images/apps/apps_icon.png"
            hover "images/apps/apps_icon_h.png" 
            action Show('not_ready')        

    
        imagebutton:
            idle "images/apps/of_icon.png"
            hover "images/apps/of_icon_h.png" 
            action [Function(shuffle_of_to_home), Show('of', transition=CropMove(time=0.15, mode='wipeup'))]



        imagebutton:
            idle "images/apps/morning_icon.png" 
            hover "images/apps/morning_icon_h.png" 
            action [Hide('next_chat_delay'), Show('next_chat_delay')]

        



        

    key "K_z":
        action NullAction()

    key "K_g":
        action NullAction()
    
    key "K_q":
        action NullAction()

    key "K_3":
        action NullAction()

    key "K_1":
        action NullAction()

    key "K_4":
        action NullAction()

    key "K_m":

        action NullAction()

    key "K_2":
        action NullAction()





screen sis_main_buttons_grid:

    modal True

    add "images/behind_btns.png" ypos 1950 xalign 0.5

    hbox ypos 1990 xalign 0.5:

        spacing 50

        $ new_message_on = any(i.online == 1 for i in globals().get(f"{current_phone}_chats", []))
        $ new_fuckstagram_message_on = any(i.online == 1 for i in globals().get(f"{current_phone}_fuckstagram_chats", []))

        imagebutton:

            if new_message_on == 1:
                idle "images/apps/messager_new_n.png" at shrink_big1
                hover "images/apps/messager_new_n_h.png"
            
            else:
                idle "images/apps/messager_new.png" at shrink_big1
                hover "images/apps/messager_new_h.png"
                
            action Show('whatsapp_app', transition=CropMove(time=0.15, mode='wipeup'))
            

        imagebutton:
            idle "images/apps/check_icon.png" at shrink_big1
            hover "images/apps/check_icon_h.png" 
            action Show('walkthrough_app', transition=CropMove(time=0.15, mode='wipeup'))
            

        imagebutton:
            if new_fuckstagram_message_on == 1:
                idle "images/apps/fuckstagram_new2.png" at shrink_big1
                hover "images/apps/fuckstagram_new2_h.png" 
            else:
                idle "images/apps/fuckstagram_new.png" at shrink_big1
                hover "images/apps/fuckstagram_new_h.png" 
            action NullAction()
            

        imagebutton:
            idle "images/apps/wifespy_icon.png" at shrink_big1
            hover "images/apps/wifespy_icon_h.png" 
            action Jump('mc_phone')
            
















screen sis_buttons_null:

    use sis_main_buttons_grid_chats
    
    grid 5 3:  # 2 строки и 2 столбца

        xalign 0.5
        yalign 0.1
        xspacing 40
        yspacing 40

            

        


        imagebutton:
            idle "images/apps/gallery_icon.png"
            hover "images/apps/gallery_icon_h.png" 



        imagebutton:
            idle "images/apps/money_icon.png" 
            hover "images/apps/money_icon_h.png" 
            
            


        imagebutton:
            idle "images/apps/camera_icon.png" 
            hover "images/apps/camera_icon_h.png" 
        
        
        imagebutton:
            idle "images/apps/mf_icon.png"
            hover "images/apps/mf_icon_h.png" 

        imagebutton:
            idle "images/apps/map_icon.png" 
            hover "images/apps/map_icon_h.png"


        imagebutton:
            idle "images/apps/browser_icon.png" 
            hover "images/apps/browser_icon_h.png" 


        imagebutton:
            idle "images/apps/apps_icon.png"
            hover "images/apps/apps_icon_h.png" 
            

    
        imagebutton:
            idle "images/apps/of_icon.png"
            hover "images/apps/of_icon_h.png" 



        imagebutton:
            idle "images/apps/morning_icon.png" 
            hover "images/apps/morning_icon_h.png" 



        

        









screen sis_main_buttons_grid_chats:

    hbox ypos 1990 xalign 0.5:

        spacing 50

        imagebutton:
            idle "images/apps/messager_new.png" at shrink_big1
            hover "images/apps/messager_new_h.png"
            
            

        imagebutton:
            idle "images/apps/check_icon.png" at shrink_big1
            hover "images/apps/check_icon_h.png" 
            
            

        imagebutton:
            idle "images/apps/fuckstagram_new.png" at shrink_big1
            hover "images/apps/fuckstagram_new_h.png" 
            
            

        imagebutton:
            idle "images/apps/wifespy_icon.png" at shrink_big1
            hover "images/apps/wifespy_icon_h.png" 








































screen son_buttons:

    modal True


    use son_main_buttons_grid

    grid 5 3:  # 2 строки и 2 столбца

        xalign 0.5
        yalign 0.1
        xspacing 40
        yspacing 40

            

        

        
        imagebutton:
            idle "images/apps/mf_icon.png"
            hover "images/apps/mf_icon_h.png" 
            action NullAction()  

    
        imagebutton:
            idle "images/apps/of_icon.png"
            hover "images/apps/of_icon_h.png" 
            action [Function(shuffle_of_to_home), Show('of', transition=CropMove(time=0.15, mode='wipeup'))]



        imagebutton:
            idle "images/apps/gallery_icon.png"
            hover "images/apps/gallery_icon_h.png" 
            action Show('gallery_screen', transition=CropMove(time=0.15, mode='wipeup'))
            
            

        imagebutton:
            idle "images/apps/money_icon.png" 
            hover "images/apps/money_icon_h.png" 
            action NullAction()


        imagebutton:
            idle "images/apps/map_icon.png" 
            hover "images/apps/map_icon_h.png"
            action Show('map', transition=CropMove(time=0.15, mode='wipeup'))
            


        imagebutton:
            idle "images/apps/camera_icon.png" 
            hover "images/apps/camera_icon_h.png" 
            action Show('disconnect_screen')


        imagebutton:
            idle "images/apps/browser_icon.png" 
            hover "images/apps/browser_icon_h.png" 
            action Show('browser', transition=CropMove(time=0.15, mode='wipeup'))


        imagebutton:
            idle "images/apps/apps_icon.png"
            hover "images/apps/apps_icon_h.png" 
            action Show('not_ready')      


        imagebutton:
            idle "images/apps/morning_icon.png" 
            hover "images/apps/morning_icon_h.png" 
            action [Hide('next_chat_delay'), Show('next_chat_delay')]
            


        



        

    key "K_z":
        action NullAction()

    key "K_g":
        action NullAction()
    
    key "K_q":
        action NullAction()

    key "K_3":
        action NullAction()

    key "K_1":
        action NullAction()

    key "K_4":
        action NullAction()

    key "K_m":

        action NullAction()

    key "K_2":
        action NullAction()





screen son_main_buttons_grid:

    modal True

    add "images/behind_btns.png" ypos 1950 xalign 0.5

    hbox ypos 1990 xalign 0.5:

        spacing 50

        $ new_message_on = any(i.online == 1 for i in globals().get(f"{current_phone}_chats", []))
        $ new_fuckstagram_message_on = any(i.online == 1 for i in globals().get(f"{current_phone}_fuckstagram_chats", []))

        imagebutton:

            if new_message_on == 1:
                idle "images/apps/messager_new_n.png" at shrink_big1
                hover "images/apps/messager_new_n_h.png"
            
            else:
                idle "images/apps/messager_new.png" at shrink_big1
                hover "images/apps/messager_new_h.png"
                
            action Show('whatsapp_app', transition=CropMove(time=0.15, mode='wipeup'))
            

        imagebutton:
            idle "images/apps/check_icon.png" at shrink_big1
            hover "images/apps/check_icon_h.png" 
            action Show('walkthrough_app', transition=CropMove(time=0.15, mode='wipeup'))
            

        imagebutton:
            if new_fuckstagram_message_on == 1:
                idle "images/apps/fuckstagram_new2.png" at shrink_big1
                hover "images/apps/fuckstagram_new2_h.png" 
            else:
                idle "images/apps/fuckstagram_new.png" at shrink_big1
                hover "images/apps/fuckstagram_new_h.png" 
            action NullAction()
            

        imagebutton:
            idle "images/apps/wifespy_icon.png" at shrink_big1
            hover "images/apps/wifespy_icon_h.png" 
            action Jump('mc_phone')
            
















screen son_buttons_null:

    use son_main_buttons_grid_chats
    
    grid 5 3:  # 2 строки и 2 столбца

        xalign 0.5
        yalign 0.1
        xspacing 40
        yspacing 40

            
        
        imagebutton:
            idle "images/apps/mf_icon.png"
            hover "images/apps/mf_icon_h.png" 


    
        imagebutton:
            idle "images/apps/of_icon.png"
            hover "images/apps/of_icon_h.png" 
        


        imagebutton:
            idle "images/apps/gallery_icon.png"
            hover "images/apps/gallery_icon_h.png" 



        imagebutton:
            idle "images/apps/money_icon.png" 
            hover "images/apps/money_icon_h.png" 
        

        imagebutton:
            idle "images/apps/map_icon.png" 
            hover "images/apps/map_icon_h.png"
            


        imagebutton:
            idle "images/apps/camera_icon.png" 
            hover "images/apps/camera_icon_h.png" 


        imagebutton:
            idle "images/apps/browser_icon.png" 
            hover "images/apps/browser_icon_h.png" 


        imagebutton:
            idle "images/apps/apps_icon.png"
            hover "images/apps/apps_icon_h.png" 
            



        imagebutton:
            idle "images/apps/morning_icon.png" 
            hover "images/apps/morning_icon_h.png" 



        

        









screen son_main_buttons_grid_chats:

    hbox ypos 1990 xalign 0.5:

        spacing 50

        imagebutton:
            idle "images/apps/messager_new.png" at shrink_big1
            hover "images/apps/messager_new_h.png"
            
            

        imagebutton:
            idle "images/apps/check_icon.png" at shrink_big1
            hover "images/apps/check_icon_h.png" 
            
            

        imagebutton:
            idle "images/apps/fuckstagram_new.png" at shrink_big1
            hover "images/apps/fuckstagram_new_h.png" 
            
            

        imagebutton:
            idle "images/apps/wifespy_icon.png" at shrink_big1
            hover "images/apps/wifespy_icon_h.png" 








































screen wsis_buttons:

    modal True


    use wsis_main_buttons_grid

    grid 5 3:  # 2 строки и 2 столбца

        xalign 0.5
        yalign 0.1
        xspacing 40
        yspacing 40

            



        imagebutton:
            idle "images/apps/gallery_icon.png"
            hover "images/apps/gallery_icon_h.png" 
            action Show('gallery_screen', transition=CropMove(time=0.15, mode='wipeup'))
            
            

        imagebutton:
            idle "images/apps/money_icon.png" 
            hover "images/apps/money_icon_h.png" 
            action NullAction()


        imagebutton:
            idle "images/apps/map_icon.png" 
            hover "images/apps/map_icon_h.png"
            action Show('map', transition=CropMove(time=0.15, mode='wipeup'))


        imagebutton:
            idle "images/apps/browser_icon.png" 
            hover "images/apps/browser_icon_h.png" 
            action Show('browser', transition=CropMove(time=0.15, mode='wipeup'))


    
        imagebutton:
            idle "images/apps/of_icon.png"
            hover "images/apps/of_icon_h.png" 
            action [Function(shuffle_of_to_home), Show('of', transition=CropMove(time=0.15, mode='wipeup'))]
        

        
        imagebutton:
            idle "images/apps/mf_icon.png"
            hover "images/apps/mf_icon_h.png" 
            action NullAction()
            


        imagebutton:
            idle "images/apps/camera_icon.png" 
            hover "images/apps/camera_icon_h.png" 
            action Show('disconnect_screen')



        imagebutton:
            idle "images/apps/morning_icon.png" 
            hover "images/apps/morning_icon_h.png" 
            action [Hide('next_chat_delay'), Show('next_chat_delay')]

        

        



        

    key "K_z":
        action NullAction()

    key "K_g":
        action NullAction()
    
    key "K_q":
        action NullAction()

    key "K_3":
        action NullAction()

    key "K_1":
        action NullAction()

    key "K_4":
        action NullAction()

    key "K_m":

        action NullAction()

    key "K_2":
        action NullAction()





screen wsis_main_buttons_grid:

    modal True

    add "images/behind_btns.png" ypos 1950 xalign 0.5

    hbox ypos 1990 xalign 0.5:

        spacing 50

        $ new_message_on = any(i.online == 1 for i in globals().get(f"{current_phone}_chats", []))
        $ new_fuckstagram_message_on = any(i.online == 1 for i in globals().get(f"{current_phone}_fuckstagram_chats", []))

        imagebutton:

            if new_message_on == 1:
                idle "images/apps/messager_new_n.png" at shrink_big1
                hover "images/apps/messager_new_n_h.png"
            
            else:
                idle "images/apps/messager_new.png" at shrink_big1
                hover "images/apps/messager_new_h.png"
                
            action Show('whatsapp_app', transition=CropMove(time=0.15, mode='wipeup'))
            

        imagebutton:
            idle "images/apps/check_icon.png" at shrink_big1
            hover "images/apps/check_icon_h.png" 
            action Show('walkthrough_app', transition=CropMove(time=0.15, mode='wipeup'))
            

        imagebutton:
            if new_fuckstagram_message_on == 1:
                idle "images/apps/fuckstagram_new2.png" at shrink_big1
                hover "images/apps/fuckstagram_new2_h.png" 
            else:
                idle "images/apps/fuckstagram_new.png" at shrink_big1
                hover "images/apps/fuckstagram_new_h.png" 
            action NullAction()
            

        imagebutton:
            idle "images/apps/wifespy_icon.png" at shrink_big1
            hover "images/apps/wifespy_icon_h.png" 
            action Jump('mc_phone')
            
















screen wsis_buttons_null:

    use wsis_main_buttons_grid_chats
    
    grid 5 3:  # 2 строки и 2 столбца

        xalign 0.5
        yalign 0.1
        xspacing 40
        yspacing 40

            

        


        imagebutton:
            idle "images/apps/gallery_icon.png"
            hover "images/apps/gallery_icon_h.png" 



        imagebutton:
            idle "images/apps/money_icon.png" 
            hover "images/apps/money_icon_h.png" 

        imagebutton:
            idle "images/apps/map_icon.png" 
            hover "images/apps/map_icon_h.png"


        imagebutton:
            idle "images/apps/browser_icon.png" 
            hover "images/apps/browser_icon_h.png" 
            

    
        imagebutton:
            idle "images/apps/of_icon.png"
            hover "images/apps/of_icon_h.png" 
        
        
        imagebutton:
            idle "images/apps/mf_icon.png"
            hover "images/apps/mf_icon_h.png" 
            


        imagebutton:
            idle "images/apps/camera_icon.png" 
            hover "images/apps/camera_icon_h.png" 



        imagebutton:
            idle "images/apps/morning_icon.png" 
            hover "images/apps/morning_icon_h.png" 



        

        

        









screen wsis_main_buttons_grid_chats:

    hbox ypos 1990 xalign 0.5:

        spacing 50

        imagebutton:
            idle "images/apps/messager_new.png" at shrink_big1
            hover "images/apps/messager_new_h.png"
            
            

        imagebutton:
            idle "images/apps/check_icon.png" at shrink_big1
            hover "images/apps/check_icon_h.png" 
            
            

        imagebutton:
            idle "images/apps/fuckstagram_new.png" at shrink_big1
            hover "images/apps/fuckstagram_new_h.png" 
            
            

        imagebutton:
            idle "images/apps/wifespy_icon.png" at shrink_big1
            hover "images/apps/wifespy_icon_h.png" 








































screen talay_buttons:

    modal True


    use talay_main_buttons_grid

    grid 5 3:  # 2 строки и 2 столбца

        xalign 0.5
        yalign 0.1
        xspacing 40
        yspacing 40

            



        imagebutton:
            idle "images/apps/gallery_icon.png"
            hover "images/apps/gallery_icon_h.png" 
            action Show('gallery_screen', transition=CropMove(time=0.15, mode='wipeup'))
            
            

        imagebutton:
            idle "images/apps/money_icon.png" 
            hover "images/apps/money_icon_h.png" 
            action NullAction()
        


        imagebutton:
            idle "images/apps/map_icon.png" 
            hover "images/apps/map_icon_h.png"
            action Show('map', transition=CropMove(time=0.15, mode='wipeup'))


        imagebutton:
            idle "images/apps/browser_icon.png" 
            hover "images/apps/browser_icon_h.png" 
            action Show('browser', transition=CropMove(time=0.15, mode='wipeup'))


        imagebutton:
            idle "images/apps/apps_icon.png"
            hover "images/apps/apps_icon_h.png" 
            action Show('not_ready')        



        imagebutton:
            idle "images/apps/morning_icon.png" 
            hover "images/apps/morning_icon_h.png" 
            action [Hide('next_chat_delay'), Show('next_chat_delay')]
            

            


        imagebutton:
            idle "images/apps/camera_icon.png" 
            hover "images/apps/camera_icon_h.png" 
            action Show('disconnect_screen')

        

        

        



        

    key "K_z":
        action NullAction()

    key "K_g":
        action NullAction()
    
    key "K_q":
        action NullAction()

    key "K_3":
        action NullAction()

    key "K_1":
        action NullAction()

    key "K_4":
        action NullAction()

    key "K_m":

        action NullAction()

    key "K_2":
        action NullAction()





screen talay_main_buttons_grid:

    modal True

    add "images/behind_btns.png" ypos 1950 xalign 0.5

    hbox ypos 1990 xalign 0.5:

        spacing 50

        $ new_message_on = any(i.online == 1 for i in globals().get(f"{current_phone}_chats", []))
        $ new_fuckstagram_message_on = any(i.online == 1 for i in globals().get(f"{current_phone}_fuckstagram_chats", []))

        imagebutton:

            if new_message_on == 1:
                idle "images/apps/messager_new_n.png" at shrink_big1
                hover "images/apps/messager_new_n_h.png"
            
            else:
                idle "images/apps/messager_new.png" at shrink_big1
                hover "images/apps/messager_new_h.png"
                
            action Show('whatsapp_app', transition=CropMove(time=0.15, mode='wipeup'))
            

        imagebutton:
            idle "images/apps/check_icon.png" at shrink_big1
            hover "images/apps/check_icon_h.png" 
            action Show('walkthrough_app', transition=CropMove(time=0.15, mode='wipeup'))
            

        imagebutton:
            if new_fuckstagram_message_on == 1:
                idle "images/apps/fuckstagram_new2.png" at shrink_big1
                hover "images/apps/fuckstagram_new2_h.png" 
            else:
                idle "images/apps/fuckstagram_new.png" at shrink_big1
                hover "images/apps/fuckstagram_new_h.png" 
            action NullAction()
            

        imagebutton:
            idle "images/apps/wifespy_icon.png" at shrink_big1
            hover "images/apps/wifespy_icon_h.png" 
            action Jump('mc_phone')
            
















screen talay_buttons_null:

    use talay_main_buttons_grid_chats
    
    grid 5 3:  # 2 строки и 2 столбца

        xalign 0.5
        yalign 0.1
        xspacing 40
        yspacing 40

            

        


        imagebutton:
            idle "images/apps/gallery_icon.png"
            hover "images/apps/gallery_icon_h.png" 



        imagebutton:
            idle "images/apps/money_icon.png" 
            hover "images/apps/money_icon_h.png" 

        imagebutton:
            idle "images/apps/map_icon.png" 
            hover "images/apps/map_icon_h.png"


        imagebutton:
            idle "images/apps/browser_icon.png" 
            hover "images/apps/browser_icon_h.png" 


        imagebutton:
            idle "images/apps/apps_icon.png"
            hover "images/apps/apps_icon_h.png" 



        imagebutton:
            idle "images/apps/morning_icon.png" 
            hover "images/apps/morning_icon_h.png" 
            

            


        imagebutton:
            idle "images/apps/camera_icon.png" 
            hover "images/apps/camera_icon_h.png" 



        

        

        

        









screen talay_main_buttons_grid_chats:

    hbox ypos 1990 xalign 0.5:

        spacing 50

        imagebutton:
            idle "images/apps/messager_new.png" at shrink_big1
            hover "images/apps/messager_new_h.png"
            
            

        imagebutton:
            idle "images/apps/check_icon.png" at shrink_big1
            hover "images/apps/check_icon_h.png" 
            
            

        imagebutton:
            idle "images/apps/fuckstagram_new.png" at shrink_big1
            hover "images/apps/fuckstagram_new_h.png" 
            
            

        imagebutton:
            idle "images/apps/wifespy_icon.png" at shrink_big1
            hover "images/apps/wifespy_icon_h.png" 








































screen christina_buttons:

    modal True


    use christina_main_buttons_grid

    grid 5 3:  # 2 строки и 2 столбца

        xalign 0.5
        yalign 0.1
        xspacing 40
        yspacing 40

            


    
        imagebutton:
            idle "images/apps/of_icon.png"
            hover "images/apps/of_icon_h.png" 
            action [Function(shuffle_of_to_home), Show('of', transition=CropMove(time=0.15, mode='wipeup'))]
        

        
        imagebutton:
            idle "images/apps/mf_icon.png"
            hover "images/apps/mf_icon_h.png" 
            action NullAction()


        imagebutton:
            idle "images/apps/gallery_icon.png"
            hover "images/apps/gallery_icon_h.png" 
            action Show('gallery_screen', transition=CropMove(time=0.15, mode='wipeup'))
            


        imagebutton:
            idle "images/apps/camera_icon.png" 
            hover "images/apps/camera_icon_h.png" 
            action Show('disconnect_screen')
            


        imagebutton:
            idle "images/apps/map_icon.png" 
            hover "images/apps/map_icon_h.png"
            action Show('map', transition=CropMove(time=0.15, mode='wipeup'))


        imagebutton:
            idle "images/apps/browser_icon.png" 
            hover "images/apps/browser_icon_h.png" 
            action Show('browser', transition=CropMove(time=0.15, mode='wipeup'))


        imagebutton:
            idle "images/apps/apps_icon.png"
            hover "images/apps/apps_icon_h.png" 
            action Show('not_ready')      
            

        imagebutton:
            idle "images/apps/money_icon.png" 
            hover "images/apps/money_icon_h.png" 
            action NullAction()  



        imagebutton:
            idle "images/apps/morning_icon.png" 
            hover "images/apps/morning_icon_h.png" 
            action [Hide('next_chat_delay'), Show('next_chat_delay')]
            


        



        

    key "K_z":
        action NullAction()

    key "K_g":
        action NullAction()
    
    key "K_q":
        action NullAction()

    key "K_3":
        action NullAction()

    key "K_1":
        action NullAction()

    key "K_4":
        action NullAction()

    key "K_m":

        action NullAction()

    key "K_2":
        action NullAction()





screen christina_main_buttons_grid:

    modal True

    add "images/behind_btns.png" ypos 1950 xalign 0.5

    hbox ypos 1990 xalign 0.5:

        spacing 50

        $ new_message_on = any(i.online == 1 for i in globals().get(f"{current_phone}_chats", []))
        $ new_fuckstagram_message_on = any(i.online == 1 for i in globals().get(f"{current_phone}_fuckstagram_chats", []))

        imagebutton:

            if new_message_on == 1:
                idle "images/apps/messager_new_n.png" at shrink_big1
                hover "images/apps/messager_new_n_h.png"
            
            else:
                idle "images/apps/messager_new.png" at shrink_big1
                hover "images/apps/messager_new_h.png"
                
            action Show('whatsapp_app', transition=CropMove(time=0.15, mode='wipeup'))
            

        imagebutton:
            idle "images/apps/check_icon.png" at shrink_big1
            hover "images/apps/check_icon_h.png" 
            action Show('walkthrough_app', transition=CropMove(time=0.15, mode='wipeup'))
            

        imagebutton:
            if new_fuckstagram_message_on == 1:
                idle "images/apps/fuckstagram_new2.png" at shrink_big1
                hover "images/apps/fuckstagram_new2_h.png" 
            else:
                idle "images/apps/fuckstagram_new.png" at shrink_big1
                hover "images/apps/fuckstagram_new_h.png" 
            action NullAction()
            

        imagebutton:
            idle "images/apps/wifespy_icon.png" at shrink_big1
            hover "images/apps/wifespy_icon_h.png" 
            action Jump('mc_phone')
            
















screen christina_buttons_null:

    use christina_main_buttons_grid_chats
    
    grid 5 3:  # 2 строки и 2 столбца

        xalign 0.5
        yalign 0.1
        xspacing 40
        yspacing 40

            

            

    
        imagebutton:
            idle "images/apps/of_icon.png"
            hover "images/apps/of_icon_h.png" 
        
        
        imagebutton:
            idle "images/apps/mf_icon.png"
            hover "images/apps/mf_icon_h.png" 
        


        imagebutton:
            idle "images/apps/gallery_icon.png"
            hover "images/apps/gallery_icon_h.png" 
            


        imagebutton:
            idle "images/apps/camera_icon.png" 
            hover "images/apps/camera_icon_h.png" 

        imagebutton:
            idle "images/apps/map_icon.png" 
            hover "images/apps/map_icon_h.png"


        imagebutton:
            idle "images/apps/browser_icon.png" 
            hover "images/apps/browser_icon_h.png" 


        imagebutton:
            idle "images/apps/apps_icon.png"
            hover "images/apps/apps_icon_h.png" 



        imagebutton:
            idle "images/apps/money_icon.png" 
            hover "images/apps/money_icon_h.png" 



        imagebutton:
            idle "images/apps/morning_icon.png" 
            hover "images/apps/morning_icon_h.png" 



        

        









screen christina_main_buttons_grid_chats:

    hbox ypos 1990 xalign 0.5:

        spacing 50

        imagebutton:
            idle "images/apps/messager_new.png" at shrink_big1
            hover "images/apps/messager_new_h.png"
            
            

        imagebutton:
            idle "images/apps/check_icon.png" at shrink_big1
            hover "images/apps/check_icon_h.png" 
            
            

        imagebutton:
            idle "images/apps/fuckstagram_new.png" at shrink_big1
            hover "images/apps/fuckstagram_new_h.png" 
            
            

        imagebutton:
            idle "images/apps/wifespy_icon.png" at shrink_big1
            hover "images/apps/wifespy_icon_h.png" 








































screen mom_buttons:

    modal True


    use mom_main_buttons_grid

    grid 5 3:  # 2 строки и 2 столбца

        xalign 0.5
        yalign 0.1
        xspacing 40
        yspacing 40

            



        imagebutton:
            idle "images/apps/browser_icon.png" 
            hover "images/apps/browser_icon_h.png" 
            action Show('browser', transition=CropMove(time=0.15, mode='wipeup'))


        imagebutton:
            idle "images/apps/gallery_icon.png"
            hover "images/apps/gallery_icon_h.png" 
            action Show('gallery_screen', transition=CropMove(time=0.15, mode='wipeup'))
            
            

        imagebutton:
            idle "images/apps/money_icon.png" 
            hover "images/apps/money_icon_h.png" 
            action NullAction()
        

        
        imagebutton:
            idle "images/apps/mf_icon.png"
            hover "images/apps/mf_icon_h.png" 
            action NullAction()        


        imagebutton:
            idle "images/apps/map_icon.png" 
            hover "images/apps/map_icon_h.png"
            action Show('map', transition=CropMove(time=0.15, mode='wipeup'))


        imagebutton:
            idle "images/apps/apps_icon.png"
            hover "images/apps/apps_icon_h.png" 
            action Show('not_ready')        



        imagebutton:
            idle "images/apps/morning_icon.png" 
            hover "images/apps/morning_icon_h.png" 
            action [Hide('next_chat_delay'), Show('next_chat_delay')]
            
            


        imagebutton:
            idle "images/apps/camera_icon.png" 
            hover "images/apps/camera_icon_h.png" 
            action Show('disconnect_screen')

        

        



        

    key "K_z":
        action NullAction()

    key "K_g":
        action NullAction()
    
    key "K_q":
        action NullAction()

    key "K_3":
        action NullAction()

    key "K_1":
        action NullAction()

    key "K_4":
        action NullAction()

    key "K_m":

        action NullAction()

    key "K_2":
        action NullAction()





screen mom_main_buttons_grid:

    modal True

    add "images/behind_btns.png" ypos 1950 xalign 0.5

    hbox ypos 1990 xalign 0.5:

        spacing 50

        $ new_message_on = any(i.online == 1 for i in globals().get(f"{current_phone}_chats", []))
        $ new_fuckstagram_message_on = any(i.online == 1 for i in globals().get(f"{current_phone}_fuckstagram_chats", []))

        imagebutton:

            if new_message_on == 1:
                idle "images/apps/messager_new_n.png" at shrink_big1
                hover "images/apps/messager_new_n_h.png"
            
            else:
                idle "images/apps/messager_new.png" at shrink_big1
                hover "images/apps/messager_new_h.png"
                
            action Show('whatsapp_app', transition=CropMove(time=0.15, mode='wipeup'))
            

        imagebutton:
            idle "images/apps/check_icon.png" at shrink_big1
            hover "images/apps/check_icon_h.png" 
            action Show('walkthrough_app', transition=CropMove(time=0.15, mode='wipeup'))
            

        imagebutton:
            if new_fuckstagram_message_on == 1:
                idle "images/apps/fuckstagram_new2.png" at shrink_big1
                hover "images/apps/fuckstagram_new2_h.png" 
            else:
                idle "images/apps/fuckstagram_new.png" at shrink_big1
                hover "images/apps/fuckstagram_new_h.png" 
            action NullAction()
            

        imagebutton:
            idle "images/apps/wifespy_icon.png" at shrink_big1
            hover "images/apps/wifespy_icon_h.png" 
            action Jump('mc_phone')
            
















screen mom_buttons_null:

    use mom_main_buttons_grid_chats
    
    grid 5 3:  # 2 строки и 2 столбца

        xalign 0.5
        yalign 0.1
        xspacing 40
        yspacing 40

            

        


        imagebutton:
            idle "images/apps/browser_icon.png" 
            hover "images/apps/browser_icon_h.png" 


        imagebutton:
            idle "images/apps/gallery_icon.png"
            hover "images/apps/gallery_icon_h.png" 



        imagebutton:
            idle "images/apps/money_icon.png" 
            hover "images/apps/money_icon_h.png" 
        
        
        imagebutton:
            idle "images/apps/mf_icon.png"
            hover "images/apps/mf_icon_h.png" 

        imagebutton:
            idle "images/apps/map_icon.png" 
            hover "images/apps/map_icon_h.png"


        imagebutton:
            idle "images/apps/apps_icon.png"
            hover "images/apps/apps_icon_h.png" 



        imagebutton:
            idle "images/apps/morning_icon.png" 
            hover "images/apps/morning_icon_h.png" 
            
            


        imagebutton:
            idle "images/apps/camera_icon.png" 
            hover "images/apps/camera_icon_h.png" 



        

        

        









screen mom_main_buttons_grid_chats:

    hbox ypos 1990 xalign 0.5:

        spacing 50

        imagebutton:
            idle "images/apps/messager_new.png" at shrink_big1
            hover "images/apps/messager_new_h.png"
            
            

        imagebutton:
            idle "images/apps/check_icon.png" at shrink_big1
            hover "images/apps/check_icon_h.png" 
            
            

        imagebutton:
            idle "images/apps/fuckstagram_new.png" at shrink_big1
            hover "images/apps/fuckstagram_new_h.png" 
            
            

        imagebutton:
            idle "images/apps/wifespy_icon.png" at shrink_big1
            hover "images/apps/wifespy_icon_h.png" 








































screen mike_buttons:

    modal True


    use mike_main_buttons_grid

    grid 5 3:  # 2 строки и 2 столбца

        xalign 0.5
        yalign 0.1
        xspacing 40
        yspacing 40

            


    
        imagebutton:
            idle "images/apps/of_icon.png"
            hover "images/apps/of_icon_h.png" 
            action [Function(shuffle_of_to_home), Show('of', transition=CropMove(time=0.15, mode='wipeup'))]


        imagebutton:
            idle "images/apps/gallery_icon.png"
            hover "images/apps/gallery_icon_h.png" 
            action Show('gallery_screen', transition=CropMove(time=0.15, mode='wipeup'))
            
        

        
        imagebutton:
            idle "images/apps/mf_icon.png"
            hover "images/apps/mf_icon_h.png" 
            action NullAction()


        imagebutton:
            idle "images/apps/camera_icon.png" 
            hover "images/apps/camera_icon_h.png" 
            action Show('disconnect_screen')
            

        imagebutton:
            idle "images/apps/money_icon.png" 
            hover "images/apps/money_icon_h.png" 
            action NullAction()


        imagebutton:
            idle "images/apps/map_icon.png" 
            hover "images/apps/map_icon_h.png"
            action Show('map', transition=CropMove(time=0.15, mode='wipeup'))


        imagebutton:
            idle "images/apps/browser_icon.png" 
            hover "images/apps/browser_icon_h.png" 
            action Show('browser', transition=CropMove(time=0.15, mode='wipeup'))


        imagebutton:
            idle "images/apps/apps_icon.png"
            hover "images/apps/apps_icon_h.png" 
            action Show('not_ready')        



        imagebutton:
            idle "images/apps/morning_icon.png" 
            hover "images/apps/morning_icon_h.png" 
            action [Hide('next_chat_delay'), Show('next_chat_delay')]

        



        

    key "K_z":
        action NullAction()

    key "K_g":
        action NullAction()
    
    key "K_q":
        action NullAction()

    key "K_3":
        action NullAction()

    key "K_1":
        action NullAction()

    key "K_4":
        action NullAction()

    key "K_m":

        action NullAction()

    key "K_2":
        action NullAction()





screen mike_main_buttons_grid:

    modal True

    add "images/behind_btns.png" ypos 1950 xalign 0.5

    hbox ypos 1990 xalign 0.5:

        spacing 50

        $ new_message_on = any(i.online == 1 for i in globals().get(f"{current_phone}_chats", []))
        $ new_fuckstagram_message_on = any(i.online == 1 for i in globals().get(f"{current_phone}_fuckstagram_chats", []))

        imagebutton:

            if new_message_on == 1:
                idle "images/apps/messager_new_n.png" at shrink_big1
                hover "images/apps/messager_new_n_h.png"
            
            else:
                idle "images/apps/messager_new.png" at shrink_big1
                hover "images/apps/messager_new_h.png"
                
            action Show('whatsapp_app', transition=CropMove(time=0.15, mode='wipeup'))
            

        imagebutton:
            idle "images/apps/check_icon.png" at shrink_big1
            hover "images/apps/check_icon_h.png" 
            action Show('walkthrough_app', transition=CropMove(time=0.15, mode='wipeup'))
            

        imagebutton:
            if new_fuckstagram_message_on == 1:
                idle "images/apps/fuckstagram_new2.png" at shrink_big1
                hover "images/apps/fuckstagram_new2_h.png" 
            else:
                idle "images/apps/fuckstagram_new.png" at shrink_big1
                hover "images/apps/fuckstagram_new_h.png" 
            action NullAction()
            

        imagebutton:
            idle "images/apps/wifespy_icon.png" at shrink_big1
            hover "images/apps/wifespy_icon_h.png" 
            action Jump('mc_phone')
            
















screen mike_buttons_null:

    use mike_main_buttons_grid_chats
    
    grid 5 3:  # 2 строки и 2 столбца

        xalign 0.5
        yalign 0.1
        xspacing 40
        yspacing 40

            

        
            

    
        imagebutton:
            idle "images/apps/of_icon.png"
            hover "images/apps/of_icon_h.png" 


        imagebutton:
            idle "images/apps/gallery_icon.png"
            hover "images/apps/gallery_icon_h.png" 
        
        
        imagebutton:
            idle "images/apps/mf_icon.png"
            hover "images/apps/mf_icon_h.png" 
            
            


        imagebutton:
            idle "images/apps/camera_icon.png" 
            hover "images/apps/camera_icon_h.png" 



        imagebutton:
            idle "images/apps/money_icon.png" 
            hover "images/apps/money_icon_h.png" 

        imagebutton:
            idle "images/apps/map_icon.png" 
            hover "images/apps/map_icon_h.png"


        imagebutton:
            idle "images/apps/browser_icon.png" 
            hover "images/apps/browser_icon_h.png" 


        imagebutton:
            idle "images/apps/apps_icon.png"
            hover "images/apps/apps_icon_h.png" 



        imagebutton:
            idle "images/apps/morning_icon.png" 
            hover "images/apps/morning_icon_h.png" 



        

        









screen mike_main_buttons_grid_chats:

    hbox ypos 1990 xalign 0.5:

        spacing 50

        imagebutton:
            idle "images/apps/messager_new.png" at shrink_big1
            hover "images/apps/messager_new_h.png"
            
            

        imagebutton:
            idle "images/apps/check_icon.png" at shrink_big1
            hover "images/apps/check_icon_h.png" 
            
            

        imagebutton:
            idle "images/apps/fuckstagram_new.png" at shrink_big1
            hover "images/apps/fuckstagram_new_h.png" 
            
            

        imagebutton:
            idle "images/apps/wifespy_icon.png" at shrink_big1
            hover "images/apps/wifespy_icon_h.png" 








































screen mark_buttons:

    modal True


    use mark_main_buttons_grid

    grid 5 3:  # 2 строки и 2 столбца

        xalign 0.5
        yalign 0.1
        xspacing 40
        yspacing 40

            


    
        imagebutton:
            idle "images/apps/of_icon.png"
            hover "images/apps/of_icon_h.png" 
            action [Function(shuffle_of_to_home), Show('of', transition=CropMove(time=0.15, mode='wipeup'))]


        imagebutton:
            idle "images/apps/gallery_icon.png"
            hover "images/apps/gallery_icon_h.png" 
            action Show('gallery_screen', transition=CropMove(time=0.15, mode='wipeup'))
            
        

        
        imagebutton:
            idle "images/apps/mf_icon.png"
            hover "images/apps/mf_icon_h.png" 
            action NullAction()
            

        imagebutton:
            idle "images/apps/money_icon.png" 
            hover "images/apps/money_icon_h.png" 
            action NullAction()
            

        imagebutton:
            idle "images/apps/camera_icon.png" 
            hover "images/apps/camera_icon_h.png" 
            action Show('disconnect_screen')


        imagebutton:
            idle "images/apps/map_icon.png" 
            hover "images/apps/map_icon_h.png"
            action Show('map', transition=CropMove(time=0.15, mode='wipeup'))


        imagebutton:
            idle "images/apps/browser_icon.png" 
            hover "images/apps/browser_icon_h.png" 
            action Show('browser', transition=CropMove(time=0.15, mode='wipeup'))


        imagebutton:
            idle "images/apps/apps_icon.png"
            hover "images/apps/apps_icon_h.png" 
            action Show('not_ready')        



        imagebutton:
            idle "images/apps/morning_icon.png" 
            hover "images/apps/morning_icon_h.png" 
            action [Hide('next_chat_delay'), Show('next_chat_delay')]

        



        

    key "K_z":
        action NullAction()

    key "K_g":
        action NullAction()
    
    key "K_q":
        action NullAction()

    key "K_3":
        action NullAction()

    key "K_1":
        action NullAction()

    key "K_4":
        action NullAction()

    key "K_m":

        action NullAction()

    key "K_2":
        action NullAction()





screen mark_main_buttons_grid:

    modal True

    add "images/behind_btns.png" ypos 1950 xalign 0.5

    hbox ypos 1990 xalign 0.5:

        spacing 50

        $ new_message_on = any(i.online == 1 for i in globals().get(f"{current_phone}_chats", []))
        $ new_fuckstagram_message_on = any(i.online == 1 for i in globals().get(f"{current_phone}_fuckstagram_chats", []))

        imagebutton:

            if new_message_on == 1:
                idle "images/apps/messager_new_n.png" at shrink_big1
                hover "images/apps/messager_new_n_h.png"
            
            else:
                idle "images/apps/messager_new.png" at shrink_big1
                hover "images/apps/messager_new_h.png"
                
            action Show('whatsapp_app', transition=CropMove(time=0.15, mode='wipeup'))
            

        imagebutton:
            idle "images/apps/check_icon.png" at shrink_big1
            hover "images/apps/check_icon_h.png" 
            action Show('walkthrough_app', transition=CropMove(time=0.15, mode='wipeup'))
            

        imagebutton:
            if new_fuckstagram_message_on == 1:
                idle "images/apps/fuckstagram_new2.png" at shrink_big1
                hover "images/apps/fuckstagram_new2_h.png" 
            else:
                idle "images/apps/fuckstagram_new.png" at shrink_big1
                hover "images/apps/fuckstagram_new_h.png" 
            action NullAction()
            

        imagebutton:
            idle "images/apps/wifespy_icon.png" at shrink_big1
            hover "images/apps/wifespy_icon_h.png" 
            action Jump('mc_phone')
            
















screen mark_buttons_null:

    use mark_main_buttons_grid_chats
    
    grid 5 3:  # 2 строки и 2 столбца

        xalign 0.5
        yalign 0.1
        xspacing 40
        yspacing 40

            

        
            

    
        imagebutton:
            idle "images/apps/of_icon.png"
            hover "images/apps/of_icon_h.png" 


        imagebutton:
            idle "images/apps/gallery_icon.png"
            hover "images/apps/gallery_icon_h.png" 
        
        
        imagebutton:
            idle "images/apps/mf_icon.png"
            hover "images/apps/mf_icon_h.png" 



        imagebutton:
            idle "images/apps/money_icon.png" 
            hover "images/apps/money_icon_h.png" 
            

        imagebutton:
            idle "images/apps/camera_icon.png" 
            hover "images/apps/camera_icon_h.png" 

        imagebutton:
            idle "images/apps/map_icon.png" 
            hover "images/apps/map_icon_h.png"


        imagebutton:
            idle "images/apps/browser_icon.png" 
            hover "images/apps/browser_icon_h.png" 


        imagebutton:
            idle "images/apps/apps_icon.png"
            hover "images/apps/apps_icon_h.png" 



        imagebutton:
            idle "images/apps/morning_icon.png" 
            hover "images/apps/morning_icon_h.png" 



        

        









screen mark_main_buttons_grid_chats:

    hbox ypos 1990 xalign 0.5:

        spacing 50

        imagebutton:
            idle "images/apps/messager_new.png" at shrink_big1
            hover "images/apps/messager_new_h.png"
            
            

        imagebutton:
            idle "images/apps/check_icon.png" at shrink_big1
            hover "images/apps/check_icon_h.png" 
            
            

        imagebutton:
            idle "images/apps/fuckstagram_new.png" at shrink_big1
            hover "images/apps/fuckstagram_new_h.png" 
            
            

        imagebutton:
            idle "images/apps/wifespy_icon.png" at shrink_big1
            hover "images/apps/wifespy_icon_h.png" 









































screen niece_buttons:

    modal True


    use niece_main_buttons_grid

    grid 5 3:  # 2 строки и 2 столбца

        xalign 0.5
        yalign 0.1
        xspacing 40
        yspacing 40

            


    
        imagebutton:
            idle "images/apps/of_icon.png"
            hover "images/apps/of_icon_h.png" 
            action [Function(shuffle_of_to_home), Show('of', transition=CropMove(time=0.15, mode='wipeup'))]


        imagebutton:
            idle "images/apps/gallery_icon.png"
            hover "images/apps/gallery_icon_h.png" 
            action Show('gallery_screen', transition=CropMove(time=0.15, mode='wipeup'))
        

        
        imagebutton:
            idle "images/apps/mf_icon.png"
            hover "images/apps/mf_icon_h.png" 
            action NullAction()
            
            

        imagebutton:
            idle "images/apps/money_icon.png" 
            hover "images/apps/money_icon_h.png" 
            action NullAction()
            
            

        imagebutton:
            idle "images/apps/camera_icon.png" 
            hover "images/apps/camera_icon_h.png" 
            action Show('disconnect_screen')


        imagebutton:
            idle "images/apps/map_icon.png" 
            hover "images/apps/map_icon_h.png"
            action Show('map', transition=CropMove(time=0.15, mode='wipeup'))


        imagebutton:
            idle "images/apps/browser_icon.png" 
            hover "images/apps/browser_icon_h.png" 
            action Show('browser', transition=CropMove(time=0.15, mode='wipeup'))


        imagebutton:
            idle "images/apps/apps_icon.png"
            hover "images/apps/apps_icon_h.png" 
            action Show('not_ready')        



        imagebutton:
            idle "images/apps/morning_icon.png" 
            hover "images/apps/morning_icon_h.png" 
            action [Hide('next_chat_delay'), Show('next_chat_delay')]

        



        

    key "K_z":
        action NullAction()

    key "K_g":
        action NullAction()
    
    key "K_q":
        action NullAction()

    key "K_3":
        action NullAction()

    key "K_1":
        action NullAction()

    key "K_4":
        action NullAction()

    key "K_m":

        action NullAction()

    key "K_2":
        action NullAction()





screen niece_main_buttons_grid:

    modal True

    add "images/behind_btns.png" ypos 1950 xalign 0.5

    hbox ypos 1990 xalign 0.5:

        spacing 50

        $ new_message_on = any(i.online == 1 for i in globals().get(f"{current_phone}_chats", []))
        $ new_fuckstagram_message_on = any(i.online == 1 for i in globals().get(f"{current_phone}_fuckstagram_chats", []))

        imagebutton:

            if new_message_on == 1:
                idle "images/apps/messager_new_n.png" at shrink_big1
                hover "images/apps/messager_new_n_h.png"
            
            else:
                idle "images/apps/messager_new.png" at shrink_big1
                hover "images/apps/messager_new_h.png"
                
            action Show('whatsapp_app', transition=CropMove(time=0.15, mode='wipeup'))
            

        imagebutton:
            idle "images/apps/check_icon.png" at shrink_big1
            hover "images/apps/check_icon_h.png" 
            action Show('walkthrough_app', transition=CropMove(time=0.15, mode='wipeup'))
            

        imagebutton:
            if new_fuckstagram_message_on == 1:
                idle "images/apps/fuckstagram_new2.png" at shrink_big1
                hover "images/apps/fuckstagram_new2_h.png" 
            else:
                idle "images/apps/fuckstagram_new.png" at shrink_big1
                hover "images/apps/fuckstagram_new_h.png" 
            action NullAction()
            

        imagebutton:
            idle "images/apps/wifespy_icon.png" at shrink_big1
            hover "images/apps/wifespy_icon_h.png" 
            action Jump('mc_phone')
            
















screen niece_buttons_null:

    use niece_main_buttons_grid_chats
    
    grid 5 3:  # 2 строки и 2 столбца

        xalign 0.5
        yalign 0.1
        xspacing 40
        yspacing 40

            

        

            

    
        imagebutton:
            idle "images/apps/of_icon.png"
            hover "images/apps/of_icon_h.png" 



        imagebutton:
            idle "images/apps/gallery_icon.png"
            hover "images/apps/gallery_icon_h.png" 
        
        
        imagebutton:
            idle "images/apps/mf_icon.png"
            hover "images/apps/mf_icon_h.png" 



        imagebutton:
            idle "images/apps/money_icon.png" 
            hover "images/apps/money_icon_h.png" 
            
            
        imagebutton:
            idle "images/apps/camera_icon.png" 
            hover "images/apps/camera_icon_h.png" 


        imagebutton:
            idle "images/apps/map_icon.png" 
            hover "images/apps/map_icon_h.png"


        imagebutton:
            idle "images/apps/browser_icon.png" 
            hover "images/apps/browser_icon_h.png" 


        imagebutton:
            idle "images/apps/apps_icon.png"
            hover "images/apps/apps_icon_h.png" 



        imagebutton:
            idle "images/apps/morning_icon.png" 
            hover "images/apps/morning_icon_h.png" 



        

        









screen niece_main_buttons_grid_chats:

    hbox ypos 1990 xalign 0.5:

        spacing 50

        imagebutton:
            idle "images/apps/messager_new.png" at shrink_big1
            hover "images/apps/messager_new_h.png"
            
            

        imagebutton:
            idle "images/apps/check_icon.png" at shrink_big1
            hover "images/apps/check_icon_h.png" 
            
            

        imagebutton:
            idle "images/apps/fuckstagram_new.png" at shrink_big1
            hover "images/apps/fuckstagram_new_h.png" 
            
            

        imagebutton:
            idle "images/apps/wifespy_icon.png" at shrink_big1
            hover "images/apps/wifespy_icon_h.png" 








































screen jenna_buttons:

    modal True


    use jenna_main_buttons_grid

    grid 5 3:  # 2 строки и 2 столбца

        xalign 0.5
        yalign 0.1
        xspacing 40
        yspacing 40

            



        imagebutton:
            idle "images/apps/gallery_icon.png"
            hover "images/apps/gallery_icon_h.png" 
            action Show('gallery_screen', transition=CropMove(time=0.15, mode='wipeup'))
            
            

        imagebutton:
            idle "images/apps/money_icon.png" 
            hover "images/apps/money_icon_h.png" 
            action NullAction()

    
        imagebutton:
            idle "images/apps/of_icon.png"
            hover "images/apps/of_icon_h.png" 
            action [Function(shuffle_of_to_home), Show('of', transition=CropMove(time=0.15, mode='wipeup'))]
        

        
        imagebutton:
            idle "images/apps/mf_icon.png"
            hover "images/apps/mf_icon_h.png" 
            action NullAction()
            
            


        imagebutton:
            idle "images/apps/camera_icon.png" 
            hover "images/apps/camera_icon_h.png" 
            action Show('disconnect_screen')


        imagebutton:
            idle "images/apps/map_icon.png" 
            hover "images/apps/map_icon_h.png"
            action Show('map', transition=CropMove(time=0.15, mode='wipeup'))


        imagebutton:
            idle "images/apps/browser_icon.png" 
            hover "images/apps/browser_icon_h.png" 
            action Show('browser', transition=CropMove(time=0.15, mode='wipeup'))


        imagebutton:
            idle "images/apps/apps_icon.png"
            hover "images/apps/apps_icon_h.png" 
            action Show('not_ready')



        imagebutton:
            idle "images/apps/morning_icon.png" 
            hover "images/apps/morning_icon_h.png" 
            action [Hide('next_chat_delay'), Show('next_chat_delay')]

        



        

    key "K_z":
        action NullAction()

    key "K_g":
        action NullAction()
    
    key "K_q":
        action NullAction()

    key "K_3":
        action NullAction()

    key "K_1":
        action NullAction()

    key "K_4":
        action NullAction()

    key "K_m":

        action NullAction()

    key "K_2":
        action NullAction()





screen jenna_main_buttons_grid:

    modal True

    add "images/behind_btns.png" ypos 1950 xalign 0.5

    hbox ypos 1990 xalign 0.5:

        spacing 50

        $ new_message_on = any(i.online == 1 for i in globals().get(f"{current_phone}_chats", []))
        $ new_fuckstagram_message_on = any(i.online == 1 for i in globals().get(f"{current_phone}_fuckstagram_chats", []))

        imagebutton:

            if new_message_on == 1:
                idle "images/apps/messager_new_n.png" at shrink_big1
                hover "images/apps/messager_new_n_h.png"
            
            else:
                idle "images/apps/messager_new.png" at shrink_big1
                hover "images/apps/messager_new_h.png"
                
            action Show('whatsapp_app', transition=CropMove(time=0.15, mode='wipeup'))
            

        imagebutton:
            idle "images/apps/check_icon.png" at shrink_big1
            hover "images/apps/check_icon_h.png" 
            action Show('walkthrough_app', transition=CropMove(time=0.15, mode='wipeup'))
            

        imagebutton:
            if new_fuckstagram_message_on == 1:
                idle "images/apps/fuckstagram_new2.png" at shrink_big1
                hover "images/apps/fuckstagram_new2_h.png" 
            else:
                idle "images/apps/fuckstagram_new.png" at shrink_big1
                hover "images/apps/fuckstagram_new_h.png" 
            action NullAction()
            

        imagebutton:
            idle "images/apps/wifespy_icon.png" at shrink_big1
            hover "images/apps/wifespy_icon_h.png" 
            action Jump('mc_phone')
            
















screen jenna_buttons_null:

    use jenna_main_buttons_grid_chats
    
    grid 5 3:  # 2 строки и 2 столбца

        xalign 0.5
        yalign 0.1
        xspacing 40
        yspacing 40

            

        


        imagebutton:
            idle "images/apps/gallery_icon.png"
            hover "images/apps/gallery_icon_h.png" 



        imagebutton:
            idle "images/apps/money_icon.png" 
            hover "images/apps/money_icon_h.png" 
            

    
        imagebutton:
            idle "images/apps/of_icon.png"
            hover "images/apps/of_icon_h.png" 
        
        
        imagebutton:
            idle "images/apps/mf_icon.png"
            hover "images/apps/mf_icon_h.png" 
            
            
        imagebutton:
            idle "images/apps/camera_icon.png" 
            hover "images/apps/camera_icon_h.png" 

        imagebutton:
            idle "images/apps/map_icon.png" 
            hover "images/apps/map_icon_h.png"


        imagebutton:
            idle "images/apps/browser_icon.png" 
            hover "images/apps/browser_icon_h.png" 


        imagebutton:
            idle "images/apps/apps_icon.png"
            hover "images/apps/apps_icon_h.png" 



        imagebutton:
            idle "images/apps/morning_icon.png" 
            hover "images/apps/morning_icon_h.png" 



        









screen jenna_main_buttons_grid_chats:

    hbox ypos 1990 xalign 0.5:

        spacing 50

        imagebutton:
            idle "images/apps/messager_new.png" at shrink_big1
            hover "images/apps/messager_new_h.png"
            
            

        imagebutton:
            idle "images/apps/check_icon.png" at shrink_big1
            hover "images/apps/check_icon_h.png" 
            
            

        imagebutton:
            idle "images/apps/fuckstagram_new.png" at shrink_big1
            hover "images/apps/fuckstagram_new_h.png" 
            
            

        imagebutton:
            idle "images/apps/wifespy_icon.png" at shrink_big1
            hover "images/apps/wifespy_icon_h.png" 








































screen lena_buttons:

    modal True


    use lena_main_buttons_grid

    grid 5 3:  # 2 строки и 2 столбца

        xalign 0.5
        yalign 0.1
        xspacing 40
        yspacing 40

            



        imagebutton:
            idle "images/apps/gallery_icon.png"
            hover "images/apps/gallery_icon_h.png" 
            action Show('gallery_screen', transition=CropMove(time=0.15, mode='wipeup'))


        imagebutton:
            idle "images/apps/camera_icon.png" 
            hover "images/apps/camera_icon_h.png" 
            action Show('disconnect_screen')
            
            

        imagebutton:
            idle "images/apps/money_icon.png" 
            hover "images/apps/money_icon_h.png" 
            action NullAction()


        imagebutton:
            idle "images/apps/map_icon.png" 
            hover "images/apps/map_icon_h.png"
            action Show('map', transition=CropMove(time=0.15, mode='wipeup'))


        imagebutton:
            idle "images/apps/browser_icon.png" 
            hover "images/apps/browser_icon_h.png" 
            action Show('browser', transition=CropMove(time=0.15, mode='wipeup'))


        imagebutton:
            idle "images/apps/apps_icon.png"
            hover "images/apps/apps_icon_h.png" 
            action Show('not_ready')        



        imagebutton:
            idle "images/apps/morning_icon.png" 
            hover "images/apps/morning_icon_h.png" 
            action [Hide('next_chat_delay'), Show('next_chat_delay')]
            
            

        

        

        



        

    key "K_z":
        action NullAction()

    key "K_g":
        action NullAction()
    
    key "K_q":
        action NullAction()

    key "K_3":
        action NullAction()

    key "K_1":
        action NullAction()

    key "K_4":
        action NullAction()

    key "K_m":

        action NullAction()

    key "K_2":
        action NullAction()





screen lena_main_buttons_grid:

    modal True

    add "images/behind_btns.png" ypos 1950 xalign 0.5

    hbox ypos 1990 xalign 0.5:

        spacing 50

        $ new_message_on = any(i.online == 1 for i in globals().get(f"{current_phone}_chats", []))
        $ new_fuckstagram_message_on = any(i.online == 1 for i in globals().get(f"{current_phone}_fuckstagram_chats", []))

        imagebutton:

            if new_message_on == 1:
                idle "images/apps/messager_new_n.png" at shrink_big1
                hover "images/apps/messager_new_n_h.png"
            
            else:
                idle "images/apps/messager_new.png" at shrink_big1
                hover "images/apps/messager_new_h.png"
                
            action Show('whatsapp_app', transition=CropMove(time=0.15, mode='wipeup'))
            

        imagebutton:
            idle "images/apps/check_icon.png" at shrink_big1
            hover "images/apps/check_icon_h.png" 
            action Show('walkthrough_app', transition=CropMove(time=0.15, mode='wipeup'))
            

        imagebutton:
            if new_fuckstagram_message_on == 1:
                idle "images/apps/fuckstagram_new2.png" at shrink_big1
                hover "images/apps/fuckstagram_new2_h.png" 
            else:
                idle "images/apps/fuckstagram_new.png" at shrink_big1
                hover "images/apps/fuckstagram_new_h.png" 
            action NullAction()
            

        imagebutton:
            idle "images/apps/wifespy_icon.png" at shrink_big1
            hover "images/apps/wifespy_icon_h.png" 
            action Jump('mc_phone')
            
















screen lena_buttons_null:

    use lena_main_buttons_grid_chats
    
    grid 5 3:  # 2 строки и 2 столбца

        xalign 0.5
        yalign 0.1
        xspacing 40
        yspacing 40

            

        


        imagebutton:
            idle "images/apps/gallery_icon.png"
            hover "images/apps/gallery_icon_h.png" 


        imagebutton:
            idle "images/apps/camera_icon.png" 
            hover "images/apps/camera_icon_h.png" 



        imagebutton:
            idle "images/apps/money_icon.png" 
            hover "images/apps/money_icon_h.png" 

        imagebutton:
            idle "images/apps/map_icon.png" 
            hover "images/apps/map_icon_h.png"


        imagebutton:
            idle "images/apps/browser_icon.png" 
            hover "images/apps/browser_icon_h.png" 


        imagebutton:
            idle "images/apps/apps_icon.png"
            hover "images/apps/apps_icon_h.png" 



        imagebutton:
            idle "images/apps/morning_icon.png" 
            hover "images/apps/morning_icon_h.png" 



        

        

        

        









screen lena_main_buttons_grid_chats:

    hbox ypos 1990 xalign 0.5:

        spacing 50

        imagebutton:
            idle "images/apps/messager_new.png" at shrink_big1
            hover "images/apps/messager_new_h.png"
            
            

        imagebutton:
            idle "images/apps/check_icon.png" at shrink_big1
            hover "images/apps/check_icon_h.png" 
            
            

        imagebutton:
            idle "images/apps/fuckstagram_new.png" at shrink_big1
            hover "images/apps/fuckstagram_new_h.png" 
            
            

        imagebutton:
            idle "images/apps/wifespy_icon.png" at shrink_big1
            hover "images/apps/wifespy_icon_h.png" 








































screen kioko_buttons:

    modal True


    use kioko_main_buttons_grid

    grid 5 3:  # 2 строки и 2 столбца

        xalign 0.5
        yalign 0.1
        xspacing 40
        yspacing 40

            



        imagebutton:
            idle "images/apps/gallery_icon.png"
            hover "images/apps/gallery_icon_h.png" 
            action Show('gallery_screen', transition=CropMove(time=0.15, mode='wipeup'))
            
            

        imagebutton:
            idle "images/apps/money_icon.png" 
            hover "images/apps/money_icon_h.png" 
            action NullAction()


        imagebutton:
            idle "images/apps/camera_icon.png" 
            hover "images/apps/camera_icon_h.png" 
            action Show('disconnect_screen')


        imagebutton:
            idle "images/apps/browser_icon.png" 
            hover "images/apps/browser_icon_h.png" 
            action Show('browser', transition=CropMove(time=0.15, mode='wipeup'))


        imagebutton:
            idle "images/apps/map_icon.png" 
            hover "images/apps/map_icon_h.png"
            action Show('map', transition=CropMove(time=0.15, mode='wipeup'))


        imagebutton:
            idle "images/apps/apps_icon.png"
            hover "images/apps/apps_icon_h.png" 
            action Show('not_ready')        



        imagebutton:
            idle "images/apps/morning_icon.png" 
            hover "images/apps/morning_icon_h.png" 
            action [Hide('next_chat_delay'), Show('next_chat_delay')]
            
            

        

        

        



        

    key "K_z":
        action NullAction()

    key "K_g":
        action NullAction()
    
    key "K_q":
        action NullAction()

    key "K_3":
        action NullAction()

    key "K_1":
        action NullAction()

    key "K_4":
        action NullAction()

    key "K_m":

        action NullAction()

    key "K_2":
        action NullAction()





screen kioko_main_buttons_grid:

    modal True

    add "images/behind_btns.png" ypos 1950 xalign 0.5

    hbox ypos 1990 xalign 0.5:

        spacing 50

        $ new_message_on = any(i.online == 1 for i in globals().get(f"{current_phone}_chats", []))
        $ new_fuckstagram_message_on = any(i.online == 1 for i in globals().get(f"{current_phone}_fuckstagram_chats", []))

        imagebutton:

            if new_message_on == 1:
                idle "images/apps/messager_new_n.png" at shrink_big1
                hover "images/apps/messager_new_n_h.png"
            
            else:
                idle "images/apps/messager_new.png" at shrink_big1
                hover "images/apps/messager_new_h.png"
                
            action Show('whatsapp_app', transition=CropMove(time=0.15, mode='wipeup'))
            

        imagebutton:
            idle "images/apps/check_icon.png" at shrink_big1
            hover "images/apps/check_icon_h.png" 
            action Show('walkthrough_app', transition=CropMove(time=0.15, mode='wipeup'))
            

        imagebutton:
            if new_fuckstagram_message_on == 1:
                idle "images/apps/fuckstagram_new2.png" at shrink_big1
                hover "images/apps/fuckstagram_new2_h.png" 
            else:
                idle "images/apps/fuckstagram_new.png" at shrink_big1
                hover "images/apps/fuckstagram_new_h.png" 
            action NullAction()
            

        imagebutton:
            idle "images/apps/wifespy_icon.png" at shrink_big1
            hover "images/apps/wifespy_icon_h.png" 
            action Jump('mc_phone')
            
















screen kioko_buttons_null:

    use kioko_main_buttons_grid_chats
    
    grid 5 3:  # 2 строки и 2 столбца

        xalign 0.5
        yalign 0.1
        xspacing 40
        yspacing 40

            

        


        imagebutton:
            idle "images/apps/gallery_icon.png"
            hover "images/apps/gallery_icon_h.png" 



        imagebutton:
            idle "images/apps/money_icon.png" 
            hover "images/apps/money_icon_h.png" 


        imagebutton:
            idle "images/apps/camera_icon.png" 
            hover "images/apps/camera_icon_h.png" 


        imagebutton:
            idle "images/apps/browser_icon.png" 
            hover "images/apps/browser_icon_h.png" 

        imagebutton:
            idle "images/apps/map_icon.png" 
            hover "images/apps/map_icon_h.png"


        imagebutton:
            idle "images/apps/apps_icon.png"
            hover "images/apps/apps_icon_h.png" 



        imagebutton:
            idle "images/apps/morning_icon.png" 
            hover "images/apps/morning_icon_h.png" 



        

        

        

        









screen kioko_main_buttons_grid_chats:

    hbox ypos 1990 xalign 0.5:

        spacing 50

        imagebutton:
            idle "images/apps/messager_new.png" at shrink_big1
            hover "images/apps/messager_new_h.png"
            
            

        imagebutton:
            idle "images/apps/check_icon.png" at shrink_big1
            hover "images/apps/check_icon_h.png" 
            
            

        imagebutton:
            idle "images/apps/fuckstagram_new.png" at shrink_big1
            hover "images/apps/fuckstagram_new_h.png" 
            
            

        imagebutton:
            idle "images/apps/wifespy_icon.png" at shrink_big1
            hover "images/apps/wifespy_icon_h.png" 








































screen kioko_m_buttons:

    modal True


    use kioko_m_main_buttons_grid

    grid 5 3:  # 2 строки и 2 столбца

        xalign 0.5
        yalign 0.1
        xspacing 40
        yspacing 40

            

        

        
        imagebutton:
            idle "images/apps/mf_icon.png"
            hover "images/apps/mf_icon_h.png" 
            action NullAction()


        imagebutton:
            idle "images/apps/gallery_icon.png"
            hover "images/apps/gallery_icon_h.png" 
            action Show('gallery_screen', transition=CropMove(time=0.15, mode='wipeup'))
            
            

        imagebutton:
            idle "images/apps/money_icon.png" 
            hover "images/apps/money_icon_h.png" 
            action NullAction()
            

        imagebutton:
            idle "images/apps/camera_icon.png" 
            hover "images/apps/camera_icon_h.png" 
            action Show('disconnect_screen')


        imagebutton:
            idle "images/apps/browser_icon.png" 
            hover "images/apps/browser_icon_h.png" 
            action Show('browser', transition=CropMove(time=0.15, mode='wipeup'))


        imagebutton:
            idle "images/apps/map_icon.png" 
            hover "images/apps/map_icon_h.png"
            action Show('map', transition=CropMove(time=0.15, mode='wipeup'))


        imagebutton:
            idle "images/apps/apps_icon.png"
            hover "images/apps/apps_icon_h.png" 
            action Show('not_ready')        



        imagebutton:
            idle "images/apps/morning_icon.png" 
            hover "images/apps/morning_icon_h.png" 
            action [Hide('next_chat_delay'), Show('next_chat_delay')]

        

        



        

    key "K_z":
        action NullAction()

    key "K_g":
        action NullAction()
    
    key "K_q":
        action NullAction()

    key "K_3":
        action NullAction()

    key "K_1":
        action NullAction()

    key "K_4":
        action NullAction()

    key "K_m":

        action NullAction()

    key "K_2":
        action NullAction()





screen kioko_m_main_buttons_grid:

    modal True

    add "images/behind_btns.png" ypos 1950 xalign 0.5

    hbox ypos 1990 xalign 0.5:

        spacing 50

        $ new_message_on = any(i.online == 1 for i in globals().get(f"{current_phone}_chats", []))
        $ new_fuckstagram_message_on = any(i.online == 1 for i in globals().get(f"{current_phone}_fuckstagram_chats", []))

        imagebutton:

            if new_message_on == 1:
                idle "images/apps/messager_new_n.png" at shrink_big1
                hover "images/apps/messager_new_n_h.png"
            
            else:
                idle "images/apps/messager_new.png" at shrink_big1
                hover "images/apps/messager_new_h.png"
                
            action Show('whatsapp_app', transition=CropMove(time=0.15, mode='wipeup'))
            

        imagebutton:
            idle "images/apps/check_icon.png" at shrink_big1
            hover "images/apps/check_icon_h.png" 
            action Show('walkthrough_app', transition=CropMove(time=0.15, mode='wipeup'))
            

        imagebutton:
            if new_fuckstagram_message_on == 1:
                idle "images/apps/fuckstagram_new2.png" at shrink_big1
                hover "images/apps/fuckstagram_new2_h.png" 
            else:
                idle "images/apps/fuckstagram_new.png" at shrink_big1
                hover "images/apps/fuckstagram_new_h.png" 
            action NullAction()
            

        imagebutton:
            idle "images/apps/wifespy_icon.png" at shrink_big1
            hover "images/apps/wifespy_icon_h.png" 
            action Jump('mc_phone')
            
















screen kioko_m_buttons_null:

    use kioko_m_main_buttons_grid_chats
    
    grid 5 3:  # 2 строки и 2 столбца

        xalign 0.5
        yalign 0.1
        xspacing 40
        yspacing 40

            

        
        
        imagebutton:
            idle "images/apps/mf_icon.png"
            hover "images/apps/mf_icon_h.png" 
        


        imagebutton:
            idle "images/apps/gallery_icon.png"
            hover "images/apps/gallery_icon_h.png" 



        imagebutton:
            idle "images/apps/money_icon.png" 
            hover "images/apps/money_icon_h.png" 
            

        imagebutton:
            idle "images/apps/camera_icon.png" 
            hover "images/apps/camera_icon_h.png" 


        imagebutton:
            idle "images/apps/browser_icon.png" 
            hover "images/apps/browser_icon_h.png" 

        imagebutton:
            idle "images/apps/map_icon.png" 
            hover "images/apps/map_icon_h.png"


        imagebutton:
            idle "images/apps/apps_icon.png"
            hover "images/apps/apps_icon_h.png" 



        imagebutton:
            idle "images/apps/morning_icon.png" 
            hover "images/apps/morning_icon_h.png" 


        

        

        









screen kioko_m_main_buttons_grid_chats:

    hbox ypos 1990 xalign 0.5:

        spacing 50

        imagebutton:
            idle "images/apps/messager_new.png" at shrink_big1
            hover "images/apps/messager_new_h.png"
            
            

        imagebutton:
            idle "images/apps/check_icon.png" at shrink_big1
            hover "images/apps/check_icon_h.png" 
            
            

        imagebutton:
            idle "images/apps/fuckstagram_new.png" at shrink_big1
            hover "images/apps/fuckstagram_new_h.png" 
            
            

        imagebutton:
            idle "images/apps/wifespy_icon.png" at shrink_big1
            hover "images/apps/wifespy_icon_h.png" 








































screen kioko_f_buttons:

    modal True


    use kioko_f_main_buttons_grid

    grid 5 3:  # 2 строки и 2 столбца

        xalign 0.5
        yalign 0.1
        xspacing 40
        yspacing 40

            

        imagebutton:
            idle "images/apps/money_icon.png" 
            hover "images/apps/money_icon_h.png" 
            action NullAction()


        imagebutton:
            idle "images/apps/gallery_icon.png"
            hover "images/apps/gallery_icon_h.png" 
            action Show('gallery_screen', transition=CropMove(time=0.15, mode='wipeup'))
            


        imagebutton:
            idle "images/apps/browser_icon.png" 
            hover "images/apps/browser_icon_h.png" 
            action Show('browser', transition=CropMove(time=0.15, mode='wipeup'))


        imagebutton:
            idle "images/apps/camera_icon.png" 
            hover "images/apps/camera_icon_h.png" 
            action Show('disconnect_screen')


        imagebutton:
            idle "images/apps/map_icon.png" 
            hover "images/apps/map_icon_h.png"
            action Show('map', transition=CropMove(time=0.15, mode='wipeup'))


        imagebutton:
            idle "images/apps/apps_icon.png"
            hover "images/apps/apps_icon_h.png" 
            action Show('not_ready')        



        imagebutton:
            idle "images/apps/morning_icon.png" 
            hover "images/apps/morning_icon_h.png" 
            action [Hide('next_chat_delay'), Show('next_chat_delay')]
            
            

        

        

        



        

    key "K_z":
        action NullAction()

    key "K_g":
        action NullAction()
    
    key "K_q":
        action NullAction()

    key "K_3":
        action NullAction()

    key "K_1":
        action NullAction()

    key "K_4":
        action NullAction()

    key "K_m":

        action NullAction()

    key "K_2":
        action NullAction()





screen kioko_f_main_buttons_grid:

    modal True

    add "images/behind_btns.png" ypos 1950 xalign 0.5

    hbox ypos 1990 xalign 0.5:

        spacing 50

        $ new_message_on = any(i.online == 1 for i in globals().get(f"{current_phone}_chats", []))
        $ new_fuckstagram_message_on = any(i.online == 1 for i in globals().get(f"{current_phone}_fuckstagram_chats", []))

        imagebutton:

            if new_message_on == 1:
                idle "images/apps/messager_new_n.png" at shrink_big1
                hover "images/apps/messager_new_n_h.png"
            
            else:
                idle "images/apps/messager_new.png" at shrink_big1
                hover "images/apps/messager_new_h.png"
                
            action Show('whatsapp_app', transition=CropMove(time=0.15, mode='wipeup'))
            

        imagebutton:
            idle "images/apps/check_icon.png" at shrink_big1
            hover "images/apps/check_icon_h.png" 
            action Show('walkthrough_app', transition=CropMove(time=0.15, mode='wipeup'))
            

        imagebutton:
            if new_fuckstagram_message_on == 1:
                idle "images/apps/fuckstagram_new2.png" at shrink_big1
                hover "images/apps/fuckstagram_new2_h.png" 
            else:
                idle "images/apps/fuckstagram_new.png" at shrink_big1
                hover "images/apps/fuckstagram_new_h.png" 
            action NullAction()
            

        imagebutton:
            idle "images/apps/wifespy_icon.png" at shrink_big1
            hover "images/apps/wifespy_icon_h.png" 
            action Jump('mc_phone')
            
















screen kioko_f_buttons_null:

    use kioko_f_main_buttons_grid_chats
    
    grid 5 3:  # 2 строки и 2 столбца

        xalign 0.5
        yalign 0.1
        xspacing 40
        yspacing 40

            



        imagebutton:
            idle "images/apps/money_icon.png" 
            hover "images/apps/money_icon_h.png" 


        imagebutton:
            idle "images/apps/gallery_icon.png"
            hover "images/apps/gallery_icon_h.png" 


        imagebutton:
            idle "images/apps/browser_icon.png" 
            hover "images/apps/browser_icon_h.png" 


        imagebutton:
            idle "images/apps/camera_icon.png" 
            hover "images/apps/camera_icon_h.png" 

        imagebutton:
            idle "images/apps/map_icon.png" 
            hover "images/apps/map_icon_h.png"


        imagebutton:
            idle "images/apps/apps_icon.png"
            hover "images/apps/apps_icon_h.png" 



        imagebutton:
            idle "images/apps/morning_icon.png" 
            hover "images/apps/morning_icon_h.png" 


        

        

        









screen kioko_f_main_buttons_grid_chats:

    hbox ypos 1990 xalign 0.5:

        spacing 50

        imagebutton:
            idle "images/apps/messager_new.png" at shrink_big1
            hover "images/apps/messager_new_h.png"
            
            

        imagebutton:
            idle "images/apps/check_icon.png" at shrink_big1
            hover "images/apps/check_icon_h.png" 
            
            

        imagebutton:
            idle "images/apps/fuckstagram_new.png" at shrink_big1
            hover "images/apps/fuckstagram_new_h.png" 
            
            

        imagebutton:
            idle "images/apps/wifespy_icon.png" at shrink_big1
            hover "images/apps/wifespy_icon_h.png" 