screen bank:

    modal True

    add "images/bank/background.jpg"


    text "[mc_name_is] {size=-24}>" ypos 180 xpos 52 size 92 font "gui/TMR_Regular.ttf" color "#a0a0a0"


    

    window:
        background None
        area (0, 380, 1080, 1648)
        viewport:
            mousewheel True
            draggable True
            pagekeys True
            side_yfill True

            vbox xalign 0.5:


                spacing 20

                imagebutton xalign 0.5:
                    idle "images/bank/invite.png"

                null height 100  # Пропуск в 30px

                fixed xminimum 1080 ysize 340:

                    imagebutton xalign 0.5:
                        idle "images/bank/card_btn.png"
                        hover im.MatrixColor("images/bank/card_btn.png", im.matrix.brightness(0.05))
                        action NullAction()



                    $ formatted_money = "{:,}".format(round(money, 2)).replace(",", " ")  # Заменяем запятые на пробелы

                    if money > 1000000000:
                        $ formatted_money = "{:,}".format(round(money/1000000000, 2)).replace(",", " ")  # Заменяем запятые на пробелы
                        text "$[formatted_money]B" ypos 246 xalign 0.5 size 60 font "gui/TMR_Regular.ttf" color "#a0a0a0"
                    else:
                        text "$[formatted_money]" ypos 246 xalign 0.5 size 60 font "gui/TMR_Regular.ttf" color "#a0a0a0"

                

                null height 50  # Пропуск в 30px
                
                if len(bank_deposits) == 0:
                    imagebutton xalign 0.5:
                        idle "images/bank/deposits_btn.png"

                else:

                    for i in bank_deposits:
                    
                        fixed xminimum 1080 ysize 340:
                            imagebutton xalign 0.5:
                                idle "images/bank/deposit_btn.png"
                                hover im.MatrixColor("images/bank/deposit_btn.png", im.matrix.brightness(0.05))

                                action NullAction()

                            
                            if i.id == 1:
                                text "3% per year" ypos 168 xpos 840 size 36 font "gui/TMR_Regular.ttf" color "#a0a0a0"
                            elif i.id == 2:
                                text "5% per year" ypos 168 xpos 840 size 36 font "gui/TMR_Regular.ttf" color "#a0a0a0"
                            else:
                                text "8% per year" ypos 168 xpos 840 size 36 font "gui/TMR_Regular.ttf" color "#a0a0a0"



                            text "#[bank_deposits.index(i)+1]" ypos 36 xpos 220 size 46 font "gui/TMR_Regular.ttf" color "#a0a0a0"


                            text "[i.last_digits]" ypos 168 xpos 268 size 36 font "gui/TMR_Regular.ttf" color "#a0a0a0"

                            


                            $ formatted_money = "{:,}".format(round(i.money, 2)).replace(",", " ")  # Заменяем запятые на пробелы

                            if i.money > 1000000000:
                                $ formatted_money = "{:,}".format(round(i.money/1000000000, 2)).replace(",", " ")  # Заменяем запятые на пробелы
                                text "$[formatted_money]B" ypos 246 xalign 0.5 size 60 font "gui/TMR_Regular.ttf" color "#a0a0a0"
                            else:
                                text "$[formatted_money]" ypos 246 xalign 0.5 size 60 font "gui/TMR_Regular.ttf" color "#a0a0a0"
                




                null height 50  # Пропуск в 30px
                
                
                if len(bank_loans) == 0:
                    imagebutton xalign 0.5:
                        idle "images/bank/loans_btn.png"

                else:

                    for i in bank_loans:

                        fixed xminimum 1080 ysize 340:
                            imagebutton xalign 0.5:
                                idle "images/bank/loan_btn.png"
                                hover im.MatrixColor("images/bank/loan_btn.png", im.matrix.brightness(0.05))

                                action NullAction()

                            
                            text "15% per year" ypos 168 xpos 840 size 36 font "gui/TMR_Regular.ttf" color "#a0a0a0"


                            text "#1" ypos 36 xpos 190 size 46 font "gui/TMR_Regular.ttf" color "#a0a0a0"



                            $ formatted_money = "{:,}".format(round(i.money, 2)).replace(",", " ")  # Заменяем запятые на пробелы

                            if i.money > 1000000000:
                                $ formatted_money = "{:,}".format(round(i.money/1000000000, 2)).replace(",", " ")  # Заменяем запятые на пробелы
                                text "$[formatted_money]B" ypos 246 xalign 0.5 size 60 font "gui/TMR_Regular.ttf" color "#a0a0a0"
                            else:
                                text "$[formatted_money]" ypos 246 xalign 0.5 size 60 font "gui/TMR_Regular.ttf" color "#a0a0a0"
                    




                null height 20  # Пропуск в 30px

                imagebutton xalign 0.5:
                    idle "images/bank/open_deposit_btn.png"
                    hover im.MatrixColor("images/bank/open_deposit_btn.png", im.matrix.brightness(0.15))
                    action Show(screen="open_a_product", transition=CropMove(time=0.5, mode='wipeup'))

    

                null height 50  # Пропуск в 30px


    imagebutton yalign 0.956:
        idle "gui/back.png" at shrink
        hover "gui/back_h.png"
        action Hide(screen="bank", transition=CropMove(time=0.1, mode='wipedown'))
    


    key "K_ESCAPE":
        action Hide(screen="bank", transition=CropMove(time=0.1, mode='wipedown'))






    

    hbox xalign 0.5 yalign 0.96:

        spacing 60

        imagebutton:
            idle "images/bank/home.png"
            hover im.MatrixColor("images/bank/home.png", im.matrix.brightness(0.3))
            
            action [Hide('bank_notifications'), Hide('bank_services'), Hide('bank_operations'), Hide('bank'), Show(screen="bank")]

        imagebutton:
            idle "images/bank/operations.png"
            hover im.MatrixColor("images/bank/operations.png", im.matrix.brightness(0.3))
            
            action [Hide('bank_notifications'), Hide('bank_services'), Hide('bank_operations'), Hide('bank'), Show(screen="bank_operations")]


        imagebutton:
            idle "images/bank/services.png"
            hover im.MatrixColor("images/bank/services.png", im.matrix.brightness(0.3))
            
            action [Hide('bank_notifications'), Hide('bank_services'), Hide('bank_operations'), Hide('bank'), Show(screen="bank_services")]

        

        imagebutton:
            if new_transaction_flag == 1:
                idle "images/bank/notifications_n.png"
                hover im.MatrixColor("images/bank/notifications_n.png", im.matrix.brightness(0.3))
            else:
                idle "images/bank/notifications.png"
                hover im.MatrixColor("images/bank/notifications.png", im.matrix.brightness(0.3))
            
            action [SetVariable('new_transaction_flag', 0), Hide('bank_notifications'), Hide('bank_services'), Hide('bank_operations'), Hide('bank'), Show(screen="bank_notifications")]

        










screen open_a_product:

    modal True

    add "images/bank/open_background.png" yalign 1.08


    vbox xpos 60 ypos 1780:

        spacing 50

        imagebutton:
            idle "images/bank/deposit_open_btn.png"
            hover im.MatrixColor("images/bank/deposit_open_btn.png", im.matrix.brightness(0.2))
            action [Show(screen="open_deposit", transition=CropMove(time=0.2, mode='wipeup')), Hide('open_a_product')]


        if bank_loan in bank_loans:
            imagebutton:
                idle "images/bank/loan_open_btn_in.png"
        else:
            imagebutton:
                idle "images/bank/loan_open_btn.png"
                hover im.MatrixColor("images/bank/loan_open_btn.png", im.matrix.brightness(0.2))
                action [Show(screen="open_loan", transition=CropMove(time=0.2, mode='wipeup')), Hide('open_a_product')]


    

    imagebutton xalign 0.95 yalign 0.723:
        idle "images/bank/open_close.png"
        hover im.MatrixColor("images/bank/open_close.png", im.matrix.brightness(0.15))
        action Hide(screen="open_a_product", transition=CropMove(time=0.2, mode='wipedown'))

    

    key "K_ESCAPE":
        action Hide(screen="open_a_product", transition=CropMove(time=0.2, mode='wipedown'))











screen open_deposit:

    modal True

    add "images/bank/open_deposit_background.jpg"




    vbox ypos 500 xalign 0.5:

        spacing 50


        
        if bank_deposit_4 in bank_deposits and bank_deposit_1 in bank_deposits:
            imagebutton:
                idle "images/bank/deposits/minimum_maximum_deposits.png"
        else:
            imagebutton:
                idle "images/bank/deposits/minimum.png"
                hover im.MatrixColor("images/bank/deposits/minimum.png", im.matrix.brightness(0.15))
                action Show(screen="open_deposit_minimum", transition=CropMove(time=0.2, mode='wipeup'))


        
        
        if bank_deposit_5 in bank_deposits and bank_deposit_2 in bank_deposits:
            imagebutton:
                idle "images/bank/deposits/standard_maximum_deposits.png"
        else:
            imagebutton:
                idle "images/bank/deposits/standard.png"
                hover im.MatrixColor("images/bank/deposits/standard.png", im.matrix.brightness(0.15))
                action Show(screen="open_deposit_standard", transition=CropMove(time=0.2, mode='wipedown'))

        
        
        if bank_deposit_6 in bank_deposits and bank_deposit_3 in bank_deposits:
            imagebutton:
                idle "images/bank/deposits/maximum_maximum_deposits.png"
        else:
            imagebutton:
                idle "images/bank/deposits/maximum.png"
                hover im.MatrixColor("images/bank/deposits/maximum.png", im.matrix.brightness(0.15))
                action Show(screen="open_deposit_maximum", transition=CropMove(time=0.2, mode='wipedown'))






    imagebutton yalign 0.956:
        idle "gui/back.png" at shrink
        hover "gui/back_h.png"
        action Hide(screen="open_deposit", transition=CropMove(time=0.1, mode='wipedown'))
    


    key "K_ESCAPE":
        action Hide(screen="open_deposit", transition=CropMove(time=0.1, mode='wipedown'))






















screen open_deposit_minimum:

    modal True

    add "images/bank/background_0.jpg"



    window:
        background None
        area (0, 300, 1080, 1880)
        viewport:
            mousewheel True
            draggable True
            pagekeys True
            side_yfill True

            vbox xalign 0.5 xminimum 1080:


                spacing 40

                

                null height 40  # Пропуск в 30px

                add "images/bank/deposits/minimum_top.png" xalign 0.5
                
                null height 20  # Пропуск в 30px

                text "Minimum" size 92 font "gui/TMR.ttf" color "#fff" xalign 0.5

                
                null height 20  # Пропуск в 30px

                imagebutton xalign 0.5:
                    idle "images/bank/deposits/minimum_baner_1.png"

                imagebutton xalign 0.5:
                    idle "images/bank/deposits/minimum_baner_2.png"

                imagebutton xalign 0.5:
                    idle "images/bank/deposits/minimum_baner_3.png"

                imagebutton xalign 0.5:
                    idle "images/bank/deposits/minimum_baner_4.png"

                imagebutton xalign 0.5:
                    idle "images/bank/deposits/minimum_baner_5.png"


                null height 20  # Пропуск в 30px

                imagebutton xalign 0.5:
                    idle "images/bank/deposits/open_deposit_btn.png"
                    hover im.MatrixColor("images/bank/deposits/open_deposit_btn.png", im.matrix.brightness(0.15))
                    action Show(screen="open_deposit_minimum_finish", transition=CropMove(time=0.2, mode='wipeup'))
                
                null height 50  # Пропуск в 30px





    imagebutton yalign 0.956:
        idle "gui/back.png" at shrink
        hover "gui/back_h.png"
        action Hide(screen="open_deposit_minimum", transition=CropMove(time=0.1, mode='wipedown'))
    


    key "K_ESCAPE":
        action Hide(screen="open_deposit_minimum", transition=CropMove(time=0.1, mode='wipedown'))


















screen open_deposit_standard:

    modal True

    add "images/bank/background_0.jpg"



    window:
        background None
        area (0, 300, 1080, 1880)
        viewport:
            mousewheel True
            draggable True
            pagekeys True
            side_yfill True

            vbox xalign 0.5 xminimum 1080:


                spacing 40

                

                null height 40  # Пропуск в 30px

                add "images/bank/deposits/standard_top.png" xalign 0.5
                
                null height 20  # Пропуск в 30px

                text "Standard" size 92 font "gui/TMR.ttf" color "#fff" xalign 0.5

                
                null height 20  # Пропуск в 30px

                imagebutton xalign 0.5:
                    idle "images/bank/deposits/minimum_baner_1.png"

                imagebutton xalign 0.5:
                    idle "images/bank/deposits/minimum_baner_2.png"

                imagebutton xalign 0.5:
                    idle "images/bank/deposits/standard_baner_3.png"

                imagebutton xalign 0.5:
                    idle "images/bank/deposits/standard_baner_4.png"

                imagebutton xalign 0.5:
                    idle "images/bank/deposits/minimum_baner_5.png"


                null height 20  # Пропуск в 30px

                imagebutton xalign 0.5:
                    idle "images/bank/deposits/open_deposit_btn.png"
                    hover im.MatrixColor("images/bank/deposits/open_deposit_btn.png", im.matrix.brightness(0.15))
                    action Show(screen="open_deposit_standard_finish", transition=CropMove(time=0.2, mode='wipeup'))
                
                null height 50  # Пропуск в 30px





    imagebutton yalign 0.956:
        idle "gui/back.png" at shrink
        hover "gui/back_h.png"
        action Hide(screen="open_deposit_standard", transition=CropMove(time=0.1, mode='wipedown'))
    


    key "K_ESCAPE":
        action Hide(screen="open_deposit_standard", transition=CropMove(time=0.1, mode='wipedown'))













screen open_deposit_maximum:

    modal True

    add "images/bank/background_0.jpg"



    window:
        background None
        area (0, 300, 1080, 1880)
        viewport:
            mousewheel True
            draggable True
            pagekeys True
            side_yfill True

            vbox xalign 0.5 xminimum 1080:


                spacing 40

                

                null height 40  # Пропуск в 30px

                add "images/bank/deposits/maximum_top.png" xalign 0.5
                
                null height 20  # Пропуск в 30px

                text "Maximum" size 92 font "gui/TMR.ttf" color "#fff" xalign 0.5

                
                null height 20  # Пропуск в 30px

                imagebutton xalign 0.5:
                    idle "images/bank/deposits/minimum_baner_1.png"

                imagebutton xalign 0.5:
                    idle "images/bank/deposits/minimum_baner_2.png"

                imagebutton xalign 0.5:
                    idle "images/bank/deposits/maximum_baner_3.png"

                imagebutton xalign 0.5:
                    idle "images/bank/deposits/maximum_baner_4.png"

                imagebutton xalign 0.5:
                    idle "images/bank/deposits/minimum_baner_5.png"


                null height 20  # Пропуск в 30px

                imagebutton xalign 0.5:
                    idle "images/bank/deposits/open_deposit_btn.png"
                    hover im.MatrixColor("images/bank/deposits/open_deposit_btn.png", im.matrix.brightness(0.15))
                    action Show(screen="open_deposit_maximum_finish", transition=CropMove(time=0.2, mode='wipeup'))
                
                null height 50  # Пропуск в 30px





    imagebutton yalign 0.956:
        idle "gui/back.png" at shrink
        hover "gui/back_h.png"
        action Hide(screen="open_deposit_maximum", transition=CropMove(time=0.1, mode='wipedown'))
    


    key "K_ESCAPE":
        action Hide(screen="open_deposit_maximum", transition=CropMove(time=0.1, mode='wipedown'))















screen open_deposit_minimum_finish:

    modal True

    add "images/bank/background_0.jpg"



    window:
        background None
        area (0, 380, 1080, 1880)
        viewport:
            mousewheel True
            draggable True
            pagekeys True
            side_yfill True

            vbox xalign 0.5 xminimum 1080:


                spacing 40

                text "Minimum" size 92 font "gui/TMR.ttf" color "#fff" xalign 0.5

                
                null height 20  # Пропуск в 30px


                imagebutton xalign 0.5:
                    idle "images/bank/deposits/minimum_baner_3.png"


                fixed xminimum 1080 ysize 178:

                    add "images/bank/deposits/card_baner.png" xalign 0.5

                    $ formatted_money = "{:,}".format(round(money, 2)).replace(",", " ")  # Заменяем запятые на пробелы

                    if money > 1000000000:
                        $ formatted_money = "{:,}".format(round(money/1000000000, 2)).replace(",", " ")  # Заменяем запятые на пробелы
                        text "$[formatted_money]B" ypos 82 xpos 237 size 48 font "gui/TMR_Regular.ttf" color "#a0a0a0"
                    else:
                        text "$[formatted_money]" ypos 82 xpos 237 size 48 font "gui/TMR_Regular.ttf" color "#a0a0a0"

                
                
                null height 20  # Пропуск в 30px

                text "Debit Amount" size 36 font "gui/TMR.ttf" color "#fff" xalign 0.5

                fixed xminimum 1080 ysize 112:

                    add "images/bank/deposits/input_baner.png" xalign 0.5

                    input default "1" value VariableInputValue("deposit_open_money") length 18 xalign 0.5 yalign 0.55 size 42 color "#fff" font "gui/TMR.ttf"

                text "Minimum amount: $1" size 36 font "gui/TMR.ttf" color "#fff" xalign 0.5



                
                
                null height 30  # Пропуск в 30px

                imagebutton xalign 0.5:
                    idle "images/bank/deposits/confirm_btn.png"
                    hover im.MatrixColor("images/bank/deposits/confirm_btn.png", im.matrix.brightness(0.2))
                    insensitive "images/bank/deposits/confirm_btn_in.png"  # Когда кнопка неактивна
                    action [Function(add_deposit_1), Show(screen="open_deposit_finish", transition=CropMove(time=0.2, mode='wipeup'))] sensitive is_valid_deposit_1(deposit_open_money)

                

                null height 10  # Пропуск в 30px
                
                text "By proceeding, you accept the {color=#ff9d00}terms of the agreement{/color}. Review the {color=#ff9d00}deposit application{/color} and {color=#ff9d00}documents{/color}." size 36 font "gui/TMR.ttf" color "#fff" xalign 0.5 text_align 0.5 xmaximum 900

                



    

    imagebutton yalign 0.956:
        idle "gui/back.png" at shrink
        hover "gui/back_h.png"
        action Hide(screen="open_deposit_minimum_finish", transition=CropMove(time=0.1, mode='wipedown'))
    


    key "K_ESCAPE":
        action Hide(screen="open_deposit_minimum_finish", transition=CropMove(time=0.1, mode='wipedown'))
        










screen open_deposit_standard_finish:

    modal True

    add "images/bank/background_0.jpg"



    window:
        background None
        area (0, 380, 1080, 1880)
        viewport:
            mousewheel True
            draggable True
            pagekeys True
            side_yfill True

            vbox xalign 0.5 xminimum 1080:


                spacing 40

                text "Standard" size 92 font "gui/TMR.ttf" color "#fff" xalign 0.5

                
                null height 20  # Пропуск в 30px


                imagebutton xalign 0.5:
                    idle "images/bank/deposits/standard_baner_3.png"


                fixed xminimum 1080 ysize 178:

                    add "images/bank/deposits/card_baner.png" xalign 0.5

                    $ formatted_money = "{:,}".format(round(money, 2)).replace(",", " ")  # Заменяем запятые на пробелы

                    if money > 1000000000:
                        $ formatted_money = "{:,}".format(round(money/1000000000, 2)).replace(",", " ")  # Заменяем запятые на пробелы
                        text "$[formatted_money]B" ypos 82 xpos 237 size 48 font "gui/TMR_Regular.ttf" color "#a0a0a0"
                    else:
                        text "$[formatted_money]" ypos 82 xpos 237 size 48 font "gui/TMR_Regular.ttf" color "#a0a0a0"

                
                
                null height 20  # Пропуск в 30px

                text "Debit Amount" size 36 font "gui/TMR.ttf" color "#fff" xalign 0.5

                fixed xminimum 1080 ysize 112:

                    add "images/bank/deposits/input_baner.png" xalign 0.5

                    input default "100000" value VariableInputValue("deposit_open_money") length 18 xalign 0.5 yalign 0.55 size 42 color "#fff" font "gui/TMR.ttf"

                text "Minimum amount: $100,000" size 36 font "gui/TMR.ttf" color "#fff" xalign 0.5



                
                
                null height 30  # Пропуск в 30px

                imagebutton xalign 0.5:
                    idle "images/bank/deposits/confirm_btn.png"
                    hover im.MatrixColor("images/bank/deposits/confirm_btn.png", im.matrix.brightness(0.2))
                    insensitive "images/bank/deposits/confirm_btn_in.png"  # Когда кнопка неактивна
                    action [Function(add_deposit_2), Show(screen="open_deposit_finish", transition=CropMove(time=0.2, mode='wipeup'))] sensitive is_valid_deposit_2(deposit_open_money)

                

                null height 10  # Пропуск в 30px
                
                text "By proceeding, you accept the {color=#ff9d00}terms of the agreement{/color}. Review the {color=#ff9d00}deposit application{/color} and {color=#ff9d00}documents{/color}." size 36 font "gui/TMR.ttf" color "#fff" xalign 0.5 text_align 0.5 xmaximum 900

                



    

    imagebutton yalign 0.956:
        idle "gui/back.png" at shrink
        hover "gui/back_h.png"
        action Hide(screen="open_deposit_standard_finish", transition=CropMove(time=0.1, mode='wipedown'))
    


    key "K_ESCAPE":
        action Hide(screen="open_deposit_standard_finish", transition=CropMove(time=0.1, mode='wipedown'))













screen open_deposit_maximum_finish:

    modal True

    add "images/bank/background_0.jpg"



    window:
        background None
        area (0, 380, 1080, 1880)
        viewport:
            mousewheel True
            draggable True
            pagekeys True
            side_yfill True

            vbox xalign 0.5 xminimum 1080:


                spacing 40

                text "Maximum" size 92 font "gui/TMR.ttf" color "#fff" xalign 0.5

                
                null height 20  # Пропуск в 30px


                imagebutton xalign 0.5:
                    idle "images/bank/deposits/maximum_baner_3.png"


                fixed xminimum 1080 ysize 178:

                    add "images/bank/deposits/card_baner.png" xalign 0.5

                    $ formatted_money = "{:,}".format(round(money, 2)).replace(",", " ")  # Заменяем запятые на пробелы

                    if money > 1000000000:
                        $ formatted_money = "{:,}".format(round(money/1000000000, 2)).replace(",", " ")  # Заменяем запятые на пробелы
                        text "$[formatted_money]B" ypos 82 xpos 237 size 48 font "gui/TMR_Regular.ttf" color "#a0a0a0"
                    else:
                        text "$[formatted_money]" ypos 82 xpos 237 size 48 font "gui/TMR_Regular.ttf" color "#a0a0a0"

                
                
                null height 20  # Пропуск в 30px

                text "Debit Amount" size 36 font "gui/TMR.ttf" color "#fff" xalign 0.5

                fixed xminimum 1080 ysize 112:

                    add "images/bank/deposits/input_baner.png" xalign 0.5

                    input default "10000000" value VariableInputValue("deposit_open_money") length 18 xalign 0.5 yalign 0.55 size 42 color "#fff" font "gui/TMR.ttf"

                text "Minimum amount: $10,000,000" size 36 font "gui/TMR.ttf" color "#fff" xalign 0.5



                
                
                null height 30  # Пропуск в 30px

                imagebutton xalign 0.5:
                    idle "images/bank/deposits/confirm_btn.png"
                    hover im.MatrixColor("images/bank/deposits/confirm_btn.png", im.matrix.brightness(0.2))
                    insensitive "images/bank/deposits/confirm_btn_in.png"  # Когда кнопка неактивна
                    action [Function(add_deposit_3), Show(screen="open_deposit_finish", transition=CropMove(time=0.2, mode='wipeup'))] sensitive is_valid_deposit_3(deposit_open_money)

                

                null height 10  # Пропуск в 30px
                
                text "By proceeding, you accept the {color=#ff9d00}terms of the agreement{/color}. Review the {color=#ff9d00}deposit application{/color} and {color=#ff9d00}documents{/color}." size 36 font "gui/TMR.ttf" color "#fff" xalign 0.5 text_align 0.5 xmaximum 900

                



    

    imagebutton yalign 0.956:
        idle "gui/back.png" at shrink
        hover "gui/back_h.png"
        action Hide(screen="open_deposit_maximum_finish", transition=CropMove(time=0.1, mode='wipedown'))
    


    key "K_ESCAPE":
        action Hide(screen="open_deposit_maximum_finish", transition=CropMove(time=0.1, mode='wipedown'))






















screen open_deposit_finish:

    modal True

    imagebutton yalign 0.5 xalign 0.5:
        idle "images/bank/null_background.png"
        action [SetVariable('money', money-int(deposit_open_money)), Hide('open_deposit'), Hide('open_deposit_minimum'), Hide('open_deposit_standard'), Hide('open_deposit_maximum'), Hide('open_deposit_minimum_finish'), Hide('open_deposit_standard_finish'), Hide('open_deposit_maximum_finish'), Hide(screen="open_deposit_finish", transition=CropMove(time=0.1, mode='wipedown'))]

    add "images/bank/deposits/open_deposit_finish.png" yalign 0.5 xalign 0.5

    


        


















screen open_loan:

    modal True

    add "images/bank/background_0.jpg"



    window:
        background None
        area (0, 300, 1080, 1880)
        viewport:
            mousewheel True
            draggable True
            pagekeys True
            side_yfill True

            vbox xalign 0.5 xminimum 1080:


                spacing 40

                

                null height 10  # Пропуск в 30px

                add "images/bank/loans/loan_baner_1.png" xalign 0.5
                
                null height 10  # Пропуск в 30px

                text "Cash Loan" size 92 font "gui/TMR.ttf" color "#fff" xalign 0.5

                
                null height 20  # Пропуск в 30px

                imagebutton xalign 0.5:
                    idle "images/bank/loans/loan_baner_2.png"


                imagebutton xalign 0.5:
                    idle "images/bank/loans/loan_baner_3.png"


                imagebutton xalign 0.5:
                    idle "images/bank/loans/loan_baner_4.png"



                    
                null height 20  # Пропуск в 30px

                imagebutton xalign 0.5:
                    idle "images/bank/loans/get_loan_btn.png"
                    hover im.MatrixColor("images/bank/loans/get_loan_btn.png", im.matrix.brightness(0.15))
                    action Show(screen="get_loan_finish", transition=CropMove(time=0.2, mode='wipeup'))
                
                null height 50  # Пропуск в 30px





    imagebutton yalign 0.956:
        idle "gui/back.png" at shrink
        hover "gui/back_h.png"
        action Hide(screen="open_loan", transition=CropMove(time=0.1, mode='wipedown'))
    


    key "K_ESCAPE":
        action Hide(screen="open_loan", transition=CropMove(time=0.1, mode='wipedown'))
















screen get_loan_finish:

    modal True

    add "images/bank/background_0.jpg"



    window:
        background None
        area (0, 380, 1080, 1880)
        viewport:
            mousewheel True
            draggable True
            pagekeys True
            side_yfill True

            vbox xalign 0.5 xminimum 1080:


                spacing 40

                text "Get a loan" size 92 font "gui/TMR.ttf" color "#fff" xalign 0.5

                
                null height 20  # Пропуск в 30px


                imagebutton xalign 0.5:
                    idle "images/bank/loans/loan_baner_5.png"


                fixed xminimum 1080 ysize 178:

                    add "images/bank/deposits/card_baner.png" xalign 0.5

                    $ formatted_money = "{:,}".format(round(money, 2)).replace(",", " ")  # Заменяем запятые на пробелы

                    if money > 1000000000:
                        $ formatted_money = "{:,}".format(round(money/1000000000, 2)).replace(",", " ")  # Заменяем запятые на пробелы
                        text "$[formatted_money]B" ypos 82 xpos 237 size 48 font "gui/TMR_Regular.ttf" color "#a0a0a0"
                    else:
                        text "$[formatted_money]" ypos 82 xpos 237 size 48 font "gui/TMR_Regular.ttf" color "#a0a0a0"

                
                
                null height 20  # Пропуск в 30px

                text "Loan Amount" size 36 font "gui/TMR.ttf" color "#fff" xalign 0.5

                fixed xminimum 1080 ysize 112:

                    add "images/bank/deposits/input_baner.png" xalign 0.5

                    input default "1" value VariableInputValue("deposit_open_money") length 18 xalign 0.5 yalign 0.55 size 42 color "#fff" font "gui/TMR.ttf"

                text "Maximum amount: $1,000,000" size 36 font "gui/TMR.ttf" color "#fff" xalign 0.5



                
                
                null height 30  # Пропуск в 30px

                imagebutton xalign 0.5:
                    idle "images/bank/deposits/confirm_btn.png"
                    hover im.MatrixColor("images/bank/deposits/confirm_btn.png", im.matrix.brightness(0.2))
                    insensitive "images/bank/deposits/confirm_btn_in.png"  # Когда кнопка неактивна
                    action [Function(add_money), Show(screen="get_loan_finish_end", transition=CropMove(time=0.2, mode='wipeup'))] sensitive is_valid_loan(deposit_open_money)

                

                null height 10  # Пропуск в 30px
                
                text "By proceeding, you accept the {color=#ff9d00}terms of the agreement{/color}. Review the {color=#ff9d00}deposit application{/color} and {color=#ff9d00}documents{/color}." size 36 font "gui/TMR.ttf" color "#fff" xalign 0.5 text_align 0.5 xmaximum 900

                



    

    imagebutton yalign 0.956:
        idle "gui/back.png" at shrink
        hover "gui/back_h.png"
        action Hide(screen="get_loan_finish", transition=CropMove(time=0.1, mode='wipedown'))
    


    key "K_ESCAPE":
        action Hide(screen="get_loan_finish", transition=CropMove(time=0.1, mode='wipedown'))
        








screen get_loan_finish_end:

    modal True

    imagebutton yalign 0.5 xalign 0.5:
        idle "images/bank/null_background.png"
        action [SetVariable('money', money+int(deposit_open_money)), Hide('open_loan'), Hide('get_loan_finish'), Hide(screen="get_loan_finish_end", transition=CropMove(time=0.1, mode='wipedown'))]

    add "images/bank/loans/get_loan_finish.png" yalign 0.5 xalign 0.5

    


















































screen bank_services:

    modal True

    add "images/bank/background.jpg"


    text "Services" ypos 180 xpos 52 size 92 font "gui/TMR_Regular.ttf" color "#a0a0a0"




    window:
        background None
        area (0, 380, 1080, 1720)
        viewport:
            mousewheel True
            draggable True
            pagekeys True
            side_yfill True

            vbox xalign 0.5 xminimum 1080:


                spacing 20

                

                null height 20  # Пропуск в 30px

                imagebutton xalign 0.5:
                    idle "images/bank/services_baner_1.png"

                    

                null height 40  # Пропуск в 30px

                imagebutton xalign 0.5:
                    idle "images/bank/services_baner_2.png"

                


    imagebutton yalign 0.956:
        idle "gui/back.png" at shrink
        hover "gui/back_h.png"
        action [Hide('bank_services'), Hide(screen="bank", transition=CropMove(time=0.1, mode='wipedown'))]
    


    key "K_ESCAPE":
        action [Hide('bank_services'), Hide(screen="bank", transition=CropMove(time=0.1, mode='wipedown'))]






    

    hbox xalign 0.5 yalign 0.96:

        spacing 60

        imagebutton:
            idle "images/bank/home.png"
            hover im.MatrixColor("images/bank/home.png", im.matrix.brightness(0.3))
            
            action [Hide('bank_notifications'), Hide('bank_services'), Hide('bank_operations'), Hide('bank'), Show(screen="bank")]

        imagebutton:
            idle "images/bank/operations.png"
            hover im.MatrixColor("images/bank/operations.png", im.matrix.brightness(0.3))
            
            action [Hide('bank_notifications'), Hide('bank_services'), Hide('bank_operations'), Hide('bank'), Show(screen="bank_operations")]


        imagebutton:
            idle "images/bank/services.png"
            hover im.MatrixColor("images/bank/services.png", im.matrix.brightness(0.3))
            
            action [Hide('bank_notifications'), Hide('bank_services'), Hide('bank_operations'), Hide('bank'), Show(screen="bank_services")]

        

        imagebutton:
            if new_transaction_flag == 1:
                idle "images/bank/notifications_n.png"
                hover im.MatrixColor("images/bank/notifications_n.png", im.matrix.brightness(0.3))
            else:
                idle "images/bank/notifications.png"
                hover im.MatrixColor("images/bank/notifications.png", im.matrix.brightness(0.3))
            
            action [SetVariable('new_transaction_flag', 0), Hide('bank_notifications'), Hide('bank_services'), Hide('bank_operations'), Hide('bank'), Show(screen="bank_notifications")]













screen bank_notifications:

    modal True

    add "images/bank/background.jpg"


    text "Notifications" ypos 180 xpos 52 size 92 font "gui/TMR_Regular.ttf" color "#a0a0a0"




    window:
        background None
        area (0, 380, 1080, 1720)
        viewport:
            mousewheel True
            draggable True
            pagekeys True
            side_yfill True

            vbox xalign 0.5 xminimum 1080:


                spacing 20

                

                null height 20  # Пропуск в 30px

                imagebutton xalign 0.5:
                    idle "images/bank/notification_baner_1.png"

                    

                null height 40  # Пропуск в 30px

                imagebutton xalign 0.5:
                    idle "images/bank/notification_baner_2.png"


    

    window:
        background None
        area (0, 1260, 1080, 770)
        viewport:
            mousewheel True
            draggable True
            pagekeys True
            side_yfill True

            vbox xalign 0.5 xminimum 1080:

                
                spacing 10

                text "Transactions history" font "gui/TMR.ttf" size 44 color "#fff" xalign 0.5

                for i in bank_all_transaction_notification:
                    
                    if i.name == "":
                        pass

                    else:

                        fixed xsize 1028 ysize 177 xalign 0.5:
                            add "images/bank/transaction_notification.png"
                            add i.avatar at shrink_profile_stories xpos 39 yalign 0.5
                            vbox xpos 190 yalign 0.5:
                                spacing 15
                                if i.in_out == 0:
                                    text "from [i.name]" font "gui/TMR_Regular.ttf" size 34 color "#a0a0a0"
                                else:
                                    text "to [i.name]" font "gui/TMR_Regular.ttf" size 34 color "#a0a0a0"
                                
                                $ formatted_money = "{:,}".format(i.money)

                                if i.in_out == 0:
                                    text "[i.text] {color=#3bb229}$[formatted_money]" font "gui/TMR.ttf" size 44 color "#fff"
                                else:
                                    text "[i.text] {color=#d32929}$[formatted_money]" font "gui/TMR.ttf" size 44 color "#fff"





                            if i.in_out == 0:
                                text "Income" font "gui/TMR_Regular.ttf" size 36 color "#3bb229" xpos 890 ypos 20
                            else:
                                text "Outgoing" font "gui/TMR_Regular.ttf" size 36 color "#d32929" xpos 870 ypos 20




    

                


    imagebutton yalign 0.956:
        idle "gui/back.png" at shrink
        hover "gui/back_h.png"
        action [Hide('bank_notifications'), Hide(screen="bank", transition=CropMove(time=0.1, mode='wipedown'))]
    


    key "K_ESCAPE":
        action [Hide('bank_notifications'), Hide(screen="bank", transition=CropMove(time=0.1, mode='wipedown'))]






    

    hbox xalign 0.5 yalign 0.96:

        spacing 60

        imagebutton:
            idle "images/bank/home.png"
            hover im.MatrixColor("images/bank/home.png", im.matrix.brightness(0.3))
            
            action [Hide('bank_notifications'), Hide('bank_services'), Hide('bank_operations'), Hide('bank'), Show(screen="bank")]

        imagebutton:
            idle "images/bank/operations.png"
            hover im.MatrixColor("images/bank/operations.png", im.matrix.brightness(0.3))
            
            action [Hide('bank_notifications'), Hide('bank_services'), Hide('bank_operations'), Hide('bank'), Show(screen="bank_operations")]


        imagebutton:
            idle "images/bank/services.png"
            hover im.MatrixColor("images/bank/services.png", im.matrix.brightness(0.3))
            
            action [Hide('bank_notifications'), Hide('bank_services'), Hide('bank_operations'), Hide('bank'), Show(screen="bank_services")]

        

        imagebutton:
            if new_transaction_flag == 1:
                idle "images/bank/notifications_n.png"
                hover im.MatrixColor("images/bank/notifications_n.png", im.matrix.brightness(0.3))
            else:
                idle "images/bank/notifications.png"
                hover im.MatrixColor("images/bank/notifications.png", im.matrix.brightness(0.3))
            
            action [SetVariable('new_transaction_flag', 0), Hide('bank_notifications'), Hide('bank_services'), Hide('bank_operations'), Hide('bank'), Show(screen="bank_notifications")]

















screen bank_operations:

    modal True

    add "images/bank/background.jpg"


    text "Operations" ypos 180 xpos 52 size 92 font "gui/TMR_Regular.ttf" color "#a0a0a0"




    window:
        background None
        area (0, 380, 1080, 1720)
        viewport:
            mousewheel True
            draggable True
            pagekeys True
            side_yfill True

            vbox xalign 0.5 xminimum 1080:


                spacing 10

                

                null height 40  # Пропуск в 30px

                imagebutton xalign 0.5:
                    idle "images/bank/operations_baner_1.png"


                null height 30  # Пропуск в 30px

                
                vbox xpos 30:

                    spacing 40

                    text "Favorites" size 60 font "gui/TMR_Regular.ttf" color "#a0a0a0"

                    hbox:

                        spacing 30

                        imagebutton:
                            idle "images/bank/operations_btn_1.png"

                        imagebutton:
                            idle "images/bank/operations_btn_2.png"



                null height 40  # Пропуск в 30px

                text "Transfers" size 60 font "gui/TMR_Regular.ttf" color "#a0a0a0" xpos 30 
                
                null height 40  # Пропуск в 30px

                imagebutton xalign 0.5:
                    idle "images/bank/operations_btn_3.png"
                    hover im.MatrixColor("images/bank/operations_btn_3.png", im.matrix.brightness(0.05))

                    action Show(screen="bank_operations_between_from", transition=CropMove(time=0.1, mode='wipeup'))



                imagebutton xalign 0.5:
                    idle "images/bank/operations_btn_4.png"

                


    imagebutton yalign 0.956:
        idle "gui/back.png" at shrink
        hover "gui/back_h.png"
        action [Hide('bank_notifications'), Hide(screen="bank", transition=CropMove(time=0.1, mode='wipedown'))]
    


    key "K_ESCAPE":
        action [Hide('bank_notifications'), Hide(screen="bank", transition=CropMove(time=0.1, mode='wipedown'))]






    

    hbox xalign 0.5 yalign 0.96:

        spacing 60

        imagebutton:
            idle "images/bank/home.png"
            hover im.MatrixColor("images/bank/home.png", im.matrix.brightness(0.3))
            
            action [Hide('bank_notifications'), Hide('bank_services'), Hide('bank_operations'), Hide('bank'), Show(screen="bank")]

        imagebutton:
            idle "images/bank/operations.png"
            hover im.MatrixColor("images/bank/operations.png", im.matrix.brightness(0.3))
            
            action [Hide('bank_notifications'), Hide('bank_services'), Hide('bank_operations'), Hide('bank'), Show(screen="bank_operations")]


        imagebutton:
            idle "images/bank/services.png"
            hover im.MatrixColor("images/bank/services.png", im.matrix.brightness(0.3))
            
            action [Hide('bank_notifications'), Hide('bank_services'), Hide('bank_operations'), Hide('bank'), Show(screen="bank_services")]

        

        imagebutton:
            if new_transaction_flag == 1:
                idle "images/bank/notifications_n.png"
                hover im.MatrixColor("images/bank/notifications_n.png", im.matrix.brightness(0.3))
            else:
                idle "images/bank/notifications.png"
                hover im.MatrixColor("images/bank/notifications.png", im.matrix.brightness(0.3))
            
            action [SetVariable('new_transaction_flag', 0), Hide('bank_notifications'), Hide('bank_services'), Hide('bank_operations'), Hide('bank'), Show(screen="bank_notifications")]
























screen bank_operations_between_from:

    modal True

    add "images/bank/background_0.jpg"


    text "Operations" ypos 180 xpos 52 size 92 font "gui/TMR_Regular.ttf" color "#a0a0a0"
    

    window:
        background None
        area (0, 380, 1080, 1720)
        viewport:
            mousewheel True
            draggable True
            pagekeys True
            side_yfill True

            vbox xalign 0.5 xminimum 1080:


                spacing 10

                
                text "From which account do you want to transfer money?" xalign 0.5 text_align 0.5 size 56 font "gui/TMR_Regular.ttf" color "#fff" xmaximum 900

                
                null height 50  # Пропуск в 30px

                fixed xminimum 1080 ysize 340:

                    imagebutton xalign 0.5:
                        idle "images/bank/card_btn.png"
                        hover im.MatrixColor("images/bank/card_btn.png", im.matrix.brightness(0.05))
                        action [SetVariable('from_account', "card"), Show('bank_operations_between_to')]



                    $ formatted_money = "{:,}".format(round(money, 2)).replace(",", " ")  # Заменяем запятые на пробелы

                    if money > 1000000000:
                        $ formatted_money = "{:,}".format(round(money/1000000000, 2)).replace(",", " ")  # Заменяем запятые на пробелы
                        text "$[formatted_money]B" ypos 246 xalign 0.5 size 60 font "gui/TMR_Regular.ttf" color "#a0a0a0"
                    else:
                        text "$[formatted_money]" ypos 246 xalign 0.5 size 60 font "gui/TMR_Regular.ttf" color "#a0a0a0"

                

                null height 10  # Пропуск в 30px
                
                if len(bank_deposits) == 0:
                    imagebutton xalign 0.5:
                        idle "images/bank/deposits_btn.png"

                else:

                    for i in bank_deposits:
                    
                        fixed xminimum 1080 ysize 340:
                            imagebutton xalign 0.5:
                                idle "images/bank/deposit_btn.png"
                                hover im.MatrixColor("images/bank/deposit_btn.png", im.matrix.brightness(0.05))

                                action [SetVariable('from_account', "deposit"), SetVariable('from_account_deposit', i), Show('bank_operations_between_to')]

                            
                            if i.id == 1:
                                text "3% per year" ypos 168 xpos 840 size 36 font "gui/TMR_Regular.ttf" color "#a0a0a0"
                            elif i.id == 2:
                                text "5% per year" ypos 168 xpos 840 size 36 font "gui/TMR_Regular.ttf" color "#a0a0a0"
                            else:
                                text "8% per year" ypos 168 xpos 840 size 36 font "gui/TMR_Regular.ttf" color "#a0a0a0"



                            text "#[bank_deposits.index(i)+1]" ypos 36 xpos 220 size 46 font "gui/TMR_Regular.ttf" color "#a0a0a0"


                            text "[i.last_digits]" ypos 168 xpos 268 size 36 font "gui/TMR_Regular.ttf" color "#a0a0a0"

                            


                            $ formatted_money = "{:,}".format(round(i.money, 2)).replace(",", " ")  # Заменяем запятые на пробелы

                            if i.money > 1000000000:
                                $ formatted_money = "{:,}".format(round(i.money/1000000000, 2)).replace(",", " ")  # Заменяем запятые на пробелы
                                text "$[formatted_money]B" ypos 246 xalign 0.5 size 60 font "gui/TMR_Regular.ttf" color "#a0a0a0"
                            else:
                                text "$[formatted_money]" ypos 246 xalign 0.5 size 60 font "gui/TMR_Regular.ttf" color "#a0a0a0"
                



                


    imagebutton yalign 0.956:
        idle "gui/back.png" at shrink
        hover "gui/back_h.png"
        action [Hide('bank_operations_between_from')]
    


    key "K_ESCAPE":
        action [Hide('bank_operations_between_from')]









screen bank_operations_between_to:

    modal True

    add "images/bank/background_0.jpg"


    text "Operations" ypos 180 xpos 52 size 92 font "gui/TMR_Regular.ttf" color "#a0a0a0"
    

    window:
        background None
        area (0, 380, 1080, 1720)
        viewport:
            mousewheel True
            draggable True
            pagekeys True
            side_yfill True

            vbox xalign 0.5 xminimum 1080:


                spacing 10

                
                text "To which account do you want to transfer money?" xalign 0.5 text_align 0.5 size 56 font "gui/TMR_Regular.ttf" color "#fff" xmaximum 900

                
                null height 50  # Пропуск в 30px

                if from_account != "card":
                
                    fixed xminimum 1080 ysize 340:

                        imagebutton xalign 0.5:
                            idle "images/bank/card_btn.png"
                            hover im.MatrixColor("images/bank/card_btn.png", im.matrix.brightness(0.05))
                            action [SetVariable('to_account', "card"), Show('bank_operations_between_last')]



                        $ formatted_money = "{:,}".format(round(money, 2)).replace(",", " ")  # Заменяем запятые на пробелы

                        if money > 1000000000:
                            $ formatted_money = "{:,}".format(round(money/1000000000, 2)).replace(",", " ")  # Заменяем запятые на пробелы
                            text "$[formatted_money]B" ypos 246 xalign 0.5 size 60 font "gui/TMR_Regular.ttf" color "#a0a0a0"
                        else:
                            text "$[formatted_money]" ypos 246 xalign 0.5 size 60 font "gui/TMR_Regular.ttf" color "#a0a0a0"

                    

                    null height 10  # Пропуск в 30px
                
                if len(bank_deposits) == 0:
                    imagebutton xalign 0.5:
                        idle "images/bank/deposits_btn.png"

                else:

                    for i in bank_deposits:
                        
                        if i == from_account_deposit and from_account == 'deposit':
                            pass
                        else:
                            fixed xminimum 1080 ysize 340:
                                imagebutton xalign 0.5:
                                    idle "images/bank/deposit_btn.png"
                                    hover im.MatrixColor("images/bank/deposit_btn.png", im.matrix.brightness(0.05))

                                    action [SetVariable('to_account', "deposit"), SetVariable('to_account_deposit', i), Show('bank_operations_between_last')]

                                
                                if i.id == 1:
                                    text "3% per year" ypos 168 xpos 840 size 36 font "gui/TMR_Regular.ttf" color "#a0a0a0"
                                elif i.id == 2:
                                    text "5% per year" ypos 168 xpos 840 size 36 font "gui/TMR_Regular.ttf" color "#a0a0a0"
                                else:
                                    text "8% per year" ypos 168 xpos 840 size 36 font "gui/TMR_Regular.ttf" color "#a0a0a0"



                                text "#[bank_deposits.index(i)+1]" ypos 36 xpos 220 size 46 font "gui/TMR_Regular.ttf" color "#a0a0a0"


                                text "[i.last_digits]" ypos 168 xpos 268 size 36 font "gui/TMR_Regular.ttf" color "#a0a0a0"

                                


                                $ formatted_money = "{:,}".format(round(i.money, 2)).replace(",", " ")  # Заменяем запятые на пробелы

                                if i.money > 1000000000:
                                    $ formatted_money = "{:,}".format(round(i.money/1000000000, 2)).replace(",", " ")  # Заменяем запятые на пробелы
                                    text "$[formatted_money]B" ypos 246 xalign 0.5 size 60 font "gui/TMR_Regular.ttf" color "#a0a0a0"
                                else:
                                    text "$[formatted_money]" ypos 246 xalign 0.5 size 60 font "gui/TMR_Regular.ttf" color "#a0a0a0"
                    



                


    imagebutton yalign 0.956:
        idle "gui/back.png" at shrink
        hover "gui/back_h.png"
        action [Hide('bank_operations_between_to')]
    


    key "K_ESCAPE":
        action [Hide('bank_operations_between_to')]










screen bank_operations_between_last:

    modal True

    add "images/bank/background_0.jpg"


    text "Operations" ypos 180 xpos 52 size 92 font "gui/TMR_Regular.ttf" color "#a0a0a0"
    

    window:
        background None
        area (0, 380, 1080, 1720)
        viewport:
            mousewheel True
            draggable True
            pagekeys True
            side_yfill True

            vbox xalign 0.5 xminimum 1080:


                spacing 10

                
                text "From" xalign 0.5 text_align 0.5 size 56 font "gui/TMR_Regular.ttf" color "#fff" xmaximum 900

                

                if from_account == "card":
                
                    fixed xminimum 1080 ysize 340:

                        imagebutton xalign 0.5:
                            idle "images/bank/card_btn.png"



                        $ formatted_money = "{:,}".format(round(money, 2)).replace(",", " ")  # Заменяем запятые на пробелы

                        if money > 1000000000:
                            $ formatted_money = "{:,}".format(round(money/1000000000, 2)).replace(",", " ")  # Заменяем запятые на пробелы
                            text "$[formatted_money]B" ypos 246 xalign 0.5 size 60 font "gui/TMR_Regular.ttf" color "#a0a0a0"
                        else:
                            text "$[formatted_money]" ypos 246 xalign 0.5 size 60 font "gui/TMR_Regular.ttf" color "#a0a0a0"

                    
                else:

                    
                    fixed xminimum 1080 ysize 340:
                        imagebutton xalign 0.5:
                            idle "images/bank/deposit_btn.png"

                        
                        if from_account_deposit.id == 1:
                            text "3% per year" ypos 168 xpos 840 size 36 font "gui/TMR_Regular.ttf" color "#a0a0a0"
                        elif from_account_deposit.id == 2:
                            text "5% per year" ypos 168 xpos 840 size 36 font "gui/TMR_Regular.ttf" color "#a0a0a0"
                        else:
                            text "8% per year" ypos 168 xpos 840 size 36 font "gui/TMR_Regular.ttf" color "#a0a0a0"



                        text "#[bank_deposits.index(from_account_deposit)+1]" ypos 36 xpos 220 size 46 font "gui/TMR_Regular.ttf" color "#a0a0a0"


                        text "[from_account_deposit.last_digits]" ypos 168 xpos 268 size 36 font "gui/TMR_Regular.ttf" color "#a0a0a0"

                        


                        $ formatted_money = "{:,}".format(round(from_account_deposit.money, 2)).replace(",", " ")  # Заменяем запятые на пробелы

                        if from_account_deposit.money > 1000000000:
                            $ formatted_money = "{:,}".format(round(from_account_deposit.money/1000000000, 2)).replace(",", " ")  # Заменяем запятые на пробелы
                            text "$[formatted_money]B" ypos 246 xalign 0.5 size 60 font "gui/TMR_Regular.ttf" color "#a0a0a0"
                        else:
                            text "$[formatted_money]" ypos 246 xalign 0.5 size 60 font "gui/TMR_Regular.ttf" color "#a0a0a0"
            

                
                null height 50  # Пропуск в 30px
                

                text "To" xalign 0.5 text_align 0.5 size 56 font "gui/TMR_Regular.ttf" color "#fff" xmaximum 900

                if to_account == "card":
                
                    fixed xminimum 1080 ysize 340:

                        imagebutton xalign 0.5:
                            idle "images/bank/card_btn.png"



                        $ formatted_money = "{:,}".format(round(money, 2)).replace(",", " ")  # Заменяем запятые на пробелы

                        if money > 1000000000:
                            $ formatted_money = "{:,}".format(round(money/1000000000, 2)).replace(",", " ")  # Заменяем запятые на пробелы
                            text "$[formatted_money]B" ypos 246 xalign 0.5 size 60 font "gui/TMR_Regular.ttf" color "#a0a0a0"
                        else:
                            text "$[formatted_money]" ypos 246 xalign 0.5 size 60 font "gui/TMR_Regular.ttf" color "#a0a0a0"

                    
                else:

                    
                    fixed xminimum 1080 ysize 340:
                        imagebutton xalign 0.5:
                            idle "images/bank/deposit_btn.png"

                        
                        if to_account_deposit.id == 1:
                            text "3% per year" ypos 168 xpos 840 size 36 font "gui/TMR_Regular.ttf" color "#a0a0a0"
                        elif to_account_deposit.id == 2:
                            text "5% per year" ypos 168 xpos 840 size 36 font "gui/TMR_Regular.ttf" color "#a0a0a0"
                        else:
                            text "8% per year" ypos 168 xpos 840 size 36 font "gui/TMR_Regular.ttf" color "#a0a0a0"



                        text "#[bank_deposits.index(to_account_deposit)+1]" ypos 36 xpos 220 size 46 font "gui/TMR_Regular.ttf" color "#a0a0a0"


                        text "[to_account_deposit.last_digits]" ypos 168 xpos 268 size 36 font "gui/TMR_Regular.ttf" color "#a0a0a0"

                        


                        $ formatted_money = "{:,}".format(round(to_account_deposit.money, 2)).replace(",", " ")  # Заменяем запятые на пробелы

                        if to_account_deposit.money > 1000000000:
                            $ formatted_money = "{:,}".format(round(to_account_deposit.money/1000000000, 2)).replace(",", " ")  # Заменяем запятые на пробелы
                            text "$[formatted_money]B" ypos 246 xalign 0.5 size 60 font "gui/TMR_Regular.ttf" color "#a0a0a0"
                        else:
                            text "$[formatted_money]" ypos 246 xalign 0.5 size 60 font "gui/TMR_Regular.ttf" color "#a0a0a0"
            



            

                null height 70  # Пропуск в 30px

                text "Transfer Amount" size 36 font "gui/TMR.ttf" color "#fff" xalign 0.5

                fixed xminimum 1080 ysize 112:

                    add "images/bank/deposits/input_baner.png" xalign 0.5

                    input default "1" value VariableInputValue("transfer_money") length 18 xalign 0.5 yalign 0.55 size 42 color "#fff" font "gui/TMR.ttf"

                text "Minimum amount: $1" size 36 font "gui/TMR.ttf" color "#fff" xalign 0.5

  
                

                null height 30  # Пропуск в 30px

                imagebutton xalign 0.5:
                    idle "images/bank/transfer.png"
                    hover im.MatrixColor("images/bank/transfer.png", im.matrix.brightness(0.2))
                    insensitive "images/bank/transfer_in.png"  # Когда кнопка неактивна
                    action [Function(transfer_money_func), Show(screen="transfer_finish", transition=CropMove(time=0.2, mode='wipeup'))] sensitive is_valid_transfer(transfer_money)

                
                


    imagebutton yalign 0.956:
        idle "gui/back.png" at shrink
        hover "gui/back_h.png"
        action [Hide('bank_operations_between_last')]
    


    key "K_ESCAPE":
        action [Hide('bank_operations_between_last')]









screen transfer_finish:

    modal True

    imagebutton yalign 0.5 xalign 0.5:
        idle "images/bank/null_background.png"
        action [Hide('bank_operations_between_from'), Hide('bank_operations_between_to'), Hide('bank_operations_between_last'), Hide(screen="transfer_finish", transition=CropMove(time=0.1, mode='wipedown'))]

    add "images/bank/transfer_finish.png" yalign 0.5 xalign 0.5

    


        




