default gallery_category = 0



default current_gallery_memory = 0


screen gallery_screen:

    
    modal True

    add 'images/gallery/background.jpg'


    hbox xalign 0.5 ypos 320:

        spacing 40


        textbutton "🎞️ Memories" text_style "story_text" text_font "gui/TMR.ttf" text_size 42 action SetVariable('gallery_category', 0)

        textbutton "📸 Photos" text_style "story_text" text_font "gui/TMR.ttf" text_size 42 action [SetVariable('gallery_category', 1), SetVariable('gallery_current_images', 0)]

        textbutton "🎥 Videos" text_style "story_text" text_font "gui/TMR.ttf" text_size 42 action SetVariable('gallery_category', 2)




    if gallery_category == 0:
        window background None:
            area (0, 420, 1080, 1780)
            viewport:
                mousewheel True
                draggable True
                pagekeys True
                side_yfill True

                xalign 0.5


                vbox spacing 10 xalign 0.5:
                    for i in range(0, 21, 3):
                        hbox spacing 10:
                            for j in range(3):
                                if i + j < 21:  # Проверяем, чтобы не выйти за границы
                                    frame:
                                        xpadding 9
                                        ypadding 9
                                        xalign 0.5
                                        # Используем зарегистрированные изображения напрямую
                                        

                                        imagebutton xalign 0.5:
                                            idle "memories_{}".format(i + j + 1)
                                            hover "memories_{}_h".format(i + j + 1)
                                            action [SetVariable('current_gallery_memory', (i + j + 1)), Show(screen="show_gallery_memory", transition=CropMove(time=0.2, mode='wipeup'))]


    elif gallery_category == 1:

        if gallery_current_images == 0:

            window background None:
                area (65, 420, 1015, 1780)
                viewport:
                    mousewheel True
                    draggable True
                    pagekeys True
                    side_yfill True

                    xalign 0.5

                    grid 2 16:
                        yspacing 50
                        xspacing 50

                        imagebutton xalign 0.5:
                            idle 'idle_gallery_wife'
                            hover 'hover_gallery_wife'
                            action SetVariable('gallery_current_images', gallery_images_wife)

                        imagebutton xalign 0.5:
                            idle 'idle_gallery_son'
                            hover 'hover_gallery_son'
                            action SetVariable('gallery_current_images', gallery_images_son)

                        imagebutton xalign 0.5:
                            idle 'idle_gallery_jenna'
                            hover 'hover_gallery_jenna'
                            action SetVariable('gallery_current_images', gallery_images_jenna)

                        imagebutton xalign 0.5:
                            idle 'idle_gallery_christina'
                            hover 'hover_gallery_christina'
                            action SetVariable('gallery_current_images', gallery_images_christina)

                        imagebutton xalign 0.5:
                            idle 'idle_gallery_wsis'
                            hover 'hover_gallery_wsis'
                            action SetVariable('gallery_current_images', gallery_images_wsis)

                        imagebutton xalign 0.5:
                            idle 'idle_gallery_bbc'
                            hover 'hover_gallery_bbc'
                            action SetVariable('gallery_current_images', gallery_images_bbc)

                        imagebutton xalign 0.5:
                            idle 'idle_gallery_other'
                            hover 'hover_gallery_other'
                            action SetVariable('gallery_current_images', gallery_images_other)

                        imagebutton xalign 0.5:
                            idle 'idle_gallery_fmc'
                            hover 'hover_gallery_fmc'
                            action SetVariable('gallery_current_images', gallery_images_fmc)

                        imagebutton xalign 0.5:
                            idle 'idle_gallery_mom'
                            hover 'hover_gallery_mom'
                            action SetVariable('gallery_current_images', gallery_images_mom)

                        imagebutton xalign 0.5:
                            idle 'idle_gallery_talay'
                            hover 'hover_gallery_talay'
                            action SetVariable('gallery_current_images', gallery_images_talay)

                        imagebutton xalign 0.5:
                            idle 'idle_gallery_cecilia'
                            hover 'hover_gallery_cecilia'
                            action SetVariable('gallery_current_images', gallery_images_cecilia)

                        imagebutton xalign 0.5:
                            idle 'idle_gallery_sybil'
                            hover 'hover_gallery_sybil'
                            action SetVariable('gallery_current_images', gallery_images_sybil)

                        imagebutton xalign 0.5:
                            idle 'idle_gallery_sis'
                            hover 'hover_gallery_sis'
                            action SetVariable('gallery_current_images', gallery_images_sis)

                        imagebutton xalign 0.5:
                            idle 'idle_gallery_ntr'
                            hover 'hover_gallery_ntr'
                            action SetVariable('gallery_current_images', gallery_images_ntr)

                        imagebutton xalign 0.5:
                            idle 'idle_gallery_mc'
                            hover 'hover_gallery_mc'
                            action SetVariable('gallery_current_images', gallery_images_mc)

                        imagebutton xalign 0.5:
                            idle 'idle_gallery_marina'
                            hover 'hover_gallery_marina'
                            action SetVariable('gallery_current_images', gallery_images_marina)

                        imagebutton xalign 0.5:
                            idle 'idle_gallery_helsa'
                            hover 'hover_gallery_helsa'
                            action SetVariable('gallery_current_images', gallery_images_helsa)

                        imagebutton xalign 0.5:
                            idle 'idle_gallery_d'
                            hover 'hover_gallery_d'
                            action SetVariable('gallery_current_images', gallery_images_d)

                        imagebutton xalign 0.5:
                            idle 'idle_gallery_mike'
                            hover 'hover_gallery_mike'
                            action SetVariable('gallery_current_images', gallery_images_mike)

                        imagebutton xalign 0.5:
                            idle 'idle_gallery_abella'
                            hover 'hover_gallery_abella'
                            action SetVariable('gallery_current_images', gallery_images_abella)

                        imagebutton xalign 0.5:
                            idle 'idle_gallery_rae'
                            hover 'hover_gallery_rae'
                            action SetVariable('gallery_current_images', gallery_images_rae)

                        imagebutton xalign 0.5:
                            idle 'idle_gallery_sola'
                            hover 'hover_gallery_sola'
                            action SetVariable('gallery_current_images', gallery_images_sola)

                        imagebutton xalign 0.5:
                            idle 'idle_gallery_paula'
                            hover 'hover_gallery_paula'
                            action SetVariable('gallery_current_images', gallery_images_paula)

                        imagebutton xalign 0.5:
                            idle 'idle_gallery_lena'
                            hover 'hover_gallery_lena'
                            action SetVariable('gallery_current_images', gallery_images_lena)

                        imagebutton xalign 0.5:
                            idle 'idle_gallery_anissa'
                            hover 'hover_gallery_anissa'
                            action SetVariable('gallery_current_images', gallery_images_anissa)

                        imagebutton xalign 0.5:
                            idle 'idle_gallery_hypno'
                            hover 'hover_gallery_hypno'
                            action SetVariable('gallery_current_images', gallery_images_hypno)

                        imagebutton xalign 0.5:
                            idle 'idle_gallery_hearth'
                            hover 'hover_gallery_hearth'
                            action SetVariable('gallery_current_images', gallery_images_hearth)

                        imagebutton xalign 0.5:
                            idle 'idle_gallery_niece'
                            hover 'hover_gallery_niece'
                            action SetVariable('gallery_current_images', gallery_images_niece)

                        imagebutton xalign 0.5:
                            idle 'idle_gallery_kirely'
                            hover 'hover_gallery_kirely'
                            action SetVariable('gallery_current_images', gallery_images_kirely)

                        imagebutton xalign 0.5:
                            idle 'idle_gallery_aria'
                            hover 'hover_gallery_aria'
                            action SetVariable('gallery_current_images', gallery_images_aria)

                        imagebutton xalign 0.5:
                            idle 'idle_gallery_angeline'
                            hover 'hover_gallery_angeline'
                            action SetVariable('gallery_current_images', gallery_images_angeline)

                        imagebutton xalign 0.5:
                            idle 'idle_gallery_kioko'
                            hover 'hover_gallery_kioko'
                            action SetVariable('gallery_current_images', gallery_images_kioko)


        else:

            window background None:
                area (0, 420, 1080, 1780)
                viewport:
                    mousewheel True
                    draggable True
                    pagekeys True
                    side_yfill True
                    xalign 0.5

                    vbox spacing 10 xalign 0.5:
                        for i in range(0, len(gallery_current_images), 3):
                            hbox spacing 10:
                                for j in range(3):
                                    if i + j < len(gallery_current_images):  # Проверяем, чтобы не выйти за границы
                                        frame:
                                            xpadding 9
                                            ypadding 9
                                            xalign 0.5

                                            # Форматируем строки для idle и hover
                                            $ idle_image = gallery_current_images[i + j].idle
                                            $ hover_image = gallery_current_images[i + j].hover

                                            imagebutton:
                                                idle idle_image
                                                hover hover_image
                                                action [SetVariable('current_gallery_memory', (i + j)), Show(screen="show_gallery_img", transition=CropMove(time=0.2, mode='wipeup'))]


            
            imagebutton yalign 0.956:
                idle "gui/back.png" at shrink
                hover "gui/back_h.png"
                action [SetVariable('gallery_current_images', 0), SetVariable('gallery_current_videos', 0)]
            


            key "K_ESCAPE":
                action [SetVariable('gallery_current_images', 0), SetVariable('gallery_current_videos', 0)]



    


    elif gallery_category == 2:

        if gallery_current_videos == 0:

            window background None:
                area (65, 420, 1015, 1780)
                viewport:
                    mousewheel True
                    draggable True
                    pagekeys True
                    side_yfill True

                    xalign 0.5

                    grid 2 16:
                        yspacing 50
                        xspacing 50

                        imagebutton xalign 0.5:
                            idle 'idle_gallery_wife'
                            hover 'hover_gallery_wife'
                            action SetVariable('gallery_current_videos', gallery_videos_wife)

                        imagebutton xalign 0.5:
                            idle 'idle_gallery_son'
                            hover 'hover_gallery_son'
                            action SetVariable('gallery_current_videos', gallery_videos_son)

                        imagebutton xalign 0.5:
                            idle 'idle_gallery_jenna'
                            hover 'hover_gallery_jenna'
                            action SetVariable('gallery_current_videos', gallery_videos_jenna)

                        imagebutton xalign 0.5:
                            idle 'idle_gallery_christina'
                            hover 'hover_gallery_christina'
                            action SetVariable('gallery_current_videos', gallery_videos_christina)

                        imagebutton xalign 0.5:
                            idle 'idle_gallery_wsis'
                            hover 'hover_gallery_wsis'
                            action SetVariable('gallery_current_videos', gallery_videos_wsis)

                        imagebutton xalign 0.5:
                            idle 'idle_gallery_bbc'
                            hover 'hover_gallery_bbc'
                            action SetVariable('gallery_current_videos', gallery_videos_bbc)

                        imagebutton xalign 0.5:
                            idle 'idle_gallery_other'
                            hover 'hover_gallery_other'
                            action SetVariable('gallery_current_videos', gallery_videos_other)

                        imagebutton xalign 0.5:
                            idle 'idle_gallery_fmc'
                            hover 'hover_gallery_fmc'
                            action SetVariable('gallery_current_videos', gallery_videos_fmc)

                        imagebutton xalign 0.5:
                            idle 'idle_gallery_mom'
                            hover 'hover_gallery_mom'
                            action SetVariable('gallery_current_videos', gallery_videos_mom)

                        imagebutton xalign 0.5:
                            idle 'idle_gallery_talay'
                            hover 'hover_gallery_talay'
                            action SetVariable('gallery_current_videos', gallery_videos_talay)

                        imagebutton xalign 0.5:
                            idle 'idle_gallery_cecilia'
                            hover 'hover_gallery_cecilia'
                            action SetVariable('gallery_current_videos', gallery_videos_cecilia)

                        imagebutton xalign 0.5:
                            idle 'idle_gallery_sybil'
                            hover 'hover_gallery_sybil'
                            action SetVariable('gallery_current_videos', gallery_videos_sybil)

                        imagebutton xalign 0.5:
                            idle 'idle_gallery_sis'
                            hover 'hover_gallery_sis'
                            action SetVariable('gallery_current_videos', gallery_videos_sis)

                        imagebutton xalign 0.5:
                            idle 'idle_gallery_ntr'
                            hover 'hover_gallery_ntr'
                            action SetVariable('gallery_current_videos', gallery_videos_ntr)

                        imagebutton xalign 0.5:
                            idle 'idle_gallery_mc'
                            hover 'hover_gallery_mc'
                            action SetVariable('gallery_current_videos', gallery_videos_mc)

                        imagebutton xalign 0.5:
                            idle 'idle_gallery_marina'
                            hover 'hover_gallery_marina'
                            action SetVariable('gallery_current_videos', gallery_videos_marina)

                        imagebutton xalign 0.5:
                            idle 'idle_gallery_helsa'
                            hover 'hover_gallery_helsa'
                            action SetVariable('gallery_current_videos', gallery_videos_helsa)

                        imagebutton xalign 0.5:
                            idle 'idle_gallery_d'
                            hover 'hover_gallery_d'
                            action SetVariable('gallery_current_videos', gallery_videos_d)

                        imagebutton xalign 0.5:
                            idle 'idle_gallery_mike'
                            hover 'hover_gallery_mike'
                            action SetVariable('gallery_current_videos', gallery_videos_mike)

                        imagebutton xalign 0.5:
                            idle 'idle_gallery_abella'
                            hover 'hover_gallery_abella'
                            action SetVariable('gallery_current_videos', gallery_videos_abella)

                        imagebutton xalign 0.5:
                            idle 'idle_gallery_rae'
                            hover 'hover_gallery_rae'
                            action SetVariable('gallery_current_videos', gallery_videos_rae)

                        imagebutton xalign 0.5:
                            idle 'idle_gallery_sola'
                            hover 'hover_gallery_sola'
                            action SetVariable('gallery_current_videos', gallery_videos_sola)

                        imagebutton xalign 0.5:
                            idle 'idle_gallery_paula'
                            hover 'hover_gallery_paula'
                            action SetVariable('gallery_current_videos', gallery_videos_paula)

                        imagebutton xalign 0.5:
                            idle 'idle_gallery_lena'
                            hover 'hover_gallery_lena'
                            action SetVariable('gallery_current_videos', gallery_videos_lena)

                        imagebutton xalign 0.5:
                            idle 'idle_gallery_anissa'
                            hover 'hover_gallery_anissa'
                            action SetVariable('gallery_current_videos', gallery_videos_anissa)

                        imagebutton xalign 0.5:
                            idle 'idle_gallery_hypno'
                            hover 'hover_gallery_hypno'
                            action SetVariable('gallery_current_videos', gallery_videos_hypno)

                        imagebutton xalign 0.5:
                            idle 'idle_gallery_hearth'
                            hover 'hover_gallery_hearth'
                            action SetVariable('gallery_current_videos', gallery_videos_hearth)

                        imagebutton xalign 0.5:
                            idle 'idle_gallery_niece'
                            hover 'hover_gallery_niece'
                            action SetVariable('gallery_current_videos', gallery_videos_niece)

                        imagebutton xalign 0.5:
                            idle 'idle_gallery_kirely'
                            hover 'hover_gallery_kirely'
                            action SetVariable('gallery_current_videos', gallery_videos_kirely)

                        imagebutton xalign 0.5:
                            idle 'idle_gallery_aria'
                            hover 'hover_gallery_aria'
                            action SetVariable('gallery_current_videos', gallery_videos_aria)

                        imagebutton xalign 0.5:
                            idle 'idle_gallery_angeline'
                            hover 'hover_gallery_angeline'
                            action SetVariable('gallery_current_videos', gallery_videos_angeline)

                        imagebutton xalign 0.5:
                            idle 'idle_gallery_kioko'
                            hover 'hover_gallery_kioko'
                            action SetVariable('gallery_current_videos', gallery_videos_kioko)


        else:

            window background None:
                area (0, 420, 1080, 1780)
                viewport:
                    mousewheel True
                    draggable True
                    pagekeys True
                    side_yfill True
                    xalign 0.5

                    vbox spacing 10 xalign 0.5:
                        for i in range(0, len(gallery_current_videos), 3):
                            hbox spacing 10:
                                for j in range(3):
                                    if i + j < len(gallery_current_videos):  # Проверяем, чтобы не выйти за границы
                                        frame:
                                            xpadding 9
                                            ypadding 9
                                            xalign 0.5

                                            # Форматируем строки для idle и hover
                                            $ idle_image = gallery_current_videos[i + j].idle
                                            $ hover_image = gallery_current_videos[i + j].hover

                                            imagebutton:
                                                idle idle_image
                                                hover hover_image
                                                action [SetVariable('current_gallery_memory', (i + j)), Show(screen="show_gallery_vid", transition=CropMove(time=0.2, mode='wipeup'))]


            
            imagebutton yalign 0.956:
                idle "gui/back.png" at shrink
                hover "gui/back_h.png"
                action [SetVariable('gallery_current_images', 0), SetVariable('gallery_current_videos', 0)]
            


            key "K_ESCAPE":
                action [SetVariable('gallery_current_images', 0), SetVariable('gallery_current_videos', 0)]
    


    if gallery_current_images == 0 and gallery_current_videos == 0:
        
        imagebutton yalign 0.956:
            idle "gui/back.png" at shrink
            hover "gui/back_h.png"
            action [Hide(screen="gallery_screen", transition=CropMove(time=0.2, mode='wipedown')), SetVariable('gallery_current_images', 0), SetVariable('gallery_current_videos', 0)]
        


        key "K_ESCAPE":
            action [Hide(screen="gallery_screen", transition=CropMove(time=0.2, mode='wipedown')), SetVariable('gallery_current_images', 0), SetVariable('gallery_current_videos', 0)]










default gallery_images_son = []
default gallery_images_wife = []
default gallery_images_wsis = []
default gallery_images_christina = []
default gallery_images_hypno = []
default gallery_images_hearth = []
default gallery_images_jenna = []
default gallery_images_niece = []
default gallery_images_kirely = []
default gallery_images_cecilia = []
default gallery_images_bbc = []
default gallery_images_anissa = []
default gallery_images_abella = []
default gallery_images_lena = []
default gallery_images_rae = []
default gallery_images_sis = []
default gallery_images_sybil = []
default gallery_images_talay = []
default gallery_images_fmc = []
default gallery_images_other = []
default gallery_images_sola = []
default gallery_images_paula = []
default gallery_images_mom = []
default gallery_images_aria = []
default gallery_images_angeline = []
default gallery_images_kioko = []
default gallery_images_ntr = []
default gallery_images_mc = []
default gallery_images_mike = []
default gallery_images_d = []
default gallery_images_helsa = []
default gallery_images_marina = []





default gallery_current_images = 0






default gallery_videos_son = []
default gallery_videos_wife = []
default gallery_videos_wsis = []
default gallery_videos_christina = []
default gallery_videos_hypno = []
default gallery_videos_hearth = []
default gallery_videos_jenna = []
default gallery_videos_niece = []
default gallery_videos_kirely = []
default gallery_videos_cecilia = []
default gallery_videos_bbc = []
default gallery_videos_anissa = []
default gallery_videos_abella = []
default gallery_videos_lena = []
default gallery_videos_rae = []
default gallery_videos_sis = []
default gallery_videos_sybil = []
default gallery_videos_talay = []
default gallery_videos_fmc = []
default gallery_videos_other = []
default gallery_videos_sola = []
default gallery_videos_paula = []
default gallery_videos_mom = []
default gallery_videos_aria = []
default gallery_videos_angeline = []
default gallery_videos_kioko = []
default gallery_videos_ntr = []
default gallery_videos_mc = []
default gallery_videos_mike = []
default gallery_videos_d = []
default gallery_videos_helsa = []
default gallery_videos_marina = []


default gallery_current_videos = 0
















init python:

    class Img_Info:
        def __init__(self, name, img):
            self.name = name
            self.img = img

    
    def Add_Content_OF(file, deleted_list, appended_list):

        appended_list.insert(1, file)
        deleted_list.remove(file)


    def Add_To_Son_Gallery(item):
        if item in gallery_images_son:
            pass
        else:
            gallery_images_son.insert(0, item)



    def Add_To_Wife_Gallery(item):
        if item in gallery_images_wife:
            pass
        else:
            gallery_images_wife.insert(0, item)



    def Add_To_WSis_Gallery(item):
        if item in gallery_images_wsis:
            pass
        else:
            gallery_images_wsis.insert(0, item)



    def Add_To_Christina_Gallery(item):
        if item in gallery_images_christina:
            pass
        else:
            gallery_images_christina.insert(0, item)



    def Add_To_Hypno_Gallery(item):
        if item in gallery_images_hypno:
            pass
        else:
            gallery_images_hypno.insert(0, item)



    def Add_To_Hearth_Gallery(item):
        if item in gallery_images_hearth:
            pass
        else:
            gallery_images_hearth.insert(0, item)



    def Add_To_Jenna_Gallery(item):
        if item in gallery_images_jenna:
            pass
        else:
            gallery_images_jenna.insert(0, item)



    def Add_To_Niece_Gallery(item):
        if item in gallery_images_niece:
            pass
        else:
            gallery_images_niece.insert(0, item)



    def Add_To_Kirely_Gallery(item):
        if item in gallery_images_kirely:
            pass
        else:
            gallery_images_kirely.insert(0, item)



    def Add_To_Cecilia_Gallery(item):
        if item in gallery_images_cecilia:
            pass
        else:
            gallery_images_cecilia.insert(0, item)



    def Add_To_BBC_Gallery(item):
        if item in gallery_images_bbc:
            pass
        else:
            gallery_images_bbc.insert(0, item)



    def Add_To_Anissa_Gallery(item):
        if item in gallery_images_anissa:
            pass
        else:
            gallery_images_anissa.insert(0, item)



    def Add_To_Abella_Gallery(item):
        if item in gallery_images_abella:
            pass
        else:
            gallery_images_abella.insert(0, item)



    def Add_To_Lena_Gallery(item):
        if item in gallery_images_lena:
            pass
        else:
            gallery_images_lena.insert(0, item)



    def Add_To_Rae_Gallery(item):
        if item in gallery_images_rae:
            pass
        else:
            gallery_images_rae.insert(0, item)



    def Add_To_Sis_Gallery(item):
        if item in gallery_images_sis:
            pass
        else:
            gallery_images_sis.insert(0, item)



    def Add_To_Sybil_Gallery(item):
        if item in gallery_images_sybil:
            pass
        else:
            gallery_images_sybil.insert(0, item)



    def Add_To_Talay_Gallery(item):
        if item in gallery_images_talay:
            pass
        else:
            gallery_images_talay.insert(0, item)



    def Add_To_FMC_Gallery(item):
        if item in gallery_images_fmc:
            pass
        else:
            gallery_images_fmc.insert(0, item)



    def Add_To_Other_Gallery(item):
        if item in gallery_images_other:
            pass
        else:
            gallery_images_other.insert(0, item)



    def Add_To_Sola_Gallery(item):
        if item in gallery_images_sola:
            pass
        else:
            gallery_images_sola.insert(0, item)



    def Add_To_Paula_Gallery(item):
        if item in gallery_images_paula:
            pass
        else:
            gallery_images_paula.insert(0, item)



    def Add_To_Mom_Gallery(item):
        if item in gallery_images_mom:
            pass
        else:
            gallery_images_mom.insert(0, item)



    def Add_To_Aria_Gallery(item):
        if item in gallery_images_aria:
            pass
        else:
            gallery_images_aria.insert(0, item)



    def Add_To_Angeline_Gallery(item):
        if item in gallery_images_angeline:
            pass
        else:
            gallery_images_angeline.insert(0, item)



    def Add_To_Kioko_Gallery(item):
        if item in gallery_images_kioko:
            pass
        else:
            gallery_images_kioko.insert(0, item)


    def Add_To_NTR_Gallery(item):
        if item in gallery_images_ntr:
            pass
        else:
            gallery_images_ntr.insert(0, item)


    def Add_To_MC_Gallery(item):
        if item in gallery_images_mc:
            pass
        else:
            gallery_images_mc.insert(0, item)


    def Add_To_Mike_Gallery(item):
        if item in gallery_images_mike:
            pass
        else:
            gallery_images_mike.insert(0, item)


    def Add_To_D_Gallery(item):
        if item in gallery_images_d:
            pass
        else:
            gallery_images_d.insert(0, item)


    def Add_To_Helsa_Gallery(item):
        if item in gallery_images_helsa:
            pass
        else:
            gallery_images_helsa.insert(0, item)


    def Add_To_Marina_Gallery(item):
        if item in gallery_images_marina:
            pass
        else:
            gallery_images_marina.insert(0, item)





    


















            


    def Add_To_Son_Gallery_V(item):
        if item in gallery_videos_son:
            pass
        else:
            gallery_videos_son.insert(0, item)



    def Add_To_Wife_Gallery_V(item):
        if item in gallery_videos_wife:
            pass
        else:
            gallery_videos_wife.insert(0, item)



    def Add_To_WSis_Gallery_V(item):
        if item in gallery_videos_wsis:
            pass
        else:
            gallery_videos_wsis.insert(0, item)



    def Add_To_Christina_Gallery_V(item):
        if item in gallery_videos_christina:
            pass
        else:
            gallery_videos_christina.insert(0, item)



    def Add_To_Hypno_Gallery_V(item):
        if item in gallery_videos_hypno:
            pass
        else:
            gallery_videos_hypno.insert(0, item)



    def Add_To_Hearth_Gallery_V(item):
        if item in gallery_videos_hearth:
            pass
        else:
            gallery_videos_hearth.insert(0, item)



    def Add_To_Jenna_Gallery_V(item):
        if item in gallery_videos_jenna:
            pass
        else:
            gallery_videos_jenna.insert(0, item)



    def Add_To_Niece_Gallery_V(item):
        if item in gallery_videos_niece:
            pass
        else:
            gallery_videos_niece.insert(0, item)



    def Add_To_Kirely_Gallery_V(item):
        if item in gallery_videos_kirely:
            pass
        else:
            gallery_videos_kirely.insert(0, item)



    def Add_To_Cecilia_Gallery_V(item):
        if item in gallery_videos_cecilia:
            pass
        else:
            gallery_videos_cecilia.insert(0, item)



    def Add_To_BBC_Gallery_V(item):
        if item in gallery_videos_bbc:
            pass
        else:
            gallery_videos_bbc.insert(0, item)



    def Add_To_Anissa_Gallery_V(item):
        if item in gallery_videos_anissa:
            pass
        else:
            gallery_videos_anissa.insert(0, item)



    def Add_To_Abella_Gallery_V(item):
        if item in gallery_videos_abella:
            pass
        else:
            gallery_videos_abella.insert(0, item)



    def Add_To_Lena_Gallery_V(item):
        if item in gallery_videos_lena:
            pass
        else:
            gallery_videos_lena.insert(0, item)



    def Add_To_Rae_Gallery_V(item):
        if item in gallery_videos_rae:
            pass
        else:
            gallery_videos_rae.insert(0, item)



    def Add_To_Sis_Gallery_V(item):
        if item in gallery_videos_sis:
            pass
        else:
            gallery_videos_sis.insert(0, item)



    def Add_To_Sybil_Gallery_V(item):
        if item in gallery_videos_sybil:
            pass
        else:
            gallery_videos_sybil.insert(0, item)



    def Add_To_Talay_Gallery_V(item):
        if item in gallery_videos_talay:
            pass
        else:
            gallery_videos_talay.insert(0, item)



    def Add_To_FMC_Gallery_V(item):
        if item in gallery_videos_fmc:
            pass
        else:
            gallery_videos_fmc.insert(0, item)



    def Add_To_Other_Gallery_V(item):
        if item in gallery_videos_other:
            pass
        else:
            gallery_videos_other.insert(0, item)



    def Add_To_Sola_Gallery_V(item):
        if item in gallery_videos_sola:
            pass
        else:
            gallery_videos_sola.insert(0, item)



    def Add_To_Paula_Gallery_V(item):
        if item in gallery_videos_paula:
            pass
        else:
            gallery_videos_paula.insert(0, item)



    def Add_To_Mom_Gallery_V(item):
        if item in gallery_videos_mom:
            pass
        else:
            gallery_videos_mom.insert(0, item)



    def Add_To_Aria_Gallery_V(item):
        if item in gallery_videos_aria:
            pass
        else:
            gallery_videos_aria.insert(0, item)



    def Add_To_Angeline_Gallery_V(item):
        if item in gallery_videos_angeline:
            pass
        else:
            gallery_videos_angeline.insert(0, item)



    def Add_To_Kioko_Gallery_V(item):
        if item in gallery_videos_kioko:
            pass
        else:
            gallery_videos_kioko.insert(0, item)



    def Add_To_NTR_Gallery_V(item):
        if item in gallery_videos_ntr:
            pass
        else:
            gallery_videos_ntr.insert(0, item)



    def Add_To_MC_Gallery_V(item):
        if item in gallery_videos_mc:
            pass
        else:
            gallery_videos_mc.insert(0, item)



    def Add_To_Mike_Gallery_V(item):
        if item in gallery_videos_mike:
            pass
        else:
            gallery_videos_mike.insert(0, item)


    def Add_To_D_Gallery_V(item):
        if item in gallery_videos_d:
            pass
        else:
            gallery_videos_d.insert(0, item)


    def Add_To_Helsa_Gallery_V(item):
        if item in gallery_videos_helsa:
            pass
        else:
            gallery_videos_helsa.insert(0, item)


    def Add_To_Marina_Gallery_V(item):
        if item in gallery_videos_marina:
            pass
        else:
            gallery_videos_marina.insert(0, item)
















































image idle_gallery_wife = "images/gallery/gallery_wife.png"
image hover_gallery_wife = "images/gallery/gallery_wife_h.png"


image idle_gallery_son = "images/gallery/gallery_son.png"
image hover_gallery_son = "images/gallery/gallery_son_h.png"


image idle_gallery_jenna = "images/gallery/gallery_jenna.png"
image hover_gallery_jenna = "images/gallery/gallery_jenna_h.png"


image idle_gallery_christina = "images/gallery/gallery_christina.png"
image hover_gallery_christina = "images/gallery/gallery_christina_h.png"


image idle_gallery_wsis = "images/gallery/gallery_wsis.png"
image hover_gallery_wsis = "images/gallery/gallery_wsis_h.png"


image idle_gallery_bbc = "images/gallery/gallery_bbc.png"
image hover_gallery_bbc = "images/gallery/gallery_bbc_h.png"


image idle_gallery_other = "images/gallery/gallery_other.png"
image hover_gallery_other = "images/gallery/gallery_other_h.png"


image idle_gallery_fmc = "images/gallery/gallery_fmc.png"
image hover_gallery_fmc = "images/gallery/gallery_fmc_h.png"


image idle_gallery_mom = "images/gallery/gallery_mom.png"
image hover_gallery_mom = "images/gallery/gallery_mom_h.png"


image idle_gallery_talay = "images/gallery/gallery_talay.png"
image hover_gallery_talay = "images/gallery/gallery_talay_h.png"


image idle_gallery_cecilia = "images/gallery/gallery_cecilia.png"
image hover_gallery_cecilia = "images/gallery/gallery_cecilia_h.png"


image idle_gallery_sybil = "images/gallery/gallery_sybil.png"
image hover_gallery_sybil = "images/gallery/gallery_sybil_h.png"


image idle_gallery_sis = "images/gallery/gallery_sis.png"
image hover_gallery_sis = "images/gallery/gallery_sis_h.png"


image idle_gallery_ntr = "images/gallery/gallery_ntr.png"
image hover_gallery_ntr = "images/gallery/gallery_ntr_h.png"


image idle_gallery_mc = "images/gallery/gallery_mc.png"
image hover_gallery_mc = "images/gallery/gallery_mc_h.png"


image idle_gallery_marina = "images/gallery/gallery_marina.png"
image hover_gallery_marina = "images/gallery/gallery_marina_h.png"


image idle_gallery_helsa = "images/gallery/gallery_helsa.png"
image hover_gallery_helsa = "images/gallery/gallery_helsa_h.png"


image idle_gallery_d = "images/gallery/gallery_d.png"
image hover_gallery_d = "images/gallery/gallery_d_h.png"


image idle_gallery_mike = "images/gallery/gallery_mike.png"
image hover_gallery_mike = "images/gallery/gallery_mike_h.png"


image idle_gallery_abella = "images/gallery/gallery_abella.png"
image hover_gallery_abella = "images/gallery/gallery_abella_h.png"


image idle_gallery_rae = "images/gallery/gallery_rae.png"
image hover_gallery_rae = "images/gallery/gallery_rae_h.png"


image idle_gallery_sola = "images/gallery/gallery_sola.png"
image hover_gallery_sola = "images/gallery/gallery_sola_h.png"


image idle_gallery_paula = "images/gallery/gallery_paula.png"
image hover_gallery_paula = "images/gallery/gallery_paula_h.png"


image idle_gallery_lena = "images/gallery/gallery_lena.png"
image hover_gallery_lena = "images/gallery/gallery_lena_h.png"


image idle_gallery_anissa = "images/gallery/gallery_anissa.png"
image hover_gallery_anissa = "images/gallery/gallery_anissa_h.png"


image idle_gallery_hypno = "images/gallery/gallery_hypno.png"
image hover_gallery_hypno = "images/gallery/gallery_hypno_h.png"


image idle_gallery_hearth = "images/gallery/gallery_hearth.png"
image hover_gallery_hearth = "images/gallery/gallery_hearth_h.png"


image idle_gallery_niece = "images/gallery/gallery_niece.png"
image hover_gallery_niece = "images/gallery/gallery_niece_h.png"


image idle_gallery_kirely = "images/gallery/gallery_kirely.png"
image hover_gallery_kirely = "images/gallery/gallery_kirely_h.png"


image idle_gallery_aria = "images/gallery/gallery_aria.png"
image hover_gallery_aria = "images/gallery/gallery_aria_h.png"


image idle_gallery_angeline = "images/gallery/gallery_angeline.png"
image hover_gallery_angeline = "images/gallery/gallery_angeline_h.png"


image idle_gallery_kioko = "images/gallery/gallery_kioko.png"
image hover_gallery_kioko = "images/gallery/gallery_kioko_h.png"


















image memories_1 = im.FactorScale("images/gallery/memories/memories_1.jpg", 0.31)
image memories_2 = im.FactorScale("images/gallery/memories/memories_2.jpg", 0.31)
image memories_3 = im.FactorScale("images/gallery/memories/memories_3.jpg", 0.31)
image memories_4 = im.FactorScale("images/gallery/memories/memories_4.jpg", 0.31)
image memories_5 = im.FactorScale("images/gallery/memories/memories_5.jpg", 0.31)
image memories_6 = im.FactorScale("images/gallery/memories/memories_6.jpg", 0.31)
image memories_7 = im.FactorScale("images/gallery/memories/memories_7.jpg", 0.31)
image memories_8 = im.FactorScale("images/gallery/memories/memories_8.jpg", 0.31)
image memories_9 = im.FactorScale("images/gallery/memories/memories_9.jpg", 0.31)
image memories_10 = im.FactorScale("images/gallery/memories/memories_10.jpg", 0.31)
image memories_11 = im.FactorScale("images/gallery/memories/memories_11.jpg", 0.31)
image memories_12 = im.FactorScale("images/gallery/memories/memories_12.jpg", 0.31)
image memories_13 = im.FactorScale("images/gallery/memories/memories_13.jpg", 0.31)
image memories_14 = im.FactorScale("images/gallery/memories/memories_14.jpg", 0.26)
image memories_15 = im.FactorScale("images/gallery/memories/memories_15.jpg", 0.26)
image memories_16 = im.FactorScale("images/gallery/memories/memories_16.jpg", 0.26)
image memories_17 = im.FactorScale("images/gallery/memories/memories_17.jpg", 0.26)
image memories_18 = im.FactorScale("images/gallery/memories/memories_18.jpg", 0.26)
image memories_19 = im.FactorScale("images/gallery/memories/memories_19.jpg", 0.26)
image memories_20 = im.FactorScale("images/gallery/memories/memories_20.jpg", 0.26)
image memories_21 = im.FactorScale("images/gallery/memories/memories_21.jpg", 0.26)



image memories_1_h = im.FactorScale(im.MatrixColor("images/gallery/memories/memories_1.jpg", im.matrix.brightness(0.15)), 0.31)
image memories_2_h = im.FactorScale(im.MatrixColor("images/gallery/memories/memories_2.jpg", im.matrix.brightness(0.15)), 0.31)
image memories_3_h = im.FactorScale(im.MatrixColor("images/gallery/memories/memories_3.jpg", im.matrix.brightness(0.15)), 0.31)
image memories_4_h = im.FactorScale(im.MatrixColor("images/gallery/memories/memories_4.jpg", im.matrix.brightness(0.15)), 0.31)
image memories_5_h = im.FactorScale(im.MatrixColor("images/gallery/memories/memories_5.jpg", im.matrix.brightness(0.15)), 0.31)
image memories_6_h = im.FactorScale(im.MatrixColor("images/gallery/memories/memories_6.jpg", im.matrix.brightness(0.15)), 0.31)
image memories_7_h = im.FactorScale(im.MatrixColor("images/gallery/memories/memories_7.jpg", im.matrix.brightness(0.15)), 0.31)
image memories_8_h = im.FactorScale(im.MatrixColor("images/gallery/memories/memories_8.jpg", im.matrix.brightness(0.15)), 0.31)
image memories_9_h = im.FactorScale(im.MatrixColor("images/gallery/memories/memories_9.jpg", im.matrix.brightness(0.15)), 0.31)
image memories_10_h = im.FactorScale(im.MatrixColor("images/gallery/memories/memories_10.jpg", im.matrix.brightness(0.15)), 0.31)
image memories_11_h = im.FactorScale(im.MatrixColor("images/gallery/memories/memories_11.jpg", im.matrix.brightness(0.15)), 0.31)
image memories_12_h = im.FactorScale(im.MatrixColor("images/gallery/memories/memories_12.jpg", im.matrix.brightness(0.15)), 0.31)
image memories_13_h = im.FactorScale(im.MatrixColor("images/gallery/memories/memories_13.jpg", im.matrix.brightness(0.15)), 0.31)
image memories_14_h = im.FactorScale(im.MatrixColor("images/gallery/memories/memories_14.jpg", im.matrix.brightness(0.15)), 0.26)
image memories_15_h = im.FactorScale(im.MatrixColor("images/gallery/memories/memories_15.jpg", im.matrix.brightness(0.15)), 0.26)
image memories_16_h = im.FactorScale(im.MatrixColor("images/gallery/memories/memories_16.jpg", im.matrix.brightness(0.15)), 0.26)
image memories_17_h = im.FactorScale(im.MatrixColor("images/gallery/memories/memories_17.jpg", im.matrix.brightness(0.15)), 0.26)
image memories_18_h = im.FactorScale(im.MatrixColor("images/gallery/memories/memories_18.jpg", im.matrix.brightness(0.15)), 0.26)
image memories_19_h = im.FactorScale(im.MatrixColor("images/gallery/memories/memories_19.jpg", im.matrix.brightness(0.15)), 0.26)
image memories_20_h = im.FactorScale(im.MatrixColor("images/gallery/memories/memories_20.jpg", im.matrix.brightness(0.15)), 0.26)
image memories_21_h = im.FactorScale(im.MatrixColor("images/gallery/memories/memories_21.jpg", im.matrix.brightness(0.15)), 0.26)






image memories_1_full = "images/gallery/memories/memories_1.jpg"
image memories_2_full = "images/gallery/memories/memories_2.jpg"
image memories_3_full = "images/gallery/memories/memories_3.jpg"
image memories_4_full = "images/gallery/memories/memories_4.jpg"
image memories_5_full = "images/gallery/memories/memories_5.jpg"
image memories_6_full = "images/gallery/memories/memories_6.jpg"
image memories_7_full = "images/gallery/memories/memories_7.jpg"
image memories_8_full = "images/gallery/memories/memories_8.jpg"
image memories_9_full = "images/gallery/memories/memories_9.jpg"
image memories_10_full = "images/gallery/memories/memories_10.jpg"
image memories_11_full = "images/gallery/memories/memories_11.jpg"
image memories_12_full = "images/gallery/memories/memories_12.jpg"
image memories_13_full = "images/gallery/memories/memories_13.jpg"
image memories_14_full = "images/gallery/memories/memories_14.jpg"
image memories_15_full = "images/gallery/memories/memories_15.jpg"
image memories_16_full = "images/gallery/memories/memories_16.jpg"
image memories_17_full = "images/gallery/memories/memories_17.jpg"
image memories_18_full = "images/gallery/memories/memories_18.jpg"
image memories_19_full = "images/gallery/memories/memories_19.jpg"
image memories_20_full = "images/gallery/memories/memories_20.jpg"
image memories_21_full = "images/gallery/memories/memories_21.jpg"




default current_h = 0
default current_image_gall = 0

screen show_gallery_memory:

    modal True

    imagebutton:
        idle "images/fuckstagram/null_background.png"
        action Hide(screen="show_gallery_memory", transition=CropMove(time=0.2, mode='wipedown'))

    imagebutton xalign 0.5 yalign 0.5:
        idle "memories_{}_full".format(current_gallery_memory)

    imagebutton xalign 0.5 yalign 0.95:
        idle "images/gallery/set_wallpaper.png"
        hover im.MatrixColor("images/gallery/set_wallpaper.png", im.matrix.brightness(0.15))
        if current_phone == "mc":
            action SetVariable("main_menu_image", "memories_{}_full".format(current_gallery_memory))
        elif current_phone == "wife":
            action SetVariable("wife_main_menu_image", "memories_{}_full".format(current_gallery_memory))
        elif current_phone == "sis":
            action SetVariable("sis_main_menu_image", "memories_{}_full".format(current_gallery_memory))
        elif current_phone == "son":
            action SetVariable("son_main_menu_image", "memories_{}_full".format(current_gallery_memory))
        elif current_phone == "wsis":
            action SetVariable("wsis_main_menu_image", "memories_{}_full".format(current_gallery_memory))
        elif current_phone == "talay":
            action SetVariable("talay_main_menu_image", "memories_{}_full".format(current_gallery_memory))
        elif current_phone == "christina":
            action SetVariable("christina_main_menu_image", "memories_{}_full".format(current_gallery_memory))
        elif current_phone == "mom":
            action SetVariable("mom_main_menu_image", "memories_{}_full".format(current_gallery_memory))
        elif current_phone == "mike":
            action SetVariable("mike_main_menu_image", "memories_{}_full".format(current_gallery_memory))
        elif current_phone == "mark":
            action SetVariable("mark_main_menu_image", "memories_{}_full".format(current_gallery_memory))
        elif current_phone == "niece":
            action SetVariable("niece_main_menu_image", "memories_{}_full".format(current_gallery_memory))
        elif current_phone == "jenna":
            action SetVariable("jenna_main_menu_image", "memories_{}_full".format(current_gallery_memory))
        elif current_phone == "lena":
            action SetVariable("lena_main_menu_image", "memories_{}_full".format(current_gallery_memory))
        elif current_phone == "kioko":
            action SetVariable("kioko_main_menu_image", "memories_{}_full".format(current_gallery_memory))
        elif current_phone == "kioko_m":
            action SetVariable("kioko_m_main_menu_image", "memories_{}_full".format(current_gallery_memory))
        elif current_phone == "kioko_f":
            action SetVariable("kioko_f_main_menu_image", "memories_{}_full".format(current_gallery_memory))


    key "K_ESCAPE":
        action Hide(screen="show_gallery_memory", transition=CropMove(time=0.2, mode='wipedown'))










screen show_gallery_user:

    window background None:
        area (0, 420, 1080, 1780)
        viewport:
            mousewheel True
            draggable True
            pagekeys True
            side_yfill True
            xalign 0.5

            vbox spacing 10 xalign 0.5:
                for i in range(0, len(gallery_current_images), 3):
                    hbox spacing 10:
                        for j in range(3):
                            if i + j < len(gallery_current_images):  # Проверяем, чтобы не выйти за границы
                                frame:
                                    xpadding 9
                                    ypadding 9
                                    xalign 0.5

                                    # Форматируем строки для idle и hover
                                    $ idle_image = gallery_current_images[i + j].idle
                                    $ hover_image = gallery_current_images[i + j].hover

                                    imagebutton:
                                        idle idle_image
                                        hover hover_image
                                        action [SetVariable('current_gallery_memory', (i + j)), Show(screen="show_gallery_img", transition=CropMove(time=0.2, mode='wipeup'))]





screen show_gallery_img:

    modal True

    imagebutton:
        idle "images/fuckstagram/null_background.png"
        action Hide(screen="show_gallery_img", transition=CropMove(time=0.2, mode='wipedown'))

    $ full_image = gallery_current_images[current_gallery_memory].full



    imagebutton xalign 0.5 yalign 0.5:
        idle full_image


    imagebutton xalign 0.5 yalign 0.95:
        idle "images/gallery/set_wallpaper.png"
        hover im.MatrixColor("images/gallery/set_wallpaper.png", im.matrix.brightness(0.15))
        if current_phone == "mc":
            action SetVariable("main_menu_image", gallery_current_images[current_gallery_memory].full)
        elif current_phone == "wife":
            action SetVariable("wife_main_menu_image", gallery_current_images[current_gallery_memory].full)
        elif current_phone == "sis":
            action SetVariable("sis_main_menu_image", gallery_current_images[current_gallery_memory].full)
        elif current_phone == "son":
            action SetVariable("son_main_menu_image", gallery_current_images[current_gallery_memory].full)
        elif current_phone == "wsis":
            action SetVariable("wsis_main_menu_image", gallery_current_images[current_gallery_memory].full)
        elif current_phone == "talay":
            action SetVariable("talay_main_menu_image", gallery_current_images[current_gallery_memory].full)
        elif current_phone == "christina":
            action SetVariable("christina_main_menu_image", gallery_current_images[current_gallery_memory].full)
        elif current_phone == "mom":
            action SetVariable("mom_main_menu_image", gallery_current_images[current_gallery_memory].full)
        elif current_phone == "mike":
            action SetVariable("mike_main_menu_image", gallery_current_images[current_gallery_memory].full)
        elif current_phone == "mark":
            action SetVariable("mark_main_menu_image", gallery_current_images[current_gallery_memory].full)
        elif current_phone == "niece":
            action SetVariable("niece_main_menu_image", gallery_current_images[current_gallery_memory].full)
        elif current_phone == "jenna":
            action SetVariable("jenna_main_menu_image", gallery_current_images[current_gallery_memory].full)
        elif current_phone == "lena":
            action SetVariable("lena_main_menu_image", gallery_current_images[current_gallery_memory].full)
        elif current_phone == "kioko":
            action SetVariable("kioko_main_menu_image", gallery_current_images[current_gallery_memory].full)
        elif current_phone == "kioko_m":
            action SetVariable("kioko_m_main_menu_image", gallery_current_images[current_gallery_memory].full)
        elif current_phone == "kioko_f":
            action SetVariable("kioko_f_main_menu_image", gallery_current_images[current_gallery_memory].full)
    

    key "K_ESCAPE":
        action Hide(screen="show_gallery_img", transition=CropMove(time=0.2, mode='wipedown'))




screen show_gallery_vid:

    modal True

    imagebutton:
        idle "images/fuckstagram/null_background.png"
        action Hide(screen="show_gallery_vid", transition=CropMove(time=0.2, mode='wipedown'))

    $ full_image = gallery_current_videos[current_gallery_memory].full



    imagebutton xalign 0.5 yalign 0.5:
        idle full_image
    

    key "K_ESCAPE":
        action Hide(screen="show_gallery_vid", transition=CropMove(time=0.2, mode='wipedown'))