default wifespy_current_category = 0


default current_wifespy_user = 0



screen wifespy_app:

    modal True


    add "images/wifespy/background0.jpg"



    text "Your targets" ypos 120 xpos 52 size 60 font "gui/TMR_Regular.ttf" color "#fff"


    add "images/whatsapp/delimeter.png" ypos 260 xalign 0.5

    hbox ypos 270 xalign 0.5:

        spacing 50

        hbox:
            text "🎯" size 42 ypos 14
            textbutton "Targets" text_style "comments_text" text_size 52 action SetVariable('wifespy_current_category', 0)


        hbox:
            text "➕" size 42 ypos 14
            textbutton "Add new target" text_style "comments_text" text_size 52 action SetVariable('wifespy_current_category', 1)


    add "images/whatsapp/delimeter.png" ypos 360 xalign 0.5


    window:
        background None
        area (0, 380, 1080, 1790)
        viewport:
            mousewheel True
            draggable True
            pagekeys True
            side_yfill True 

            vbox xalign 0.5 xminimum 1080:


                spacing 20


                if wifespy_current_category == 0:

                    for i in wifespy_targets:

                        if i.status == 1:

                            fixed yminimum 253 ymaximum 253:

                                add "images/wifespy/frame.png" xalign 0.5

                                text "status: {color=#f01515}needs actions" xpos 656 ypos 20 font "gui/TMR_Regular.ttf"

                                hbox xpos 40 yminimum 253:

                                    spacing 30

                                    # Изображение с динамической подсветкой
                                    add i.avatar at shrink_big2 yalign 0.5


                                    vbox yalign 0.5:
                                        spacing 50
                                        text i.name size 58 style "comments_text" font "gui/TMR.ttf"

                                        hbox ypos 20:

                                            spacing 60

                                            hbox:
                                                text "ℹ️" size 34 ypos 10

                                                textbutton "Info" text_style "comments_text" text_size 42 action [SetVariable('current_wifespy_user', i), Show('wifespy_info')]

                                            hbox:
                                                text "⌨️" size 34 ypos 12
                                                if i.tag == "Kioko_m" or i.tag == "Kioko_f" or i.tag == "MC":
                                                    textbutton "Commands" text_style "comments_text" text_size 42 action NullAction()
                                                elif i.new_command == 1: 
                                                    textbutton "Commands" text_style "comments_text" text_size 42 text_color "#ff0000" text_hover_color '#ffe500' action [SetVariable('current_wifespy_user', i), SetVariable('current_wifespy_user.new_command', 0), Show('wifespy_commands')]
                                                else:
                                                    textbutton "Commands" text_style "comments_text" text_size 42 action [SetVariable('current_wifespy_user', i), Show('wifespy_commands')]

                                            hbox:
                                                text "📱" size 34 ypos 12
                                                textbutton "To the phone" text_style "comments_text" text_size 42 xpos -8: 
                                                    action [Hide('wifespy_app', transition=CropMove(time=0.1, mode='wipeleft')), Jump(i.phone)]



                    for i in wifespy_targets:

                        if i.status == 0:


                            fixed yminimum 253 ymaximum 253:

                                add "images/wifespy/frame.png" xalign 0.5

                                text "status: {color=#27f015}stable" xpos 786 ypos 20 font "gui/TMR_Regular.ttf"

                                hbox xpos 40 yminimum 253:

                                    spacing 30

                                    # Изображение с динамической подсветкой
                                    add i.avatar at shrink_big2 yalign 0.5


                                    vbox yalign 0.5:
                                        spacing 50
                                        text i.name size 58 style "comments_text" font "gui/TMR.ttf"

                                        hbox ypos 20:

                                            spacing 60

                                            hbox:
                                                text "ℹ️" size 34 ypos 10

                                                textbutton "Info" text_style "comments_text" text_size 42 action [SetVariable('current_wifespy_user', i), Show('wifespy_info')]

                                            hbox:
                                                text "⌨️" size 34 ypos 12
                                                if i.tag == "Kioko_m" or i.tag == "Kioko_f" or i.tag == "MC":
                                                    textbutton "Commands" text_style "comments_text" text_size 42 action NullAction()
                                                elif i.new_command == 1:
                                                    textbutton "Commands" text_style "comments_text" text_size 42 text_color "#ff0000" text_hover_color '#ffe500' action [SetVariable('current_wifespy_user', i), Show('wifespy_commands')]
                                                else:
                                                    textbutton "Commands" text_style "comments_text" text_size 42 action [SetVariable('current_wifespy_user', i), Show('wifespy_commands')]

                                            hbox:
                                                text "📱" size 34 ypos 12
                                                textbutton "To the phone" text_style "comments_text" text_size 42 xpos -8: 
                                                    action [Hide('wifespy_app', transition=CropMove(time=0.1, mode='wipeleft')), Jump(i.phone)]


                else:

                    for i in wifespy_targets_can_add:


                        fixed yminimum 253 ymaximum 253:

                            add "images/wifespy/frame.png" xalign 0.5

                            hbox xpos 40 yminimum 253:

                                spacing 30

                                # Изображение с динамической подсветкой
                                add i.avatar at shrink_big2 yalign 0.5


                                vbox yalign 0.5:
                                    spacing 50
                                    text i.name size 58 style "comments_text" font "gui/TMR.ttf"

                                    hbox xpos 140:

                                        spacing 60

                                        hbox:
                                            text "➕" size 40 ypos 12

                                            textbutton "Add to the targets" text_style "comments_text" text_size 52 action Function(wifespy_move_target, i)





    imagebutton yalign 0.956:
        idle "gui/back.png" at shrink
        hover "gui/back_h.png"
        action Hide(screen="wifespy_app", transition=CropMove(time=0.2, mode='wipedown'))
    


    key "K_ESCAPE":
        action Hide(screen="wifespy_app", transition=CropMove(time=0.2, mode='wipedown'))

